/**
 * @file {@link http://xotic750.github.io/astrodate/ AstroDate}. Javascript Date object with Astronomy in mind..
 * @version 0.7.10
 * @author Graham Fairweather <xotic750@gmail.com>
 * @copyright Copyright (c) 2013 Graham Fairweather
 * @license {@link <http://www.gnu.org/licenses/gpl-3.0.html> GPL3}
 * @module astrodate
 */
!function(a){"use strict";function b(a,b){function c(a){return a.year.mod(400).isZero()||!a.year.mod(100).isZero()&&a.year.mod(4).isZero()}function f(a){return a.year.mod(4).equals(0)}function g(a){var d;return a.month.eq(2)?(d=28,c(a)&&(d+=1),d=new b(d)):d=a.month.minus(1).mod(7).mod(2).neg().plus(31),d}function h(a){var c=28;return a.month.eq(2)&&f(a)&&(c+=1),new b(c)}function i(a){var d=365;return c(a)&&(d+=1),new b(d)}function j(a){var c=365;return f(a)&&(c+=1),new b(c)}function k(a){return a.isFinite()}function l(a){return a.inRange(1,12)}function m(a,b){return a.inRange(1,b)}function n(a){return a.inRange(0,24)}function o(a,b){return b.equals(24)&&a.isZero()||!b.equals(24)&&a.gte(0)&&a.lt(60)}function p(b,c){var d,e=60;if(c.year.gte(1961)&&c.hour.equals(23)&&c.minute.equals(59)){if(!a.Object.isPlainObject(Nb))throw new Error("No leap second table!");d=Nb[c.year.toString()],a.Object.isPlainObject(d)&&(d=d[c.month.toString()],a.Object.isPlainObject(d)&&(d=a.Number.toNumber(d[c.day.toString()]),a.Number.isFinite(d)&&(e+=d)))}return c.hour.equals(24)&&b.isZero()||!c.hour.equals(24)&&b.gte(0)&&b.lt(e)}function q(a,b){return b.equals(24)&&a.isZero()||!b.equals(24)&&a.gte(0)&&a.lt(1e3)}function r(a){return a.inRange(-43200,50400)}function s(c,d){var e=!1;return a.Object.isPlainObject(c)&&(e=!a.Array.some(Rb,function(e){var f,i=c[e.full];if(!b.isBigNumber(i))return!0;switch(e.full){case"year":if(!k(i))return!0;break;case"month":if(!l(i))return!0;break;case"day":if(f=a.Object.strictEqual(d,!0)?h(c):g(c),!m(i,f))return!0;break;case"hour":if(!n(i))return!0;break;case"minute":if(!o(i,c.hour))return!0;break;case"second":if(!p(i,c))return!0;break;case"millisecond":if(!q(i,c.hour))return!0;break;case"offset":if(!r(i))return!0;break;default:throw new Error(e.full)}return!1})),e}function t(a){var b;return b=c(a)?1:2,a.month.times(275).div(9).floor().minus(a.month.plus(9).div(12).floor().times(b)).plus(a.day).minus(30)}function u(a){var b=a.month.times(28).plus(a.day);return a.month.gte(2)&&f(a)&&(b=b.plus(1)),b}function v(b){var c;return a.String.isString(b)&&(b=a.String.trim(b).toLowerCase(),a.Object.gt(b.length,2)&&a.String.endsWith(b,"s")&&(b=b.slice(0,-1)),a.Array.some(Rb,function(d){var e;return a.Object.strictEqual(b,d.alias)||a.Object.strictEqual(b,d.full)?(c=d.full,e=!0):e=!1,e})),c}function w(b){var c={};return a.Object.isPlainObject(b)&&a.Array.forEach(a.Object.keys(b),function(b){b=b.toLowerCase(),a.Array.forEach(Qb,function(d){(a.Object.strictEqual(b,d.alias)||a.Object.strictEqual(b,d.full))&&(c[b]=d.full)})}),c}function x(a,b){var c;switch(v(b)){case"day":c=a.hour.div(24).plus(a.minute.div(1440)).plus(a.second.div(86400)).plus(a.millisecond.div(864e5));break;case"hour":c=a.hour.plus(a.minute.div(60)).plus(a.second.div(3600)).plus(a.millisecond.div(36e5));break;case"minute":c=a.hour.times(60).plus(a.minute).plus(a.second.div(60)).plus(a.millisecond.div(6e4));break;case"second":c=a.hour.times(3600).plus(a.minute.times(60)).plus(a.second).plus(a.millisecond.div(1e3));break;case"millisecond":c=a.hour.times(36e5).plus(a.minute.times(6e4)).plus(a.second.times(1e3)).plus(a.millisecond);break;default:throw new Error(b)}return c}function y(a){var d,e=a.year.minus(1),f=e.times(365),g=e.div(4).floor(),h=e.div(100).floor().neg(),i=e.div(400).floor(),j=a.month.times(367).minus(362).div(12).floor();return d=a.month.gt(2)?c(a)?-1:-2:0,new b(1721424.5).plus(f).plus(g).plus(h).plus(i).plus(j.plus(d).plus(a.day).floor()).plus(x(a,"day"))}function z(a){return y(a).round(1,1)}function A(a){var b=y(a).plus(1.5).mod(7).floor();return b.lt(0)&&(b=b.plus(7)),b}function B(a){var b=A(a);return b.isZero()&&(b=b.plus(7)),b}function C(b){return Sb[a.Number.toNumber(A(b))]}function D(c,d,e,f){var k,l,m={};switch(c=new b(c),d){case"year":l=a.Boolean.isTrue(f)?j(e):i(e),k=c.times(l.times(864e5));break;case"month":l=a.Boolean.isTrue(f)?h(e):g(e),k=c.times(l.times(864e5));break;case"day":k=c.times(864e5);break;case"hour":k=c.times(36e5);break;case"minute":k=c.times(6e4);break;case"second":k=c.times(1e3);break;case"millisecond":k=c;break;default:throw new Error(d)}return m.hour=k.div(36e5).floor(),m.minute=k.minus(m.hour.times(36e5)).div(6e4).floor(),m.second=k.minus(m.hour.times(36e5)).minus(m.minute.times(6e4)).div(1e3).floor(),m.millisecond=k.minus(m.hour.times(36e5)).minus(m.minute.times(6e4)).minus(m.second.times(1e3)).floor(),m}function E(a){return y(a).minus(2440587.5).times(864e5).floor()}function F(a,c){var d,e,f,g=a.year.plus(a.month.minus(.5).div(12));return a.year.inRange(-500,2150)?a.year.lt(500)?(d=g.div(100),f=new b(10583.6).minus(d.times(1014.41)).plus(d.pow(2).times(33.78311)).minus(d.pow(3).times(5.952053)).minus(d.pow(4).times(.1798452)).plus(d.pow(5).times(.022174192)).plus(d.pow(6).times(.0090316521))):a.year.lt(1600)?(d=g.minus(1e3).div(100),f=new b(1574.2).minus(d.times(556.01)).plus(d.pow(2).times(71.23472)).plus(d.pow(3).times(.319781)).minus(d.pow(4).times(.8503463)).minus(d.pow(5).times(.005050998)).plus(d.pow(6).times(.0083572073))):a.year.lt(1700)?(e=g.minus(1600),f=new b(120).minus(e.times(.9808)).minus(e.pow(2).times(.01532)).plus(e.pow(3).div(7129))):a.year.lt(1800)?(e=g.minus(1700),f=new b(8.83).plus(e.times(.1603)).minus(e.pow(2).times(.0059285)).plus(e.pow(3).times(13336e-8)).minus(e.pow(4).div(1174e3))):a.year.lt(1860)?(e=g.minus(1800),f=new b(13.72).minus(e.times(.332447)).plus(e.pow(2).times(.0068612)).plus(e.pow(3).times(.0041116)).minus(e.pow(4).times(37436e-8)).plus(e.pow(5).times(121272e-10)).minus(e.pow(6).times(1.699e-7)).plus(e.pow(7).times(8.75e-10))):a.year.lt(1900)?(e=g.minus(1860),f=new b(7.62).plus(e.times(.5737)).minus(e.pow(2).times(.251754)).plus(e.pow(3).times(.01680668)).minus(e.pow(4).times(.0004473624)).plus(e.pow(5).div(233174))):a.year.lt(1920)?(e=g.minus(1900),f=new b(-2.79).plus(e.times(1.494119)).minus(e.pow(2).times(.0598939)).plus(e.pow(3).times(.0061966)).minus(e.pow(4).times(197e-6))):a.year.lt(1941)?(e=g.minus(1920),f=new b(21.2).plus(e.times(.84493)).minus(e.pow(2).times(.0761)).plus(e.pow(3).times(.0020936))):a.year.lt(1961)?(e=g.minus(1950),f=new b(29.07).plus(e.times(.407)).minus(e.pow(2).div(233)).plus(e.pow(3).div(2547))):a.year.lt(1986)?(e=g.minus(1975),f=new b(45.45).plus(e.times(1.067)).minus(e.pow(2).div(260)).minus(e.pow(3).div(718))):a.year.lt(2005)?(e=g.minus(2e3),f=new b(63.86).plus(e.times(.3345)).minus(e.pow(2).times(.060374)).plus(e.pow(3).times(.0017275)).plus(e.pow(4).times(651814e-9)).plus(e.pow(5).times(2373599e-11))):a.year.lt(2050)?(e=g.minus(2e3),f=new b(62.92).plus(e.times(.32217)).plus(e.pow(2).times(.005589))):f=new b(-20).plus(g.minus(1820).div(100).pow(2).times(32)).minus(g.neg().plus(2150).times(.5628)):(d=g.minus(1820).div(100),f=d.pow(2).times(32).plus(-20)),c&&!a.year.inRange(1955,2004)&&f.plus(g.minus(1955).pow(2).times(-12932e-9)),f.times(1e3).trunc()}function G(){return new b(60*(new Date).getTimezoneOffset())}function H(a){return a+"1"}function I(a,c,d){return x({hour:new b(a),minute:new b(c||0),second:new b(d||0),millisecond:b.zero()},"second")}function J(c){var d,e,f;return a.Number.isNumber(c)||a.String.isString(c)?(d=a.Number.toNumber(c),a.Number.isFinite(d)||(d=c.toString().toUpperCase())):d="",a.Number.isNumber(d)?e=new b(d):a.Object.strictEqual(d,"Z")||a.Object.strictEqual(d,"UTC")||a.Object.strictEqual(d,"GMT")?e=b.zero():a.RegExp.test(Yb,d)?(f=a.String.match(d,Yb),e=I(f[2],f[3],f[4]).times(H(f[1]||"+")).neg()):e=G(),e}function K(c,d){var e={};return a.Array.isArray(c)&&a.Array.some(Rb,function(f,i){var j,s,t=c[i];switch(j=a.Number.isNumber(t)||a.String.isString(t)&&!a.String.isEmpty(t)?new b(t):b.isBigNumber(t)?t:new b(0/0),f.full){case"year":if(!k(j))return e={},!0;break;case"month":if(a.Object.isUndefined(t)&&(j=b.one()),!l(j))return e={},!0;break;case"day":if(s=a.Boolean.isTrue(d)?h(e):g(e),a.Object.isUndefined(t)&&(j=b.one()),!m(j,s))return e={},!0;break;case"hour":if(a.Object.isUndefined(t)&&(j=b.zero()),!n(j))return e={},!0;break;case"minute":if(a.Object.isUndefined(t)&&(j=b.zero()),!o(j,e.hour))return e={},!0;break;case"second":if(a.Object.isUndefined(t)&&(j=b.zero()),!p(j,e))return e={},!0;break;case"millisecond":if(a.Object.isUndefined(t)&&(j=b.zero()),!q(j,e.hour))return e={},!0;break;case"offset":if(j=J(t),!r(j))return e={},!0;break;default:throw new Error(f)}return e[f.full]=j,!1}),e}function L(b){var c;return c=s(b)?a.Array.map(Rb,function(a){return b[a.full]}):[]}function M(a){return a.toString()}function N(b){return a.Array.map(L(b),M)}function O(c,d){var e={};return a.Object.isPlainObject(c)&&a.Array.some(Rb,function(f){var i,j,s=c[f.alias]||c[f.full]||c[f.full+"s"];switch(i=a.Number.isNumber(s)||a.String.isString(s)&&!a.String.isEmpty(s)?new b(s):b.isBigNumber(s)?s:new b(0/0),f.full){case"year":if(!k(i))return e={},!0;break;case"month":if(a.Object.isUndefined(s)&&(i=b.one()),!l(i))return e={},!0;break;case"day":if(j=a.Boolean.isTrue(d)?h(e):g(e),a.Object.isUndefined(s)&&(i=b.one()),!m(i,j))return e={},!0;break;case"hour":if(a.Object.isUndefined(s)&&(i=b.zero()),!n(i))return e={},!0;break;case"minute":if(a.Object.isUndefined(s)&&(i=b.zero()),!o(i,e.hour))return e={},!0;break;case"second":if(a.Object.isUndefined(s)&&(i=b.zero()),!p(i,e))return e={},!0;break;case"millisecond":if(a.Object.isUndefined(s)&&(i=b.zero()),!q(i,e.hour))return e={},!0;break;case"offset":if(i=J(s),!r(i))return e={},!0;break;default:throw new Error(f)}return e[f.full]=i,!1}),e}function P(b){var c={};return a.Object.isPlainObject(b)&&a.Array.forEach(Rb,function(a){c[a.full]=b[a.full].toString()}),c}function Q(b){var c={};return a.Object.isPlainObject(b)&&a.Array.forEach(["year","week","weekDay"],function(a){c[a]=b[a].toString()}),c}function R(c){var d={};return a.Date.isValid(c)&&a.Array.forEach(Rb,function(e){var f=new b(c[e.local]());a.Object.strictEqual(e.full,"month")&&(f=f.plus(1)),a.Object.strictEqual(e.full,"offset")&&(f=f.times(60)),d[e.full]=f}),d}function S(a){var b,c,d,e=a.year;return b=a.month,b.lte(2)&&(e=e.minus(1),b=b.plus(12)),c=e.plus(4716).times(365.25).floor(),d=b.plus(1).times(30.6001).floor(),c.plus(d).plus(a.day).minus(1524.5).plus(x(a,"day"))}function T(c){var d,e,f,g={};return a.Number.isNumber(c)||a.String.isString(c)&&!a.String.isEmpty(c)?d=new b(c):b.isBigNumber(c)&&(d=c),d&&d.isFinite()&&(d=d.plus(.5),e=d.plus(68569).floor(),f=e.times(4).div(146097).floor(),e=e.minus(f.times(146097).plus(3).div(4).floor()),g.year=e.plus(1).times(4e3).div(1461001).floor(),e=e.minus(g.year.times(1461).div(4).floor()).plus(31),g.month=e.times(80).div(2447).floor(),g.day=e.minus(g.month.times(2447).div(80).floor()),e=g.month.div(11).floor(),g.month=g.month.plus(2).minus(e.times(12)),g.year=f.minus(49).times(100).plus(g.year).plus(e).floor(),g.offset=b.zero(),a.Object.assign(g,D(d.modf().abs(),"day"))),g}function U(c){var d,e,f,g,h,i,j,k={};return a.Number.isNumber(c)||a.String.isString(c)&&!a.String.isEmpty(c)?d=new b(c):b.isBigNumber(c)&&(d=c),d&&d.isFinite()&&(d=d.plus(.5),e=d.floor(),f=e.plus(1524),g=f.minus(122.1).div(365.25).floor(),h=g.times(365.25).floor(),j=f.minus(h),i=j.div(30.6001).floor(),k.day=j.minus(i.times(30.6001).floor()),k.month=i.minus(i.lt(14)?1:13),k.year=g.minus(k.month.gt(2)?4716:4715),k.offset=b.zero(),a.Object.assign(k,D(d.modf().abs(),"day"))),k}function V(a){return y(a).minus(2400000.5)}function W(a){return S(a).minus(2400000.5)}function X(a){var b;return b=s(a)?U(y(a)):{}}function Y(a){var b;return b=s(a)?T(S(a)):{}}function Z(a){return T(y(a).times(864e5).plus(a.offset.times(1e3)).div(864e5))}function $(a){var b=a.offset,c=T(y(a).times(864e5).minus(F(a)).div(864e5));return c.offset=b,c}function _(a){var b=a.offset,c=T(y(a).times(864e5).plus(F(a)).div(864e5));return c.offset=b,c}function ab(a){var b=a.offset,c=T(y(a).times(864e5).plus(F(a)).div(864e5));return c.offset=b,c}function bb(a){var b=G(),c=T(y(a).times(864e5).plus(a.offset.times(1e3)).minus(b.times(1e3)).div(864e5));return c.offset=b,c}function cb(b,c){var d,e,f,g,h,i,j,k;for(k=a.Number.toNumber(c),(a.Object.lt(k,5)||!a.Number.isFinite(k))&&(k=6),e=0,d="",f=0;a.Object.lt(f,3);f+=1)if(a.Object.isUndefined(b[Rb[f].full])){e=3;break}for(h=Rb.length-1;a.Object.lt(e,h);e+=1)j=Rb[e].full,i=b[j],a.Object.strictEqual(j,"year")?i.lt(0)?(d+="-",g=k):i.gte(1e4)?(d+="+",g=k):g=4:a.Object.strictEqual(j,"hour")?(d+="T",g=2):g=a.Object.strictEqual(j,"millisecond")?3:2,d+=i.abs().padLeadingZero(g),a.Object.lt(e,2)?d+="-":a.Number.inRange(e,3,4)?d+=":":a.Object.strictEqual(j,"second")&&(d+=".");return i=b.offset,i.isZero()?d+="Z":(d+=i.lte(0)?"+":"-",i=D(i.abs(),"second"),d+=i.hour.padLeadingZero(2),d+=":",d+=i.minute.padLeadingZero(2)),d}function db(b){var c;return c=a.Number.inRange(a.String.countCharacter(b," ")+a.String.countCharacter(b,"T"),0,1)&&a.Number.inRange(a.String.countCharacter(b,"W"),0,1)&&a.Number.inRange(a.String.countCharacter(b,"Z"),0,1)&&a.Number.inRange(a.String.countCharacter(b,".")+a.String.countCharacter(b,","),0,1)&&a.Number.inRange(a.String.countCharacter(b,"+"),0,2)&&a.Number.inRange(a.String.countCharacter(b,"-"),0,4)&&a.Number.inRange(a.String.countCharacter(b,":"),0,4)?a.Object.lt(b.replace(/\D/g,"").length,2)?!1:!0:!1}function eb(a,c){var d,e={year:new b(a),month:b.one(),day:b.one(),hour:b.zero(),minute:b.zero(),second:b.zero(),millisecond:b.zero()};return c=new b(c),c.inRange(1,i(e))&&(e=T(y(e).plus(c).minus(1)),d={sign:1,year:e.year,month:e.month,day:e.day}),d}function fb(a,c,d){var e={year:new b(a),month:b.one(),day:new b(4),hour:b.zero(),minute:b.zero(),second:b.zero(),millisecond:b.zero()},f=new b(7).times(c).plus(d).minus(B(e).plus(3));return f.lt(1)?(e.year=e.year.minus(1),f=i(e).plus(f)):f.gt(i(e))&&(e.year=e.year.plus(1),f=f.minus(i(e))),eb(e.year,f)}function gb(a){var c,d=B(a),e=a.year,f=a.month,g=a.day.plus(4).minus(d);return a.month.equals(12)&&g.gt(31)?c={year:e.plus(1),week:b.one(),weekDay:d}:(a.month.equals(1)&&g.lt(1)&&(e=a.year.minus(1),f=new b(12),g=g.plus(31)),c={year:e,week:t({year:e,month:f,day:g}).div(7).floor().plus(1),weekDay:d}),c}function hb(a){return a.day.plus(4).minus(B(a)).plus(6).div(7).floor()}function ib(a){return a.day.minus(1).div(7).plus(1).floor()}function jb(b,c){return a.Object.strictEqual(c,"+")||!b.isZero()||b.isZero()&&a.Object.notStrictEqual(c,"-")}function kb(a,c,d){var e=D("0."+a,"hour");return e.hour=new b(d),e.offset=new b(c),e}function lb(c,d,e,f,g){var h=D("0."+c,"minute");return h.hour=new b(e),a.Object.isUndefined(f)||(h.minute=new b(f)),a.Object.isUndefined(g)||(h.second=new b(g)),h.offset=new b(d),h}function mb(a,c,d,e,f){var g=D("0."+a.toString(),"second");return g.hour=new b(d),g.minute=new b(e),g.second=new b(f),g.offset=new b(c),g}function nb(b){var c,d={date:"",time:""},e=a.String.split(a.String.trim(b),/[T ]/),f=e.length;return a.Number.inRange(f,1,2)&&(a.Object.strictEqual(f,1)?(c=a.Array.first(e),a.Object.strictEqual(c.slice(-4),"-")||a.String.startsWith(c,"+")||a.String.startsWith(c,"-")||a.Object.strictEqual(c.length,2)||a.Object.gte(a.String.countCharacter(c,"-"),2)||a.String.contains(c,"W")?(d.date=c,d.time="00"):a.String.endsWith(c,"Z")||a.String.contains(c,":")||a.String.contains(c,".")||a.String.contains(c,",")||a.String.contains(c,"+")||a.Object.strictEqual(c.slice(-3),"-")?(d.date="00",d.time=c):(d.date=c,d.time="00")):(d.date=a.Array.first(e)||"00",d.time=a.Array.last(e))),d}function ob(a,c,d){return{year:new b(a),month:new b(c),day:new b(d)}}function pb(a,c,d,e,f){return{hour:new b(a),minute:new b(c),second:new b(d),millisecond:b.zero(),offset:new b(e).times(H(f||"-")).neg()}}function qb(b){function c(b){var c,f=b.regex.exec(d),g=!1;return a.Object.isNull(f)||(c=b.func(f),a.Object.isUndefined(c)||a.Object.assign(e,c),g=!0),g}var d,e={input:b};return a.String.isString(b)&&!a.String.isEmpty(b)&&!a.RegExp.test(Vb,b)&&db(b)&&(a.Object.assign(e,nb(b)),d=e.date,a.Array.some(Jb.basic,c)?(d=e.time,a.Array.some(Kb.basic,c)):a.Array.some(Jb.extended,c)&&(d=e.time,a.Array.some(Kb.extended,c))),e}function rb(a,b){return a.isDT()&&(b=a.isUT2TT()?ab(b):_(b)),a.isUT()?b=Z(b):a.isLocal()&&(b=bb(b)),b}function sb(c,d){var e,f=a.String.ToString(a.Object.CheckObjectCoercible(c));return a.String.isDigits(f)&&new b(f).isFinite()?(a.String.startsWith(f,"-")?(e="-",f=f.slice(1),d-=1):e="",e+=a.String.padLeadingChar(f,"0",d)):e=f,e}function tb(b,c,d){function e(b,e){var f;return f=e?sb(d,e.length):d,a.Object.notStrictEqual(j,!0)&&(f=a.String.wrapInChars(f,"'")),b.replace(new RegExp(c,"g"),f)}function f(a,b,c){var d;return a&&(d=b?b.replace(new RegExp(i,"g"),e):c),d}if(!a.String.isString(c)||a.String.isEmpty(c))throw new Error;var g,h,i,j;if(a.RegExp.test(/^\{\d\}$/,c))c=a.String.escapeRegex(c),i=c,j=!0;else{if(g=a.String.first(c),!a.RegExp.test(/^\S\{\d+,\d*\}$/,c)&&(h=c.length,a.Object.notStrictEqual(h,a.String.countCharacter(c,g))))throw new Error(c);i="(?:^|[^"+g+"])("+c+")(?:[^"+g+"]|$)"}return b.replace(Wb,f)}function ub(a){function b(a,b,c){var d;return d=a&&b&&!c?b:""}return a.replace(Wb,b).replace(Xb,"")}function vb(b){return!a.String.isEmpty(ub(b))}function wb(b){return a.String.replaceAll(b,"'","")}function xb(b){return a.String.replaceAll(b,"-","_")}function yb(b){return a.String.split(b,"_")}function zb(b){var c,e,f,g,h,i,j=[];return a.String.isString(b)&&a.RegExp.test(d,b)&&(c=yb(xb(b)),e=c.length,a.Array.push(j,c[0].toLowerCase()),a.Object.notStrictEqual(e,1)&&(f=c[1],a.Object.strictEqual(e,2)?(g=f.length,a.Object.strictEqual(g,2)?i=f.toUpperCase():h=f.charAt(0).toUpperCase()+f.slice(1).toLowerCase()):(h=f.charAt(0).toUpperCase()+f.slice(1).toLowerCase(),i=c[2].toUpperCase())),!a.Object.isUndefined(h)&&a.Object.notStrictEqual(h,"Zzzz")&&a.Array.push(j,h),!a.Object.isUndefined(i)&&a.Object.notStrictEqual(i,"ZZ")&&a.Array.push(j,i)),a.Array.join(j,"_")}function Ab(b){var c,d,e,f,g,h,i,j,k,l=zb(b);return a.String.isEmpty(l)||(c=Ob.likelySubtags,d=c[l],a.Object.isUndefined(d)&&(e=yb(l),i=e.length,f=a.Array.first(e),a.Object.strictEqual(i,3)?(h=a.Array.last(e),g=e[1]):a.Object.strictEqual(i,2)&&(j=a.Array.last(e),k=j.length,a.Object.strictEqual(k,2)?h=j:g=j),a.Object.isUndefined(d)&&!a.Object.isUndefined(h)&&(d=c[a.Array.join([f,h],"_")]),a.Object.isUndefined(d)&&!a.Object.isUndefined(g)&&(d=c[a.Array.join([f,g],"_")]),a.Object.isUndefined(d)&&(a.Object.isUndefined(Zb[l])||(d=l)),a.Object.isUndefined(d)&&(d=c[f]),a.Object.isUndefined(d)&&!a.Object.isUndefined(g)&&(d=c[a.Array.join(["und",g],"_")]))),a.Object.isUndefined(d)&&(d=""),d}function Bb(b){var c,d,e;return a.String.isEmpty(b)?c="":(d=xb(b),a.Object.isUndefined(Zb[d])?(e=yb(Ab(b)),d=a.Array.join([a.Array.first(e),a.Array.last(e)],"_"),a.Object.isUndefined(Zb[d])?(d=a.Array.first(e),a.Object.isUndefined(Zb[d])||(c=d)):c=d):c=d),c}function Cb(b){return a.Array.last(yb(b))}function Db(b,c,d,e,f){var g,h,i,j,k,l,m,n,o,p,q=Zb[e].dates.calendars.gregorian,r=q.dateFormats,s=q.eras,v=a.Array.last(Tb),w=q.months,x=w.format,y=w[v],z=q.days,A=z.format,B=z[v],D=a.Array.last(Ub),E=gb(b),F=C(b);return a.Array.contains(Ub,c)&&(c=r[c]),g=b.year.lt(1)?0:1,h=g.toString(),c=tb(c,"GGGGG",s.eraNarrow[h]),c=tb(c,"GGGG",s.eraNames[h]),c=tb(c,"G{1,3}",s.eraAbbr[h]),i=b.year.plus(g-1),j=i.lt(0)?"-":"",c=tb(c,"y{3,}",i),c=tb(c,"yy",j+i.toString().slice(-2)),c=tb(c,"y",i),c=tb(c,"U{1,}",i),c=tb(c,"u{1,}",b.year),c=tb(c,"Y{1,}",E.year),n=E.week.toString(),c=tb(c,"w{1,2}",n),c=tb(c,"W",hb(b)),k=b.month.toString(),c=tb(c,"MMMMM",x.narrow[k]),c=tb(c,"MMMM",x.wide[k]),c=tb(c,"MMM",x.abbreviated[k]),c=tb(c,"M{1,2}",k),c=tb(c,"LLLLL",y.narrow[k]),c=tb(c,"LLLL",y.wide[k]),c=tb(c,"LLL",y.abbreviated[k]),c=tb(c,"L{1,2}",k),c=tb(c,"d{1,2}",b.day),l=d?u(X(b)):t(b),c=tb(c,"D{1,3}",l),c=tb(c,"F",ib(b)),p=d?W(Z(b)):V(Z(b)),c=tb(c,"g{1,}",p),m=A[D][F],c=tb(c,"EEEEEE",m),c=tb(c,"eeeeee",m),m=A.narrow[F],c=tb(c,"EEEEE",m),c=tb(c,"eeeee",m),m=A.wide[F],c=tb(c,"EEEE",m),c=tb(c,"eeee",m),m=A.abbreviated[F],c=tb(c,"EEE",m),c=tb(c,"eee",m),c=tb(c,"E{1,2}",E.weekDay),o=a.Number.mod(1+(7-a.Array.indexOf(Sb,Ob.weekData.firstDay[Cb(f)])+a.Array.indexOf(Sb,F)),7),c=tb(c,"e{1,2}",o),c=tb(c,"cccccc",B[D][F]),c=tb(c,"ccccc",B.narrow[F]),c=tb(c,"cccc",B.wide[F]),c=tb(c,"ccc",B.abbreviated[F]),c=tb(c,"c{1,2}",o)}function Eb(b,c,d,e,f){var g,h,i,j=Zb[c].dates.timeZoneNames,k=a.String.split(j.hourFormat,";");if(d&&b.offset.isZero())i="Z";else if(h=D(b.offset.abs(),"second"),g=b.offset.lte(0)?a.Array.first(k):a.Array.last(k),g=g.replace(/([\-+])H:/i,"$1HH:"),a.Object.strictEqual(e,"basic")&&(g=a.Object.strictEqual(f,!0)&&h.minute.isZero()?a.Array.first(a.String.split(g,":")):g.replace(":","")),i=tb(g,"H{1,2}",h.hour),i=tb(i,"m{1,2}",h.minute),vb(i))throw new Error("formatIsoTimeZone has remaining tokens! "+ub(i));return wb(i)}function Fb(b,c,d,e,f){var g,h,i,j=Zb[c].dates.timeZoneNames,k=a.String.split(j.hourFormat,";");if(d&&b.offset.isZero())i="Z";else if(h=D(b.offset.abs(),"second"),g=b.offset.lte(0)?a.Array.first(k):a.Array.last(k),g=g.replace(/([\-+])H:/i,"$1HH:")+":ss",a.Object.strictEqual(e,"basic")&&(a.Object.strictEqual(f,!0)&&h.second.isZero()?(g=a.String.split(g,":"),g.pop(),g=a.Array.join(g,"")):g=g.replace(":","")),i=tb(g,"H{1,2}",h.hour),i=tb(i,"m{1,2}",h.minute),i=tb(i,"s{1,2}",h.second),vb(i))throw new Error("formatIsoTimeZone has remaining tokens! "+ub(i));return wb(i)}function Gb(b,c,d){var e,f,g,h=Zb[c].dates.timeZoneNames,i=a.String.split(h.hourFormat,";");if(b.offset.isZero())g=h.gmtZeroFormat;else{if(f=D(b.offset.abs(),"second"),e=b.offset.lte(0)?a.Array.first(i):a.Array.last(i),e=a.Object.strictEqual(d,!0)?e.replace("HH","H"):e.replace(/([\-+])H:/i,"$1HH:"),d&&f.minute.isZero()&&(e=a.Array.first(a.String.split(e,":"))),g=tb(e,"H{1,2}",f.hour),g=tb(g,"m{1,2}",f.minute),vb(g))throw new Error("formatLocalisedGMT has remaining tokens! "+ub(g));g=tb(h.gmtFormat,"{0}",g)}return wb(g)}function Hb(b,c,d){var e,f,g,h,i,j=Zb[d],k=j.dates.calendars.gregorian;return a.Array.contains(Ub,c)&&(c=k.timeFormats[c]),h=b.hour.inRange(12,23)?"pm":"am",c=tb(c,"a",k.dayPeriods.format.abbreviated[h]),i=b.hour.plus(11).mod(12).plus(1),c=tb(c,"h{1,2}",i),c=tb(c,"H{1,2}",b.hour),c=tb(c,"K{1,2}",i.minus(1)),c=tb(c,"m{1,2}",b.minute),c=tb(c,"s{1,2}",b.second),c=tb(c,"S{1,}",b.millisecond),e=Gb(b,d,!0),c=tb(c,"O",e),c=tb(c,"z{1,3}",e),f=Gb(b,d,!1),c=tb(c,"OOOO",f),c=tb(c,"zzzz",f),c=tb(c,"ZZZZ",f),c=tb(c,"vvvv",f),c=tb(c,"v",f),c=tb(c,"VVVV",f),c=tb(c,"X",Eb(b,d,!0,"basic",!0)),c=tb(c,"x",Eb(b,d,!1,"basic",!0)),g=Eb(b,d,!0,"basic",!1),c=tb(c,"Z{1,3}",g),c=tb(c,"XX",g),c=tb(c,"xx",Eb(b,d,!1,"basic",!1)),c=tb(c,"XXX",Eb(b,d,!0,"extended",!1)),c=tb(c,"xxx",Eb(b,d,!1,"extended",!1)),c=tb(c,"XXXX",Eb(b,d,!0,"basic",!0)),c=tb(c,"xxxx",Fb(b,d,!1,"basic",!0)),c=tb(c,"XXXXX",Fb(b,d,!0,"extended",!0)),c=tb(c,"xxxxx",Fb(b,d,!1,"extended",!0)),c=tb(c,"ZZZZZ",Fb(b,d,!0,"extended",!0))}function Ib(){var c,d,e,f,i=a.Array.slice(arguments),j=arguments,t=i.length,u=!1,x=!1,y=!1,z=!1,A=null,B=0,C=Lb,D=Mb;if(a.Object.defineProperties(this,{getter:{value:function(b){var d;if(a.Object.isUndefined(b))d=a.Object.assign({},c);else{if(!a.String.isString(b))throw new TypeError(b);switch(b){case"struct":d=a.Object.assign({},c);break;case"isJulian":d=u;break;case"isUT":d=x;break;case"isTT":d=y;break;case"DT":d=B;break;case"isLocal":d=z;break;case"args":d=i;break;case"input":d=j;break;case"error":d=A;break;case"lang":d=C;break;case"locale":d=D;break;default:throw new SyntaxError(b)}}return d},enumerable:!1,writable:!0,configurable:!0},setter:{value:function(d,e){var f,i,t=v(d),w=!1;if(t){switch(f=new b(e),t){case"year":w=k(f);break;case"month":w=l(f);break;case"day":i=a.Object.strictEqual(u,!0)?h(c):g(c),w=m(f,i);break;case"hour":w=n(f);break;case"minute":w=o(f,c.hour);break;case"second":w=p(f,c);break;case"millisecond":w=q(f,c.hour);break;case"offset":w=r(f);break;default:throw new Error(t)}w?c[t]=f:c={}}else if(a.Array.isArray(d))c=K(d,!1);else if(Ib.isAstroDate(d))c=d.getter(),u=d.isJulian();else if(a.Date.isDate(d))c=R(d);else{if(!a.String.isString(d))throw new SyntaxError(d);switch(d){case"input":j=e;break;case"error":A=e;break;case"struct":c=s(e)?a.Object.assign({},e):{};break;case"isJulian":u=!!e;break;case"isUT":x=!!e;break;case"isTT":y=!!e;break;case"DT":B=a.Math.sign(e)||0;break;case"isLocal":z=!!e;break;case"lang":a.String.isString(e)&&!a.String.isEmpty(e)?C=e:(C=Lb,D=Mb);break;case"locale":a.String.isString(e)&&!a.String.isEmpty(e)?D=Ab(e):(C=Lb,D=Mb);break;default:c=qb(d)}}return this},enumerable:!1,writable:!0,configurable:!0}}),e=t,a.Object.strictEqual(e,0))c=R(new Date);else if(a.Object.strictEqual(e,1))if(d=a.Array.first(i),Ib.isAstroDate(d))u=d.getter("isJulian"),c=a.Object.assign({},d.getter());else if(a.Date.isDate(d))c=R(d);else if(a.Number.isNumber(d))c=R(new Date(d));else{if(!a.String.isString(d))throw new TypeError(d);c=qb(d)}else d=a.Array.last(i),f=w(d),a.Object.isNull(d)||a.Object.isPlainObject(d)?(f.Julian&&(u=!0),c=K(a.Array.slice(i,0,-1),u),u&&(c=Y(c))):c=K(a.Array.slice(i,0,i.length),u),a.Object.isUndefined(i[8])&&!a.Object.isUndefined(f.offset)&&(c.offset=J(f.offset));s(c)||(c={})}b.config({DECIMAL_PLACES:9,ROUNDING_MODE:0,EXPONENTIAL_AT:[-7,20],RANGE:[-1e9,1e9],ERRORS:!0}),a.Object.defineProperties(b.prototype,{trunc:{value:function(){return this.round(0,1)},enumerable:!1,writable:!0,configurable:!0},inRange:{value:function(a,b){return this.gte(a)&&this.lte(b)},enumerable:!1,writable:!0,configurable:!0},modf:{value:function(){var a=this;return a=a.isFinite()?a.mod(a.trunc()):new b(0/0)},enumerable:!1,writable:!0,configurable:!0},difference:{value:function(a){var b;return b=this.gt(a)?this.minus(a):this.neg().plus(a)},enumerable:!1,writable:!0,configurable:!0},padLeadingZero:{value:function(b){return a.String.padLeadingChar(this.toString(),"0",b)},enumerable:!1,writable:!0,configurable:!0}}),a.Object.defineProperties(b,{isBigNumber:{value:function(c){return a.Object.isObject(c)&&a.Object.instanceOf(c,b)},enumerable:!1,writable:!0,configurable:!0},trunc:{value:function(a){return new b(a).trunc()},enumerable:!1,writable:!0,configurable:!0},modf:{value:function(a){return new b(a).modf()},enumerable:!1,writable:!0,configurable:!0},difference:{value:function(a,c){return new b(a).difference(c)},enumerable:!1,writable:!0,configurable:!0},zero:{value:function(){return new b(0)},enumerable:!1,writable:!0,configurable:!0},one:{value:function(){return new b(1)},enumerable:!1,writable:!0,configurable:!0}});var Jb,Kb,Lb,Mb,Nb,Ob,Pb="0.7.10",Qb=[{full:"julian",alias:"j"},{full:"offset",alias:"o"}],Rb=[{full:"year",alias:"y",local:"getFullYear"},{full:"month",alias:"M",local:"getMonth"},{full:"day",alias:"d",local:"getDate"},{full:"hour",alias:"h",local:"getHours"},{full:"minute",alias:"m",local:"getMinutes"},{full:"second",alias:"s",local:"getSeconds"},{full:"millisecond",alias:"ms",local:"getMilliseconds"},{full:"offset",alias:"z",local:"getTimezoneOffset"}],Sb=["sun","mon","tue","wed","thu","fri","sat"],Tb=["format","stand-alone"],Ub=["full","long","medium","short"],Vb=new RegExp("[^\\d\\-+WT Z:,\\.]"),Wb=new RegExp("([^\\']+)|(\\'[^\\']+\\')","g"),Xb=new RegExp("[^a-z]","gi"),Yb=new RegExp("^([\\-+])?(\\d{1,2}):(\\d{2})(?::(\\d{2}))?$"),Zb={};return Jb={basic:[{regex:/^(\d{2})$/,func:function(a){return ob(a[1]+"00",1,1)}},{regex:/^(\d{4})$/,func:function(a){return ob(a[1],1,1)}},{regex:/^(\d{4})(\d{2})(\d{2})$/,func:function(a){return ob(a[1],a[2],a[3])}},{regex:/^(\d{4})(\d{3})$/,func:function(a){return eb(a[1],a[2])}},{regex:/^(\d{4})W(\d{2})$/,func:function(a){return fb(a[1],a[2],1)}},{regex:/^(\d{4})W(\d{2})([1-7]{1})$/,func:function(a){return fb(a[1],a[2],a[3])}}],extended:[{regex:/^([\-+])(\d{5,})-(\d{2})$/,func:function(a){var c,d=a[1],e=new b(a[2]);return jb(e,d)&&(c=ob(e.times(H(d)),a[3],1)),c}},{regex:/^(\d{4})-(\d{2})$/,func:function(a){return ob(a[1],a[2],1)}},{regex:/^(\d{4})-(\d{2})-(\d{2})$/,func:function(a){return ob(a[1],a[2],a[3])}},{regex:/^([\-+])(\d{5,})-(\d{2})-(\d{2})$/,func:function(a){var c,d=a[1],e=new b(a[2]);return jb(e,d)&&(c=ob(e.times(H(d)),a[3],a[4])),c}},{regex:/^(\d{4})-(\d{3})$/,func:function(a){return eb(a[1],a[2])}},{regex:/^(\d{4})-W(\d{2})$/,func:function(a){return fb(a[1],a[2],1)}},{regex:/^(\d{4})-W(\d{2})-([1-7]{1})$/,func:function(a){return fb(a[1],a[2],a[3])}},{regex:/^([\-+])(\d{5,})-(\d{3})$/,func:function(a){var c,d=a[1],e=new b(a[2]);return jb(e,d)&&(c=eb(e.times(H(d)),a[3])),c}},{regex:/^([\-+])(\d{5,})-W(\d{2})$/,func:function(a){var c,d=a[1],e=new b(a[2]);return jb(e,d)&&(c=fb(e.times(H(d)),a[3],1)),c}},{regex:/^([\-+])(\d{5,})-W(\d{2})-([1-7]{1})$/,func:function(a){var c,d=a[1],e=new b(a[2]);return jb(e,d)&&(c=fb(e.times(H(d)),a[3],a[4])),c}}]},Kb={basic:[{regex:/^(\d{2})$/,func:function(a){return pb(a[1],0,0,G())}},{regex:/^(\d{2})(\d{2})$/,func:function(a){return pb(a[1],a[2],0,G())}},{regex:/^(\d{2})(\d{2})(\d{2})$/,func:function(a){return pb(a[1],a[2],a[3],G())}},{regex:/^(\d{2})Z$/,func:function(a){return pb(a[1],0,0,0)}},{regex:/^(\d{2})(\d{2})Z$/,func:function(a){return pb(a[1],a[2],0,0)}},{regex:/^(\d{2})(\d{2})(\d{2})Z$/,func:function(a){return pb(a[1],a[2],a[3],0)}},{regex:/^(\d{2})([\-+])(\d{2})$/,func:function(a){var b,c=a[2],d=I(a[3]);return jb(d,c)&&(b=pb(a[1],0,0,d,c)),b}},{regex:/^(\d{2})(\d{2})([\-+])(\d{2})$/,func:function(a){var b,c=a[3],d=I(a[4]);return jb(d,c)&&(b=pb(a[1],a[2],0,d,c)),b}},{regex:/^(\d{2})(\d{2})(\d{2})([\-+])(\d{2})$/,func:function(a){var b,c=a[4],d=I(a[5]);return jb(d,c)&&(b=pb(a[1],a[2],a[3],d,c)),b}},{regex:/^(\d{2})([\-+])(\d{2})(\d{2})$/,func:function(a){var b,c=a[2],d=I(a[3],a[4]);return jb(d,c)&&(b=pb(a[1],0,0,d,c)),b}},{regex:/^(\d{2})(\d{2})([\-+])(\d{2})(\d{2})$/,func:function(a){var b,c=a[3],d=I(a[4],a[5]);return jb(d,c)&&(b=pb(a[1],a[2],0,d,c)),b}},{regex:/^(\d{2})(\d{2})(\d{2})([\-+])(\d{2})(\d{2})$/,func:function(a){var b,c=a[4],d=I(a[5],a[6]);return jb(d,c)&&(b=pb(a[1],a[2],a[3],d,c)),b}},{regex:/^(\d{2})[\.,](\d+)$/,func:function(a){return kb(a[2],G(),a[1])}},{regex:/^(\d{2})(\d{2})[\.,](\d+)$/,func:function(a){return lb(a[3],G(),a[1],a[2])}},{regex:/^(\d{2})(\d{2})(\d{2})[\.,](\d+)$/,func:function(a){return mb(a[4],G(),a[1],a[2],a[3])}},{regex:/^(\d{2})[\.,](\d+)Z$/,func:function(a){return kb(a[2],0,a[1])}},{regex:/^(\d{2})(\d{2})[\.,](\d+)Z$/,func:function(a){return lb(a[3],0,a[1],a[2])}},{regex:/^(\d{2})(\d{2})(\d{2})[\.,](\d+)Z$/,func:function(a){return mb(a[4],0,a[1],a[2],a[3])}},{regex:/^(\d{2})[\.,](\d+)([\-+])(\d{2})$/,func:function(a){var b,c=a[3],d=I(a[4]);return jb(d,c)&&(b=kb(a[2],d.times(H(c)).neg(),a[1])),b}},{regex:/^(\d{2})(\d{2})[\.,](\d+)([\-+])(\d{2})$/,func:function(a){var b,c=a[4],d=I(a[5]);return jb(d,c)&&(b=lb(a[3],d.times(H(c)).neg(),a[1],a[2])),b}},{regex:/^(\d{2})(\d{2})(\d{2})[\.,](\d+)([\-+])(\d{2})$/,func:function(a){var b,c=a[5],d=I(a[6]);return jb(d,c)&&(b=mb(a[4],d.times(H(c)).neg(),a[1],a[2],a[3])),b}},{regex:/^(\d{2})[\.,](\d+)([\-+])(\d{2})(\d{2})$/,func:function(a){var b,c=a[3],d=I(a[4],a[5]);return jb(d,c)&&(b=kb(a[2],d.times(H(c)).neg(),a[1])),b}},{regex:/^(\d{2})(\d{2})[\.,](\d+)([\-+])(\d{2})(\d{2})$/,func:function(a){var b,c=a[4],d=I(a[5],a[6]);return jb(d,c)&&(b=lb(a[3],d.times(H(c)).neg(),a[1],a[2])),b}},{regex:/^(\d{2})(\d{2})(\d{2})[\.,](\d+)([\-+])(\d{2})(\d{2})$/,func:function(a){var b,c=a[5],d=I(a[6],a[7]);return jb(d,c)&&(b=mb(a[4],d.times(H(c)).neg(),a[1],a[2],a[3])),b}}],extended:[{regex:/^(\d{2})$/,func:function(a){return pb(a[1],0,0,G())}},{regex:/^(\d{2}):(\d{2})$/,func:function(a){return pb(a[1],a[2],0,G())}},{regex:/^(\d{2}):(\d{2}):(\d{2})$/,func:function(a){return pb(a[1],a[2],a[3],G())}},{regex:/^(\d{2})Z$/,func:function(a){return pb(a[1],0,0,0)}},{regex:/^(\d{2}):(\d{2})Z$/,func:function(a){return pb(a[1],a[2],0,0)}},{regex:/^(\d{2}):(\d{2}):(\d{2})Z$/,func:function(a){return pb(a[1],a[2],a[3],0)}},{regex:/^(\d{2})([\-+])(\d{2})$/,func:function(a){var b,c=a[2],d=I(a[3]);return jb(d,c)&&(b=pb(a[1],0,0,d,c)),b}},{regex:/^(\d{2}):(\d{2})([\-+])(\d{2})$/,func:function(a){var b,c=a[3],d=I(a[4]);return jb(d,c)&&(b=pb(a[1],a[2],0,d,c)),b}},{regex:/^(\d{2}):(\d{2}):(\d{2})([\-+])(\d{2})$/,func:function(a){var b,c=a[4],d=I(a[5]);
return jb(d,c)&&(b=pb(a[1],a[2],a[3],d,c)),b}},{regex:/^(\d{2})([\-+])(\d{2}):(\d{2})$/,func:function(a){var b,c=a[2],d=I(a[3],a[4]);return jb(d,c)&&(b=pb(a[1],0,0,d,c)),b}},{regex:/^(\d{2}):(\d{2})([\-+])(\d{2}):(\d{2})$/,func:function(a){var b,c=a[3],d=I(a[4],a[5]);return jb(d,c)&&(b=pb(a[1],a[2],0,d,c)),b}},{regex:/^(\d{2}):(\d{2}):(\d{2})([\-+])(\d{2}):(\d{2})$/,func:function(a){var b,c=a[4],d=I(a[5],a[6]);return jb(d,c)&&(b=pb(a[1],a[2],a[3],d,c)),b}},{regex:/^(\d{2})[\.,](\d+)$/,func:function(a){return kb(a[2],G(),a[1])}},{regex:/^(\d{2}):(\d{2})[\.,](\d+)$/,func:function(a){return lb(a[3],G(),a[1],a[2])}},{regex:/^(\d{2}):(\d{2}):(\d{2})[\.,](\d+)$/,func:function(a){return mb(a[4],G(),a[1],a[2],a[3])}},{regex:/^(\d{2})[\.,](\d+)Z$/,func:function(a){return kb(a[2],0,a[1])}},{regex:/^(\d{2}):(\d{2})[\.,](\d+)Z$/,func:function(a){return lb(a[3],0,a[1],a[1])}},{regex:/^(\d{2}):(\d{2}):(\d{2})[\.,](\d+)Z$/,func:function(a){return mb(a[4],0,a[1],a[2],a[3])}},{regex:/^(\d{2})[\.,](\d+)([\-+])(\d{2})$/,func:function(a){var b,c=a[3],d=I(a[4]);return jb(d,c)&&(b=kb(a[2],d.times(H(c)).neg(),a[1])),b}},{regex:/^(\d{2}):(\d{2})[\.,](\d+)([\-+])(\d{2})$/,func:function(a){var b,c=a[4],d=I(a[5]);return jb(d,c)&&(b=lb(a[3],d.times(H(c)).neg(),a[1],a[2])),b}},{regex:/^(\d{2}):(\d{2}):(\d{2})[\.,](\d+)([\-+])(\d{2})$/,func:function(a){var b,c=a[5],d=I(a[6]);return jb(d,c)&&(b=mb(a[4],d.times(H(c)).neg(),a[1],a[2],a[3])),b}},{regex:/^(\d{2})[\.,](\d+)([\-+])(\d{2}):(\d{2})$/,func:function(a){var b,c=a[3],d=I(a[4],a[5]);return jb(d,c)&&(b=kb(a[2],d.times(H(c)).neg(),a[1])),b}},{regex:/^(\d{2}):(\d{2})[\.,](\d+)([\-+])(\d{2}):(\d{2})$/,func:function(a){var b,c=a[4],d=I(a[5],a[6]);return jb(d,c)&&(b=lb(a[3],d.times(H(c)).neg(),a[1],a[2])),b}},{regex:/^(\d{2}):(\d{2}):(\d{2})[\.,](\d+)([\-+])(\d{2}):(\d{2})$/,func:function(a){var b,c=a[5],d=I(a[6],a[7]);return jb(d,c)&&(b=mb(a[4],d.times(H(c)).neg(),a[1],a[2],a[3])),b}}]},d=new RegExp("^([a-z]{2,3}|[a-z]{2,3}[\\-_][a-z]{2}|[a-z]{2,3}[\\-_][a-z]{4}|[a-z]{2,3}[\\-_][a-z]{4}[\\-_][a-z]{2})$","i"),a.Object.defineProperties(Ib.prototype,{julian:{value:function(){return this.setter("isJulian",!0)},enumerable:!1,writable:!0,configurable:!0},gregorian:{value:function(){return this.setter("isJulian",!1)},enumerable:!1,writable:!0,configurable:!0},local:{value:function(){return this.setter("isLocal",!0),this.setter("isUT",!1),this},enumerable:!1,writable:!0,configurable:!0},UT:{value:function(){return this.setter("isLocal",!1),this.setter("isUT",!0),this},enumerable:!1,writable:!0,configurable:!0},TT:{value:function(){return this.setter("isTT",!0)},enumerable:!1,writable:!0,configurable:!0},UT2TT:{value:function(){return this.setter("DT",-1)},enumerable:!1,writable:!0,configurable:!0},TT2UT:{value:function(){return this.setter("DT",1)},enumerable:!1,writable:!0,configurable:!0},civil:{value:function(){return this.setter("isTT",!1)},enumerable:!1,writable:!0,configurable:!0},raw:{value:function(){return this.setter("isLocal",!1),this.setter("isUT",!1),this.setter("isTT",!1),this.setter("DT",0),this},enumerable:!1,writable:!0,configurable:!0},isJulian:{value:function(){return this.getter("isJulian")},enumerable:!1,writable:!0,configurable:!0},isGregorian:{value:function(){return!this.getter("isJulian")},enumerable:!1,writable:!0,configurable:!0},isUT:{value:function(){return this.getter("isUT")},enumerable:!1,writable:!0,configurable:!0},isTT:{value:function(){return this.getter("isTT")},enumerable:!1,writable:!0,configurable:!0},isUT2TT:{value:function(){return a.Object.strictEqual(this.getter("DT"),-1)},enumerable:!1,writable:!0,configurable:!0},isTT2UT:{value:function(){return a.Object.strictEqual(this.getter("DT"),1)},enumerable:!1,writable:!0,configurable:!0},isDT:{value:function(){return a.Object.notStrictEqual(this.getter("DT"),0)},enumerable:!1,writable:!0,configurable:!0},isCivil:{value:function(){return!this.getter("isTT")},enumerable:!1,writable:!0,configurable:!0},isLocal:{value:function(){return this.getter("isLocal")},enumerable:!1,writable:!0,configurable:!0},isRaw:{value:function(){return!this.getter("isUT")&&!this.getter("isTT")&&this.getter("isLocal")},enumerable:!1,writable:!0,configurable:!0},currentLang:{value:function(){return this.getter("lang")},enumerable:!1,writable:!0,configurable:!0},isWeekDay:{value:function(){var a;return this.isValid()&&(a=B(rb(this,this.getter())).inRange(1,5)),a},enumerable:!1,writable:!0,configurable:!0},isWeekend:{value:function(){var a;return this.isValid()&&(a=B(rb(this,this.getter())).inRange(6,7)),a},enumerable:!1,writable:!0,configurable:!0},zone:{value:function(){var a;return this.isValid()&&(a=rb(this,this.getter()).offset.toString()),a},enumerable:!1,writable:!0,configurable:!0},isValid:{value:function(){return s(this.getter())},enumerable:!1,writable:!0,configurable:!0},parse:{value:function(b){var c;if(!a.String.isString(b))throw new TypeError(b);return c=this.setter("struct",qb(b))},enumerable:!1,writable:!0,configurable:!0},format:{value:function(b){var c,d,e,f,g,h;if(this.isValid()){if(f=this.currentLang(),!a.String.isString(f)||a.String.isEmpty(f)||!a.Object.isPlainObject(Zb[f])){if(!a.String.isString(Lb)||a.String.isEmpty(Lb)||!a.Object.isPlainObject(Zb[Lb]))throw new Error("Language not loaded!");f=Lb}if(e=this.isJulian(),c=e?U(this.jd()):this.getter(),c=rb(this,c),g=Zb[f].dates.calendars.gregorian.dateTimeFormats,(!a.String.isString(b)||a.String.isEmpty(b))&&(b=a.Array.first(Ub)),a.Array.contains(a.Object.keys(g),b)?(h=g[b],h=tb(h,"{1}",Db(c,b,e,f,this.locale())),h=tb(h,"{0}",Hb(c,b,f))):(h=Db(c,b,e,f,this.locale()),h=Hb(c,h,f)),vb(h))throw new Error("Pattern has remaining tokens!: "+ub(h));d=wb(h)}else d="Invalid Date";return d},enumerable:!1,writable:!0,configurable:!0},toString:{value:function(b){return a.String.isString(b)&&!a.String.isEmpty(b)&&a.Array.contains(Ub,b)||(b=a.Array.first(Ub)),this.format(b)},enumerable:!1,writable:!0,configurable:!0},toDateString:{value:function(b){var c,d,e,f;if(this.isValid()){if(f=this.currentLang(),!a.String.isString(f)||a.String.isEmpty(f)||!a.Object.isPlainObject(Zb[f])){if(!a.String.isString(Lb)||a.String.isEmpty(Lb)||!a.Object.isPlainObject(Zb[Lb]))throw new Error("Language not loaded!");f=Lb}if(e=this.isJulian(),c=e?U(this.jd()):this.getter(),a.String.isString(b)&&!a.String.isEmpty(b)&&a.Array.contains(Ub,b)||(b=a.Array.first(Ub)),b=Db(rb(this,c),b,e,f,this.locale()),vb(b))throw new Error("Pattern has remaining tokens!: "+ub(b));d=wb(b)}else d="Invalid Date";return d},enumerable:!1,writable:!0,configurable:!0},toTimeString:{value:function(b){var c,d,e,f;if(this.isValid()){if(f=this.currentLang(),!a.String.isString(f)||a.String.isEmpty(f)||!a.Object.isPlainObject(Zb[f])){if(!a.String.isString(Lb)||a.String.isEmpty(Lb)||!a.Object.isPlainObject(Zb[Lb]))throw new Error("Language not loaded!");f=Lb}if(e=this.isJulian(),c=e?U(this.jd()):this.getter(),a.String.isString(b)&&!a.String.isEmpty(b)&&a.Array.contains(Ub,b)||(b=a.Array.first(Ub)),b=Hb(rb(this,c),b,f),vb(b))throw new Error("Pattern has remaining tokens!: "+ub(b));d=wb(b)}else d="Invalid Date";return d},enumerable:!1,writable:!0,configurable:!0},toISOString:{value:function(a){var b;return b=this.isValid()?cb(rb(this,this.getter()),a):"Invalid Date"},enumerable:!1,writable:!0,configurable:!0},valueOf:{value:function(){var a;return a=this.isJulian()?this.jd():this.getTime()},enumerable:!1,writable:!0,configurable:!0},unix:{value:function(){var a,b;return this.isValid()&&(a=this.isTT()?$(this.getter()):this.getter(),b=E(Z(a)).div(1e3).trunc().toString()),b},enumerable:!1,writable:!0,configurable:!0},object:{value:function(b){var c,d;if(a.Object.isUndefined(b))this.isValid()&&(c=rb(this,this.getter()),d=P(this.isJulian()?X(c):c));else{if(!a.Object.isPlainObject(b))throw new TypeError(b);d=this.setter("struct",O(b,this.isJulian()))}return d},enumerable:!1,writable:!0,configurable:!0},clone:{value:function(){return new Ib(this)},enumerable:!1,writable:!0,configurable:!0},array:{value:function(b){var c,d;if(a.Object.isUndefined(b))this.isValid()&&(c=rb(this,this.getter()),d=N(this.isJulian()?X(c):c));else{if(!a.Array.isArray(b))throw new TypeError(b);d=this.setter("struct",K(b,this.isJulian()))}return d},enumerable:!1,writable:!0,configurable:!0},date:{value:function(b){var c;if(a.Object.isUndefined(b))c=new Date(this.isValid()?a.Number.toNumber(this.getTime()):0/0);else{if(!a.Date.isDate(b))throw new TypeError(b);c=this.setter(b)}return c},enumerable:!1,writable:!0,configurable:!0},getTime:{value:function(){var a,b;return this.isValid()&&(a=this.isTT()?$(this.getter()):this.getter(),b=E(Z(a)).toString()),b},enumerable:!1,writable:!0,configurable:!0},deltaTime:{value:function(){var a;return this.isValid()&&(a=F(rb(this,this.getter())).toString()),a},enumerable:!1,writable:!0,configurable:!0},timeTo:{value:function(a){var b;return this.isValid()&&(b=x(rb(this,this.getter()),v(a)).toString()),b},enumerable:!1,writable:!0,configurable:!0},jd:{value:function(c){var d,e;if(a.Object.isUndefined(c))this.isValid()&&(d=this.isTT()?$(this.getter()):this.getter(),e=y(Z(d)).toFixed(b.config().DECIMAL_PLACES));else{if(!(a.Number.isNumber(c)||a.String.isString(c)&&!a.String.isEmpty(c)))throw new TypeError(c);e=this.setter("struct",T(c))}return e},enumerable:!1,writable:!0,configurable:!0},jdn:{value:function(){var a,b;return this.isValid()&&(a=this.isTT()?$(this.getter()):this.getter(),b=z(Z(a)).toString()),b},enumerable:!1,writable:!0,configurable:!0},mjd:{value:function(){var a,b;return this.isValid()&&(a=this.isTT()?$(this.getter()):this.getter(),b=V(Z(a)).toString()),b},enumerable:!1,writable:!0,configurable:!0},easter:{value:function(){var a,c,d,e,f,g,h,i,j,k,l,m,n,o,p;return this.isValid()&&(a=rb(this,this.getter()),this.isJulian()?(d=a.year.mod(4),e=a.year.mod(7),f=a.year.mod(19),g=f.times(19).plus(15).mod(30),h=d.times(2).plus(e.times(4)).minus(g).plus(34).mod(7),i=g.plus(h).plus(114),c=new Ib([a.year,i.div(31).floor().minus(1),i.mod(31).plus(1)])):(d=a.year.mod(19),e=a.year.div(100).floor(),f=a.year.mod(100).floor(),g=e.div(4),h=e.mod(4),i=e.plus(8).div(25).floor(),j=e.minus(i).plus(1).div(3).floor(),k=new b(19).times(d).plus(e).minus(g).minus(j).plus(15).mod(30),l=f.div(4).floor(),m=f.mod(4),n=new b(32).plus(h.times(2)).plus(l.times(2)).minus(k).minus(m).mod(7),o=d.plus(k.times(11)).plus(n.times(22)).div(451).floor(),p=k.plus(n).minus(o.times(7)).plus(114),c=new Ib([a.year,p.div(31).floor(),p.mod(31).plus(1)]))),c},enumerable:!1,writable:!0,configurable:!0},isLeapYear:{value:function(){var a,b;return this.isValid()&&(a=rb(this,this.getter()),b=this.isJulian()?f(X(a)):c(a)),b},enumerable:!1,writable:!0,configurable:!0},daysInYear:{value:function(){var b,c;return this.isValid()&&(b=rb(this,this.getter()),c=a.Number.toNumber(this.isJulian()?j(X(b)).toString():i(b).toString())),c},enumerable:!1,writable:!0,configurable:!0},daysInMonth:{value:function(){var b,c;return this.isValid()&&(b=rb(this,this.getter()),c=a.Number.toNumber(this.isJulian()?h(X(b)).toString():g(b).toString())),c},enumerable:!1,writable:!0,configurable:!0},json:{value:function(b){var c,d;if(a.String.isString(b)&&!a.String.isEmpty(b)){if(c=O(a.JSON.parse(b),this.isJulian()),!s(c))throw new SyntaxError(c);d=this.setter("struct",c)}else d=a.JSON.stringify(this.object());return d},enumerable:!1,writable:!0,configurable:!0},toJSON:{value:function(a,b){return this.toISOString(a,b)},enumerable:!1,writable:!0,configurable:!0},calendarToWeekDate:{value:function(){var a;return this.isValid()&&(a=Q(gb(rb(this,this.getter())))),a},enumerable:!1,writable:!0,configurable:!0},lang:{value:function(b){var c,d;return a.String.isString(b)&&!a.String.isEmpty(b)?(d=xb(b),a.Object.isPlainObject(Zb[d])&&(this.setter("lang",d),this.setter("locale",Ab(d))),c=this):c=this.getter("lang"),c},enumerable:!1,writable:!0,configurable:!0},locale:{value:function(b){var c,d;return a.String.isString(b)&&!a.String.isEmpty(b)?(c=Bb(b),a.String.isEmpty(c)||(this.setter("lang",c),this.setter("locale",Ab(b))),d=this):d=this.getter("locale"),d},enumerable:!1,writable:!0,configurable:!0}}),a.Object.defineProperties(Ib,{version:{value:function(){return Pb},enumerable:!1,writable:!0,configurable:!0},lang:{value:function(b,c,d){var e;return a.String.isString(b)&&!a.String.isEmpty(b)&&(e=xb(b),a.Object.isPlainObject(c)&&(Zb[e]=c,a.Boolean.isTrue(d)&&a.deepFreeze(Zb[e])),a.Object.isPlainObject(Zb[e])&&(Lb=e,Mb=Ab(e))),Lb},enumerable:!1,writable:!0,configurable:!0},langs:{value:function(){return a.Object.keys(Zb)},enumerable:!1,writable:!0,configurable:!0},locale:{value:function(b){var c;return a.String.isString(b)&&!a.String.isEmpty(b)&&(c=Bb(b),a.String.isEmpty(c)||(Lb=c,Mb=Ab(b))),Mb},enumerable:!1,writable:!0,configurable:!0},leapSeconds:{value:function(b,c){return a.Object.isPlainObject(b)&&(Nb=b,a.Boolean.isTrue(c)&&a.deepFreeze(Nb)),Nb},enumerable:!1,writable:!0,configurable:!0},supplemental:{value:function(b,c){return a.Object.isPlainObject(b)&&(Ob=b,a.Boolean.isTrue(c)&&a.deepFreeze(Ob)),Ob},enumerable:!1,writable:!0,configurable:!0},BigNumber:{value:function(){var b=e.call({});return a.Array.forEach(a.Object.keys(b),function(c){a.Object.defineProperty(b,c,{enumerable:!1,writable:!0,configurable:!0})}),a.Array.forEach(a.Object.keys(b.prototype),function(c){a.Object.defineProperty(b.prototype,c,{enumerable:!1,writable:!0,configurable:!0})}),b}(),enumerable:!1,writable:!0,configurable:!0},utilx:{value:function(){return a.factory()}(),enumerable:!1,writable:!0,configurable:!0},normaliseUnits:{value:function(a){return v(a)},enumerable:!1,writable:!0,configurable:!0},isAstroDate:{value:function(b){return a.Object.isObject(b)&&a.Object.instanceOf(b,Ib)},enumerable:!1,writable:!0,configurable:!0},now:{value:function(){return(new Ib).getTime()},enumerable:!1,writable:!0,configurable:!0},jd:{value:function(){return(new Ib).jd()},enumerable:!1,writable:!0,configurable:!0},jdn:{value:function(){return(new Ib).jdn()},enumerable:!1,writable:!0,configurable:!0},mjd:{value:function(){return(new Ib).mjd()},enumerable:!1,writable:!0,configurable:!0},unix:{value:function(){return(new Ib).unix()},enumerable:!1,writable:!0,configurable:!0}}),Nb=Ib.leapSeconds({1972:{6:{30:"1"},12:{31:"1"}},1973:{12:{31:"1"}},1974:{12:{31:"1"}},1975:{12:{31:"1"}},1976:{12:{31:"1"}},1977:{12:{31:"1"}},1978:{12:{31:"1"}},1979:{12:{31:"1"}},1981:{6:{30:"1"}},1982:{6:{30:"1"}},1983:{6:{30:"1"}},1985:{6:{30:"1"}},1987:{12:{31:"1"}},1989:{12:{31:"1"}},1990:{12:{31:"1"}},1992:{6:{30:"1"}},1993:{6:{30:"1"}},1994:{6:{30:"1"}},1995:{12:{31:"1"}},1997:{6:{30:"1"}},1998:{12:{31:"1"}},2005:{12:{31:"1"}},2008:{12:{31:"1"}},2012:{6:{30:"1"}}}),Ob=Ib.supplemental({likelySubtags:{aa:"aa_Latn_ET",ab:"ab_Cyrl_GE",ace:"ace_Latn_ID",ady:"ady_Cyrl_RU",af:"af_Latn_ZA",agq:"agq_Latn_CM",ak:"ak_Latn_GH",alt:"alt_Cyrl_RU",am:"am_Ethi_ET",amo:"amo_Latn_NG",ar:"ar_Arab_EG",as:"as_Beng_IN",asa:"asa_Latn_TZ",ast:"ast_Latn_ES",av:"av_Cyrl_RU",awa:"awa_Deva_IN",ay:"ay_Latn_BO",az:"az_Latn_AZ",az_Arab:"az_Arab_IR",az_IR:"az_Arab_IR",az_RU:"az_Cyrl_RU",ba:"ba_Cyrl_RU",bal:"bal_Arab_PK",ban:"ban_Latn_ID",bas:"bas_Latn_CM",bax:"bax_Bamu_CM",bbc:"bbc_Latn_ID",be:"be_Cyrl_BY",bem:"bem_Latn_ZM",bez:"bez_Latn_TZ",bfq:"bfq_Taml_IN",bft:"bft_Arab_PK",bfy:"bfy_Deva_IN",bg:"bg_Cyrl_BG",bhb:"bhb_Deva_IN",bho:"bho_Deva_IN",bi:"bi_Latn_VU",bik:"bik_Latn_PH",bin:"bin_Latn_NG",bjj:"bjj_Deva_IN",bku:"bku_Latn_PH",bm:"bm_Latn_ML",bn:"bn_Beng_BD",bo:"bo_Tibt_CN",bqv:"bqv_Latn_CI",br:"br_Latn_FR",bra:"bra_Deva_IN",brx:"brx_Deva_IN",bs:"bs_Latn_BA",bss:"bss_Latn_CM",btv:"btv_Deva_PK",bua:"bua_Cyrl_RU",buc:"buc_Latn_YT",bug:"bug_Latn_ID",bya:"bya_Latn_ID",byn:"byn_Ethi_ER",ca:"ca_Latn_ES",cch:"cch_Latn_NG",ccp:"ccp_Beng_IN",ce:"ce_Cyrl_RU",ceb:"ceb_Latn_PH",cgg:"cgg_Latn_UG",ch:"ch_Latn_GU",chk:"chk_Latn_FM",chm:"chm_Cyrl_RU",chp:"chp_Latn_CA",chr:"chr_Cher_US",cja:"cja_Arab_KH",cjm:"cjm_Cham_VN",ckb:"ckb_Arab_IQ",co:"co_Latn_FR",cr:"cr_Cans_CA",crk:"crk_Cans_CA",cs:"cs_Latn_CZ",csb:"csb_Latn_PL",cv:"cv_Cyrl_RU",cy:"cy_Latn_GB",da:"da_Latn_DK",dar:"dar_Cyrl_RU",dav:"dav_Latn_KE",de:"de_Latn_DE",den:"den_Latn_CA",dgr:"dgr_Latn_CA",dje:"dje_Latn_NE",doi:"doi_Arab_IN",dsb:"dsb_Latn_DE",dua:"dua_Latn_CM",dv:"dv_Thaa_MV",dyo:"dyo_Latn_SN",dyu:"dyu_Latn_BF",dz:"dz_Tibt_BT",ebu:"ebu_Latn_KE",ee:"ee_Latn_GH",efi:"efi_Latn_NG",el:"el_Grek_GR",en:"en_Latn_US",eo:"eo_Latn_001",es:"es_Latn_ES",et:"et_Latn_EE",eu:"eu_Latn_ES",ewo:"ewo_Latn_CM",fa:"fa_Arab_IR",fan:"fan_Latn_GQ",ff:"ff_Latn_SN",fi:"fi_Latn_FI",fil:"fil_Latn_PH",fj:"fj_Latn_FJ",fo:"fo_Latn_FO",fon:"fon_Latn_BJ",fr:"fr_Latn_FR",fur:"fur_Latn_IT",fy:"fy_Latn_NL",ga:"ga_Latn_IE",gaa:"gaa_Latn_GH",gag:"gag_Latn_MD",gbm:"gbm_Deva_IN",gcr:"gcr_Latn_GF",gd:"gd_Latn_GB",gez:"gez_Ethi_ET",gil:"gil_Latn_KI",gl:"gl_Latn_ES",gn:"gn_Latn_PY",gon:"gon_Telu_IN",gor:"gor_Latn_ID",grt:"grt_Beng_IN",gsw:"gsw_Latn_CH",gu:"gu_Gujr_IN",guz:"guz_Latn_KE",gv:"gv_Latn_IM",gwi:"gwi_Latn_CA",ha:"ha_Latn_NG",ha_CM:"ha_Arab_CM",ha_SD:"ha_Arab_SD",haw:"haw_Latn_US",he:"he_Hebr_IL",hi:"hi_Deva_IN",hil:"hil_Latn_PH",hne:"hne_Deva_IN",hnn:"hnn_Latn_PH",ho:"ho_Latn_PG",hoc:"hoc_Deva_IN",hoj:"hoj_Deva_IN",hr:"hr_Latn_HR",ht:"ht_Latn_HT",hu:"hu_Latn_HU",hy:"hy_Armn_AM",ia:"ia_Latn_FR",ibb:"ibb_Latn_NG",id:"id_Latn_ID",ig:"ig_Latn_NG",ii:"ii_Yiii_CN",ik:"ik_Latn_US",ilo:"ilo_Latn_PH","in":"in_Latn_ID",inh:"inh_Cyrl_RU",is:"is_Latn_IS",it:"it_Latn_IT",iu:"iu_Cans_CA",iw:"iw_Hebr_IL",ja:"ja_Jpan_JP",jgo:"jgo_Latn_CM",ji:"ji_Hebr_UA",jmc:"jmc_Latn_TZ",jv:"jv_Latn_ID",jw:"jw_Latn_ID",ka:"ka_Geor_GE",kaa:"kaa_Cyrl_UZ",kab:"kab_Latn_DZ",kaj:"kaj_Latn_NG",kam:"kam_Latn_KE",kbd:"kbd_Cyrl_RU",kcg:"kcg_Latn_NG",kde:"kde_Latn_TZ",kdt:"kdt_Thai_TH",kea:"kea_Latn_CV",ken:"ken_Latn_CM",kfo:"kfo_Latn_CI",kfr:"kfr_Deva_IN",kg:"kg_Latn_CD",kha:"kha_Latn_IN",khb:"khb_Talu_CN",khq:"khq_Latn_ML",kht:"kht_Mymr_IN",ki:"ki_Latn_KE",kj:"kj_Latn_NA",kk:"kk_Cyrl_KZ",kk_AF:"kk_Arab_AF",kk_Arab:"kk_Arab_CN",kk_CN:"kk_Arab_CN",kk_IR:"kk_Arab_IR",kk_MN:"kk_Arab_MN",kkj:"kkj_Latn_CM",kl:"kl_Latn_GL",kln:"kln_Latn_KE",km:"km_Khmr_KH",kmb:"kmb_Latn_AO",kn:"kn_Knda_IN",ko:"ko_Kore_KR",koi:"koi_Cyrl_RU",kok:"kok_Deva_IN",kos:"kos_Latn_FM",kpe:"kpe_Latn_LR",krc:"krc_Cyrl_RU",kri:"kri_Latn_SL",krl:"krl_Latn_RU",kru:"kru_Deva_IN",ks:"ks_Arab_IN",ksb:"ksb_Latn_TZ",ksf:"ksf_Latn_CM",ksh:"ksh_Latn_DE",ku:"ku_Latn_TR",ku_Arab:"ku_Arab_IQ",ku_LB:"ku_Arab_LB",kum:"kum_Cyrl_RU",kv:"kv_Cyrl_RU",kw:"kw_Latn_GB",ky:"ky_Cyrl_KG",ky_Arab:"ky_Arab_CN",ky_CN:"ky_Arab_CN",ky_Latn:"ky_Latn_TR",ky_TR:"ky_Latn_TR",la:"la_Latn_VA",lag:"lag_Latn_TZ",lah:"lah_Arab_PK",lb:"lb_Latn_LU",lbe:"lbe_Cyrl_RU",lcp:"lcp_Thai_CN",lep:"lep_Lepc_IN",lez:"lez_Cyrl_RU",lg:"lg_Latn_UG",li:"li_Latn_NL",lif:"lif_Deva_NP",lis:"lis_Lisu_CN",lki:"lki_Arab_IR",lkt:"lkt_Latn_US",lmn:"lmn_Telu_IN",ln:"ln_Latn_CD",lo:"lo_Laoo_LA",lol:"lol_Latn_CD",lt:"lt_Latn_LT",lu:"lu_Latn_CD",lua:"lua_Latn_CD",luo:"luo_Latn_KE",luy:"luy_Latn_KE",lv:"lv_Latn_LV",lwl:"lwl_Thai_TH",mad:"mad_Latn_ID",mag:"mag_Deva_IN",mai:"mai_Deva_IN",mak:"mak_Latn_ID",man:"man_Latn_GM",man_GN:"man_Nkoo_GN",man_Nkoo:"man_Nkoo_GN",mas:"mas_Latn_KE",mdf:"mdf_Cyrl_RU",mdh:"mdh_Latn_PH",mdr:"mdr_Latn_ID",men:"men_Latn_SL",mer:"mer_Latn_KE",mfe:"mfe_Latn_MU",mg:"mg_Latn_MG",mgh:"mgh_Latn_MZ",mgo:"mgo_Latn_CM",mh:"mh_Latn_MH",mi:"mi_Latn_NZ",min:"min_Latn_ID",mk:"mk_Cyrl_MK",ml:"ml_Mlym_IN",mn:"mn_Cyrl_MN",mn_CN:"mn_Mong_CN",mn_Mong:"mn_Mong_CN",mni:"mni_Beng_IN",mnw:"mnw_Mymr_MM",mo:"mo_Latn_RO",mos:"mos_Latn_BF",mr:"mr_Deva_IN",ms:"ms_Latn_MY",ms_CC:"ms_Arab_CC",ms_ID:"ms_Arab_ID",mt:"mt_Latn_MT",mua:"mua_Latn_CM",mwr:"mwr_Deva_IN",my:"my_Mymr_MM",myv:"myv_Cyrl_RU",na:"na_Latn_NR",nap:"nap_Latn_IT",naq:"naq_Latn_NA",nb:"nb_Latn_NO",nd:"nd_Latn_ZW",nds:"nds_Latn_DE",ne:"ne_Deva_NP","new":"new_Deva_NP",ng:"ng_Latn_NA",niu:"niu_Latn_NU",nl:"nl_Latn_NL",nmg:"nmg_Latn_CM",nn:"nn_Latn_NO",nnh:"nnh_Latn_CM",no:"no_Latn_NO",nod:"nod_Lana_TH",nr:"nr_Latn_ZA",nso:"nso_Latn_ZA",nus:"nus_Latn_SD",nv:"nv_Latn_US",ny:"ny_Latn_MW",nym:"nym_Latn_TZ",nyn:"nyn_Latn_UG",oc:"oc_Latn_FR",om:"om_Latn_ET",or:"or_Orya_IN",os:"os_Cyrl_GE",pa:"pa_Guru_IN",pa_Arab:"pa_Arab_PK",pa_PK:"pa_Arab_PK",pag:"pag_Latn_PH",pam:"pam_Latn_PH",pap:"pap_Latn_AW",pau:"pau_Latn_PW",pl:"pl_Latn_PL",pon:"pon_Latn_FM",prd:"prd_Arab_IR",ps:"ps_Arab_AF",pt:"pt_Latn_BR",qu:"qu_Latn_PE",raj:"raj_Latn_IN",rcf:"rcf_Latn_RE",rej:"rej_Latn_ID",rjs:"rjs_Deva_NP",rkt:"rkt_Beng_BD",rm:"rm_Latn_CH",rn:"rn_Latn_BI",ro:"ro_Latn_RO",rof:"rof_Latn_TZ",ru:"ru_Cyrl_RU",rw:"rw_Latn_RW",rwk:"rwk_Latn_TZ",sa:"sa_Deva_IN",saf:"saf_Latn_GH",sah:"sah_Cyrl_RU",saq:"saq_Latn_KE",sas:"sas_Latn_ID",sat:"sat_Latn_IN",saz:"saz_Saur_IN",sbp:"sbp_Latn_TZ",scn:"scn_Latn_IT",sco:"sco_Latn_GB",sd:"sd_Arab_PK",sd_Deva:"sd_Deva_IN",sdh:"sdh_Arab_IR",se:"se_Latn_NO",seh:"seh_Latn_MZ",ses:"ses_Latn_ML",sg:"sg_Latn_CF",shi:"shi_Tfng_MA",shn:"shn_Mymr_MM",si:"si_Sinh_LK",sid:"sid_Latn_ET",sk:"sk_Latn_SK",sl:"sl_Latn_SI",sm:"sm_Latn_WS",sma:"sma_Latn_SE",smj:"smj_Latn_SE",smn:"smn_Latn_FI",sms:"sms_Latn_FI",sn:"sn_Latn_ZW",snk:"snk_Latn_ML",so:"so_Latn_SO",sq:"sq_Latn_AL",sr:"sr_Cyrl_RS",sr_ME:"sr_Latn_ME",sr_RO:"sr_Latn_RO",sr_RU:"sr_Latn_RU",sr_TR:"sr_Latn_TR",srn:"srn_Latn_SR",srr:"srr_Latn_SN",ss:"ss_Latn_ZA",ssy:"ssy_Latn_ER",st:"st_Latn_ZA",su:"su_Latn_ID",suk:"suk_Latn_TZ",sus:"sus_Latn_GN",sv:"sv_Latn_SE",sw:"sw_Latn_TZ",swb:"swb_Arab_YT",swc:"swc_Latn_CD",syl:"syl_Beng_BD",syr:"syr_Syrc_IQ",ta:"ta_Taml_IN",tbw:"tbw_Latn_PH",tcy:"tcy_Knda_IN",tdd:"tdd_Tale_CN",te:"te_Telu_IN",tem:"tem_Latn_SL",teo:"teo_Latn_UG",tet:"tet_Latn_TL",tg:"tg_Cyrl_TJ",tg_Arab:"tg_Arab_PK",tg_PK:"tg_Arab_PK",th:"th_Thai_TH",ti:"ti_Ethi_ET",tig:"tig_Ethi_ER",tiv:"tiv_Latn_NG",tk:"tk_Latn_TM",tkl:"tkl_Latn_TK",tl:"tl_Latn_PH",tmh:"tmh_Latn_NE",tn:"tn_Latn_ZA",to:"to_Latn_TO",tpi:"tpi_Latn_PG",tr:"tr_Latn_TR",trv:"trv_Latn_TW",ts:"ts_Latn_ZA",tsg:"tsg_Latn_PH",tt:"tt_Cyrl_RU",tts:"tts_Thai_TH",tum:"tum_Latn_MW",tvl:"tvl_Latn_TV",twq:"twq_Latn_NE",ty:"ty_Latn_PF",tyv:"tyv_Cyrl_RU",tzm:"tzm_Latn_MA",udm:"udm_Cyrl_RU",ug:"ug_Arab_CN",ug_Cyrl:"ug_Cyrl_KZ",ug_KZ:"ug_Cyrl_KZ",ug_MN:"ug_Cyrl_MN",uk:"uk_Cyrl_UA",uli:"uli_Latn_FM",umb:"umb_Latn_AO",und:"en_Latn_US",und_AD:"ca_Latn_AD",und_AE:"ar_Arab_AE",und_AF:"fa_Arab_AF",und_AL:"sq_Latn_AL",und_AM:"hy_Armn_AM",und_AO:"pt_Latn_AO",und_AQ:"und_Latn_AQ",und_AR:"es_Latn_AR",und_Arab:"ar_Arab_EG",und_Arab_CC:"ms_Arab_CC",und_Arab_CN:"ug_Arab_CN",und_Arab_GB:"ks_Arab_GB",und_Arab_ID:"ms_Arab_ID",und_Arab_IN:"ur_Arab_IN",und_Arab_KH:"cja_Arab_KH",und_Arab_MN:"kk_Arab_MN",und_Arab_MU:"ur_Arab_MU",und_Arab_NG:"ha_Arab_NG",und_Arab_PK:"ur_Arab_PK",und_Arab_TJ:"fa_Arab_TJ",und_Arab_TR:"zza_Arab_TR",und_Arab_YT:"swb_Arab_YT",und_Armi:"arc_Armi_IR",und_Armn:"hy_Armn_AM",und_AS:"sm_Latn_AS",und_AT:"de_Latn_AT",und_Avst:"ae_Avst_IR",und_AW:"nl_Latn_AW",und_AX:"sv_Latn_AX",und_AZ:"az_Latn_AZ",und_BA:"bs_Latn_BA",und_Bali:"ban_Bali_ID",und_Bamu:"bax_Bamu_CM",und_Batk:"bbc_Batk_ID",und_BD:"bn_Beng_BD",und_BE:"nl_Latn_BE",und_Beng:"bn_Beng_BD",und_BF:"fr_Latn_BF",und_BG:"bg_Cyrl_BG",und_BH:"ar_Arab_BH",und_BI:"rn_Latn_BI",und_BJ:"fr_Latn_BJ",und_BL:"fr_Latn_BL",und_BN:"ms_Latn_BN",und_BO:"es_Latn_BO",und_Bopo:"zh_Bopo_TW",und_BQ:"pap_Latn_BQ",und_BR:"pt_Latn_BR",und_Brah:"pra_Brah_IN",und_Brai:"und_Brai_FR",und_BT:"dz_Tibt_BT",und_Bugi:"bug_Bugi_ID",und_Buhd:"bku_Buhd_PH",und_BV:"und_Latn_BV",und_BY:"be_Cyrl_BY",und_Cakm:"ccp_Cakm_BD",und_Cans:"cr_Cans_CA",und_Cari:"xcr_Cari_TR",und_CD:"sw_Latn_CD",und_CF:"fr_Latn_CF",und_CG:"fr_Latn_CG",und_CH:"de_Latn_CH",und_Cham:"cjm_Cham_VN",und_Cher:"chr_Cher_US",und_CI:"fr_Latn_CI",und_CL:"es_Latn_CL",und_CM:"fr_Latn_CM",und_CN:"zh_Hans_CN",und_CO:"es_Latn_CO",und_Copt:"cop_Copt_EG",und_CP:"und_Latn_CP",und_Cprt:"grc_Cprt_CY",und_CR:"es_Latn_CR",und_CU:"es_Latn_CU",und_CV:"pt_Latn_CV",und_CW:"pap_Latn_CW",und_CY:"el_Grek_CY",und_Cyrl:"ru_Cyrl_RU",und_Cyrl_AL:"mk_Cyrl_AL",und_Cyrl_BA:"sr_Cyrl_BA",und_Cyrl_GE:"ab_Cyrl_GE",und_Cyrl_GR:"mk_Cyrl_GR",und_Cyrl_MD:"uk_Cyrl_MD",und_Cyrl_PL:"be_Cyrl_PL",und_Cyrl_RO:"bg_Cyrl_RO",und_Cyrl_SK:"uk_Cyrl_SK",und_Cyrl_TR:"kbd_Cyrl_TR",und_Cyrl_XK:"sr_Cyrl_XK",und_CZ:"cs_Latn_CZ",und_DE:"de_Latn_DE",und_Deva:"hi_Deva_IN",und_Deva_BT:"ne_Deva_BT",und_Deva_MU:"bho_Deva_MU",und_Deva_PK:"btv_Deva_PK",und_DJ:"aa_Latn_DJ",und_DK:"da_Latn_DK",und_DO:"es_Latn_DO",und_DZ:"ar_Arab_DZ",und_EA:"es_Latn_EA",und_EC:"es_Latn_EC",und_EE:"et_Latn_EE",und_EG:"ar_Arab_EG",und_Egyp:"egy_Egyp_EG",und_EH:"ar_Arab_EH",und_ER:"ti_Ethi_ER",und_ES:"es_Latn_ES",und_ET:"am_Ethi_ET",und_Ethi:"am_Ethi_ET",und_FI:"fi_Latn_FI",und_FM:"chk_Latn_FM",und_FO:"fo_Latn_FO",und_FR:"fr_Latn_FR",und_GA:"fr_Latn_GA",und_GE:"ka_Geor_GE",und_Geor:"ka_Geor_GE",und_GF:"fr_Latn_GF",und_GH:"ak_Latn_GH",und_GL:"kl_Latn_GL",und_Glag:"cu_Glag_BG",und_GN:"fr_Latn_GN",und_Goth:"got_Goth_UA",und_GP:"fr_Latn_GP",und_GQ:"es_Latn_GQ",und_GR:"el_Grek_GR",und_Grek:"el_Grek_GR",und_GS:"und_Latn_GS",und_GT:"es_Latn_GT",und_Gujr:"gu_Gujr_IN",und_Guru:"pa_Guru_IN",und_GW:"pt_Latn_GW",und_Hang:"ko_Hang_KR",und_Hani:"zh_Hani_CN",und_Hano:"hnn_Hano_PH",und_Hans:"zh_Hans_CN",und_Hant:"zh_Hant_TW",und_Hebr:"he_Hebr_IL",und_Hebr_CA:"yi_Hebr_CA",und_Hebr_GB:"yi_Hebr_GB",und_Hebr_SE:"yi_Hebr_SE",und_Hebr_UA:"yi_Hebr_UA",und_Hebr_US:"yi_Hebr_US",und_Hira:"ja_Hira_JP",und_HK:"zh_Hant_HK",und_HM:"und_Latn_HM",und_HN:"es_Latn_HN",und_HR:"hr_Latn_HR",und_HT:"ht_Latn_HT",und_HU:"hu_Latn_HU",und_IC:"es_Latn_IC",und_ID:"id_Latn_ID",und_IL:"he_Hebr_IL",und_IN:"hi_Deva_IN",und_IQ:"ar_Arab_IQ",und_IR:"fa_Arab_IR",und_IS:"is_Latn_IS",und_IT:"it_Latn_IT",und_Ital:"ett_Ital_IT",und_Java:"jv_Java_ID",und_JO:"ar_Arab_JO",und_JP:"ja_Jpan_JP",und_Jpan:"ja_Jpan_JP",und_Kali:"eky_Kali_MM",und_Kana:"ja_Kana_JP",und_KG:"ky_Cyrl_KG",und_KH:"km_Khmr_KH",und_Khar:"pra_Khar_PK",und_Khmr:"km_Khmr_KH",und_KM:"ar_Arab_KM",und_Knda:"kn_Knda_IN",und_Kore:"ko_Kore_KR",und_KP:"ko_Kore_KP",und_KR:"ko_Kore_KR",und_Kthi:"bh_Kthi_IN",und_KW:"ar_Arab_KW",und_KZ:"ru_Cyrl_KZ",und_LA:"lo_Laoo_LA",und_Lana:"nod_Lana_TH",und_Laoo:"lo_Laoo_LA",und_Latn_AF:"tk_Latn_AF",und_Latn_AM:"az_Latn_AM",und_Latn_BG:"tr_Latn_BG",und_Latn_CN:"za_Latn_CN",und_Latn_CY:"tr_Latn_CY",und_Latn_DZ:"fr_Latn_DZ",und_Latn_ET:"en_Latn_ET",und_Latn_GE:"ku_Latn_GE",und_Latn_GR:"tr_Latn_GR",und_Latn_IL:"ro_Latn_IL",und_Latn_IR:"tk_Latn_IR",und_Latn_KM:"fr_Latn_KM",und_Latn_KZ:"de_Latn_KZ",und_Latn_LB:"fr_Latn_LB",und_Latn_MA:"fr_Latn_MA",und_Latn_MK:"sq_Latn_MK",und_Latn_MO:"pt_Latn_MO",und_Latn_MR:"fr_Latn_MR",und_Latn_RU:"krl_Latn_RU",und_Latn_SY:"fr_Latn_SY",und_Latn_TN:"fr_Latn_TN",und_Latn_TW:"trv_Latn_TW",und_Latn_UA:"pl_Latn_UA",und_LB:"ar_Arab_LB",und_Lepc:"lep_Lepc_IN",und_LI:"de_Latn_LI",und_Limb:"lif_Limb_IN",und_Linb:"grc_Linb_GR",und_Lisu:"lis_Lisu_CN",und_LK:"si_Sinh_LK",und_LS:"st_Latn_LS",und_LT:"lt_Latn_LT",und_LU:"fr_Latn_LU",und_LV:"lv_Latn_LV",und_LY:"ar_Arab_LY",und_Lyci:"xlc_Lyci_TR",und_Lydi:"xld_Lydi_TR",und_MA:"ar_Arab_MA",und_Mand:"myz_Mand_IR",und_MC:"fr_Latn_MC",und_MD:"ro_Latn_MD",und_ME:"sr_Latn_ME",und_Merc:"xmr_Merc_SD",und_Mero:"xmr_Mero_SD",und_MF:"fr_Latn_MF",und_MG:"mg_Latn_MG",und_MK:"mk_Cyrl_MK",und_ML:"bm_Latn_ML",und_Mlym:"ml_Mlym_IN",und_MM:"my_Mymr_MM",und_MN:"mn_Cyrl_MN",und_MO:"zh_Hant_MO",und_Mong:"mn_Mong_CN",und_MQ:"fr_Latn_MQ",und_MR:"ar_Arab_MR",und_MT:"mt_Latn_MT",und_Mtei:"mni_Mtei_IN",und_MU:"mfe_Latn_MU",und_MV:"dv_Thaa_MV",und_MX:"es_Latn_MX",und_MY:"ms_Latn_MY",und_Mymr:"my_Mymr_MM",und_Mymr_IN:"kht_Mymr_IN",und_Mymr_TH:"mnw_Mymr_TH",und_MZ:"pt_Latn_MZ",und_NA:"af_Latn_NA",und_NC:"fr_Latn_NC",und_NE:"ha_Latn_NE",und_NI:"es_Latn_NI",und_Nkoo:"man_Nkoo_GN",und_NL:"nl_Latn_NL",und_NO:"nb_Latn_NO",und_NP:"ne_Deva_NP",und_Ogam:"sga_Ogam_IE",und_Olck:"sat_Olck_IN",und_OM:"ar_Arab_OM",und_Orkh:"otk_Orkh_MN",und_Orya:"or_Orya_IN",und_Osma:"so_Osma_SO",und_PA:"es_Latn_PA",und_PE:"es_Latn_PE",und_PF:"fr_Latn_PF",und_PG:"tpi_Latn_PG",und_PH:"fil_Latn_PH",und_Phag:"lzh_Phag_CN",und_Phli:"pal_Phli_IR",und_Phnx:"phn_Phnx_LB",und_PK:"ur_Arab_PK",und_PL:"pl_Latn_PL",und_Plrd:"hmd_Plrd_CN",und_PM:"fr_Latn_PM",und_PR:"es_Latn_PR",und_Prti:"xpr_Prti_IR",und_PS:"ar_Arab_PS",und_PT:"pt_Latn_PT",und_PW:"pau_Latn_PW",und_PY:"gn_Latn_PY",und_QA:"ar_Arab_QA",und_RE:"fr_Latn_RE",und_Rjng:"rej_Rjng_ID",und_RO:"ro_Latn_RO",und_RS:"sr_Cyrl_RS",und_RU:"ru_Cyrl_RU",und_Runr:"non_Runr_SE",und_RW:"rw_Latn_RW",und_SA:"ar_Arab_SA",und_Samr:"smp_Samr_IL",und_Sarb:"xsa_Sarb_YE",und_Saur:"saz_Saur_IN",und_SC:"fr_Latn_SC",und_SD:"ar_Arab_SD",und_SE:"sv_Latn_SE",und_Shaw:"en_Shaw_GB",und_Shrd:"sa_Shrd_IN",und_SI:"sl_Latn_SI",und_Sinh:"si_Sinh_LK",und_SJ:"nb_Latn_SJ",und_SK:"sk_Latn_SK",und_SM:"it_Latn_SM",und_SN:"fr_Latn_SN",und_SO:"so_Latn_SO",und_Sora:"srb_Sora_IN",und_SR:"nl_Latn_SR",und_ST:"pt_Latn_ST",und_Sund:"su_Sund_ID",und_SV:"es_Latn_SV",und_SY:"ar_Arab_SY",und_Sylo:"syl_Sylo_BD",und_Syrc:"syr_Syrc_IQ",und_Tagb:"tbw_Tagb_PH",und_Takr:"doi_Takr_IN",und_Tale:"tdd_Tale_CN",und_Talu:"khb_Talu_CN",und_Taml:"ta_Taml_IN",und_Tavt:"blt_Tavt_VN",und_TD:"fr_Latn_TD",und_Telu:"te_Telu_IN",und_TF:"fr_Latn_TF",und_Tfng:"zgh_Tfng_MA",und_TG:"fr_Latn_TG",und_Tglg:"fil_Tglg_PH",und_TH:"th_Thai_TH",und_Thaa:"dv_Thaa_MV",und_Thai:"th_Thai_TH",und_Thai_CN:"lcp_Thai_CN",und_Thai_KH:"kdt_Thai_KH",und_Thai_LA:"kdt_Thai_LA",und_Tibt:"bo_Tibt_CN",und_TJ:"tg_Cyrl_TJ",und_TK:"tkl_Latn_TK",und_TL:"pt_Latn_TL",und_TM:"tk_Latn_TM",und_TN:"ar_Arab_TN",und_TO:"to_Latn_TO",und_TR:"tr_Latn_TR",und_TV:"tvl_Latn_TV",und_TW:"zh_Hant_TW",und_TZ:"sw_Latn_TZ",und_UA:"uk_Cyrl_UA",und_UG:"sw_Latn_UG",und_Ugar:"uga_Ugar_SY",und_UY:"es_Latn_UY",und_UZ:"uz_Latn_UZ",und_VA:"la_Latn_VA",und_Vaii:"vai_Vaii_LR",und_VE:"es_Latn_VE",und_VN:"vi_Latn_VN",und_VU:"bi_Latn_VU",und_WF:"fr_Latn_WF",und_WS:"sm_Latn_WS",und_XK:"sq_Latn_XK",und_Xpeo:"peo_Xpeo_IR",und_Xsux:"akk_Xsux_IQ",und_YE:"ar_Arab_YE",und_Yiii:"ii_Yiii_CN",und_YT:"fr_Latn_YT",unr:"unr_Beng_IN",unr_Deva:"unr_Deva_NP",unr_NP:"unr_Deva_NP",unx:"unx_Beng_IN",ur:"ur_Arab_PK",uz:"uz_Latn_UZ",uz_AF:"uz_Arab_AF",uz_Arab:"uz_Arab_AF",uz_CN:"uz_Cyrl_CN",vai:"vai_Vaii_LR",ve:"ve_Latn_ZA",vi:"vi_Latn_VN",vo:"vo_Latn_001",vun:"vun_Latn_TZ",wa:"wa_Latn_BE",wae:"wae_Latn_CH",wal:"wal_Ethi_ET",war:"war_Latn_PH",wo:"wo_Latn_SN",xh:"xh_Latn_ZA",xog:"xog_Latn_UG",xsr:"xsr_Deva_NP",yao:"yao_Latn_MZ",yap:"yap_Latn_FM",yav:"yav_Latn_CM",yi:"yi_Hebr_UA",yo:"yo_Latn_NG",za:"za_Latn_CN",zgh:"zgh_Tfng_MA",zh:"zh_Hans_CN",zh_AU:"zh_Hant_AU",zh_BN:"zh_Hant_BN",zh_GB:"zh_Hant_GB",zh_GF:"zh_Hant_GF",zh_Hant:"zh_Hant_TW",zh_HK:"zh_Hant_HK",zh_ID:"zh_Hant_ID",zh_MO:"zh_Hant_MO",zh_MY:"zh_Hant_MY",zh_PA:"zh_Hant_PA",zh_PF:"zh_Hant_PF",zh_PH:"zh_Hant_PH",zh_SR:"zh_Hant_SR",zh_TH:"zh_Hant_TH",zh_TW:"zh_Hant_TW",zh_US:"zh_Hant_US",zh_VN:"zh_Hant_VN",zu:"zu_Latn_ZA",zza:"zza_Arab_TR"},timeData:{"001":{_allowed:"H h",_preferred:"H"},AD:{_allowed:"H",_preferred:"H"},AE:{_allowed:"H h",_preferred:"h"},AG:{_allowed:"H h",_preferred:"h"},AL:{_allowed:"H h",_preferred:"h"},AM:{_allowed:"H",_preferred:"H"},AO:{_allowed:"H",_preferred:"H"},AS:{_allowed:"H h",_preferred:"h"},AT:{_allowed:"H",_preferred:"H"},AU:{_allowed:"H h",_preferred:"h"},AW:{_allowed:"H",_preferred:"H"},AX:{_allowed:"H",_preferred:"H"},BB:{_allowed:"H h",_preferred:"h"},BD:{_allowed:"H h",_preferred:"h"},BE:{_allowed:"H",_preferred:"H"},BF:{_allowed:"H",_preferred:"H"},BH:{_allowed:"H h",_preferred:"h"},BJ:{_allowed:"H",_preferred:"H"},BL:{_allowed:"H",_preferred:"H"},BM:{_allowed:"H h",_preferred:"h"},BN:{_allowed:"H h",_preferred:"h"},BR:{_allowed:"H",_preferred:"H"},BS:{_allowed:"H h",_preferred:"h"},BT:{_allowed:"H h",_preferred:"h"},BW:{_allowed:"H h",_preferred:"h"},CA:{_allowed:"H h",_preferred:"h"},CD:{_allowed:"H",_preferred:"H"},CI:{_allowed:"H",_preferred:"H"},CN:{_allowed:"H h",_preferred:"h"},CO:{_allowed:"H h",_preferred:"h"},CP:{_allowed:"H",_preferred:"H"},CV:{_allowed:"H",_preferred:"H"},CY:{_allowed:"H h",_preferred:"h"},CZ:{_allowed:"H",_preferred:"H"},DE:{_allowed:"H",_preferred:"H"},DJ:{_allowed:"H h",_preferred:"h"},DK:{_allowed:"H",_preferred:"H"},DM:{_allowed:"H h",_preferred:"h"},DZ:{_allowed:"H h",_preferred:"h"},EE:{_allowed:"H",_preferred:"H"},EG:{_allowed:"H h",_preferred:"h"},EH:{_allowed:"H h",_preferred:"h"},ER:{_allowed:"H h",_preferred:"h"},ET:{_allowed:"H h",_preferred:"h"},FI:{_allowed:"H",_preferred:"H"},FJ:{_allowed:"H h",_preferred:"h"},FM:{_allowed:"H h",_preferred:"h"},FR:{_allowed:"H",_preferred:"H"},GA:{_allowed:"H",_preferred:"H"},GD:{_allowed:"H h",_preferred:"h"},GF:{_allowed:"H",_preferred:"H"},GH:{_allowed:"H h",_preferred:"h"},GL:{_allowed:"H h",_preferred:"h"},GM:{_allowed:"H h",_preferred:"h"},GN:{_allowed:"H",_preferred:"H"},GP:{_allowed:"H",_preferred:"H"},GR:{_allowed:"H h",_preferred:"h"},GU:{_allowed:"H h",_preferred:"h"},GW:{_allowed:"H",_preferred:"H"},GY:{_allowed:"H h",_preferred:"h"},HK:{_allowed:"H h",_preferred:"h"},HR:{_allowed:"H",_preferred:"H"},IL:{_allowed:"H",_preferred:"H"},IN:{_allowed:"H h",_preferred:"h"},IQ:{_allowed:"H h",_preferred:"h"},IS:{_allowed:"H",_preferred:"H"},IT:{_allowed:"H",_preferred:"H"},JM:{_allowed:"H h",_preferred:"h"},JO:{_allowed:"H h",_preferred:"h"},JP:{_allowed:"H K h",_preferred:"H"},KH:{_allowed:"H h",_preferred:"h"},KI:{_allowed:"H h",_preferred:"h"},KN:{_allowed:"H h",_preferred:"h"},KP:{_allowed:"H h",_preferred:"h"},KR:{_allowed:"H h",_preferred:"h"},KW:{_allowed:"H h",_preferred:"h"},KY:{_allowed:"H h",_preferred:"h"},LB:{_allowed:"H h",_preferred:"h"},LC:{_allowed:"H h",_preferred:"h"},LR:{_allowed:"H h",_preferred:"h"},LS:{_allowed:"H h",_preferred:"h"},LY:{_allowed:"H h",_preferred:"h"},MA:{_allowed:"H h",_preferred:"h"},MC:{_allowed:"H",_preferred:"H"},MD:{_allowed:"H",_preferred:"H"},MF:{_allowed:"H",_preferred:"H"},MH:{_allowed:"H h",_preferred:"h"},ML:{_allowed:"H",_preferred:"H"},MO:{_allowed:"H h",_preferred:"h"},MP:{_allowed:"H h",_preferred:"h"},MQ:{_allowed:"H",_preferred:"H"},MR:{_allowed:"H h",_preferred:"h"},MW:{_allowed:"H h",_preferred:"h"},MY:{_allowed:"H h",_preferred:"h"},MZ:{_allowed:"H",_preferred:"H"},NA:{_allowed:"H h",_preferred:"h"},NC:{_allowed:"H",_preferred:"H"},NE:{_allowed:"H",_preferred:"H"},NG:{_allowed:"H h",_preferred:"h"},NL:{_allowed:"H",_preferred:"H"},NZ:{_allowed:"H h",_preferred:"h"},OM:{_allowed:"H h",_preferred:"h"},PG:{_allowed:"H h",_preferred:"h"},PK:{_allowed:"H h",_preferred:"h"},PM:{_allowed:"H",_preferred:"H"},PR:{_allowed:"H h",_preferred:"h"},PS:{_allowed:"H h",_preferred:"h"},PT:{_allowed:"H",_preferred:"H"},PW:{_allowed:"H h",_preferred:"h"},QA:{_allowed:"H h",_preferred:"h"},RE:{_allowed:"H",_preferred:"H"},RO:{_allowed:"H",_preferred:"H"},RU:{_allowed:"H",_preferred:"H"},SA:{_allowed:"H h",_preferred:"h"},SB:{_allowed:"H h",_preferred:"h"},SD:{_allowed:"H h",_preferred:"h"},SE:{_allowed:"H",_preferred:"H"},SG:{_allowed:"H h",_preferred:"h"},SI:{_allowed:"H",_preferred:"H"},SJ:{_allowed:"H",_preferred:"H"},SK:{_allowed:"H",_preferred:"H"},SL:{_allowed:"H h",_preferred:"h"},SM:{_allowed:"H",_preferred:"H"},SO:{_allowed:"H h",_preferred:"h"},SR:{_allowed:"H",_preferred:"H"},SS:{_allowed:"H h",_preferred:"h"},ST:{_allowed:"H",_preferred:"H"},SY:{_allowed:"H h",_preferred:"h"},SZ:{_allowed:"H h",_preferred:"h"},TC:{_allowed:"H h",_preferred:"h"},TD:{_allowed:"H h",_preferred:"h"},TG:{_allowed:"H",_preferred:"H"},TN:{_allowed:"H h",_preferred:"h"},TR:{_allowed:"H",_preferred:"H"},TT:{_allowed:"H h",_preferred:"h"},TW:{_allowed:"H h",_preferred:"h"},UM:{_allowed:"H h",_preferred:"h"},US:{_allowed:"H h",_preferred:"h"},VC:{_allowed:"H h",_preferred:"h"},VG:{_allowed:"H h",_preferred:"h"},VI:{_allowed:"H h",_preferred:"h"},VU:{_allowed:"H h",_preferred:"h"},WF:{_allowed:"H",_preferred:"H"},WS:{_allowed:"H h",_preferred:"h"},YE:{_allowed:"H h",_preferred:"h"},YT:{_allowed:"H",_preferred:"H"},ZA:{_allowed:"H h",_preferred:"h"},ZM:{_allowed:"H h",_preferred:"h"},ZW:{_allowed:"H h",_preferred:"h"}},weekData:{minDays:{"001":"1",AD:"4",AN:"4",AT:"4",AX:"4",BE:"4",BG:"4",CH:"4",CZ:"4",DE:"4",DK:"4",EE:"4",ES:"4",FI:"4",FJ:"4",FO:"4",FR:"4",GB:"4",GF:"4",GG:"4",GI:"4",GP:"4",GR:"4",GU:"1",HU:"4",IE:"4",IM:"4",IS:"4",IT:"4",JE:"4",LI:"4",LT:"4",LU:"4",MC:"4",MQ:"4",NL:"4",NO:"4",PL:"4",PT:"4",RE:"4",SE:"4",SJ:"4",SK:"4",SM:"4",UM:"1",US:"1",VA:"4",VI:"1"},firstDay:{"001":"mon",AD:"mon",AE:"sat",AF:"sat",AG:"sun",AI:"mon",AL:"mon",AM:"mon",AN:"mon",AR:"sun",AS:"sun",AT:"mon",AU:"sun",AX:"mon",AZ:"mon",BA:"mon",BD:"fri",BE:"mon",BG:"mon",BH:"sat",BM:"mon",BN:"mon",BR:"sun",BS:"sun",BT:"sun",BW:"sun",BY:"sun",BZ:"sun",CA:"sun",CH:"mon",CL:"mon",CM:"mon",CN:"sun",CO:"sun",CR:"mon",CY:"mon",CZ:"mon",DE:"mon",DJ:"sat",DK:"mon",DM:"sun",DO:"sun",DZ:"sat",EC:"mon",EE:"mon",EG:"sat",ES:"mon",ET:"sun",FI:"mon",FJ:"mon",FO:"mon",FR:"mon",GB:"mon",GE:"mon",GF:"mon",GP:"mon",GR:"mon",GT:"sun",GU:"sun",HK:"sun",HN:"sun",HR:"mon",HU:"mon",ID:"sun",IE:"sun",IL:"sun",IN:"sun",IQ:"sat",IR:"sat",IS:"mon",IT:"mon",JM:"sun",JO:"sat",JP:"sun",KE:"sun",KG:"mon",KH:"sun",KR:"sun",KW:"sat",KZ:"mon",LA:"sun",LB:"mon",LI:"mon",LK:"mon",LT:"mon",LU:"mon",LV:"mon",LY:"sat",MA:"sat",MC:"mon",MD:"mon",ME:"mon",MH:"sun",MK:"mon",MM:"sun",MN:"mon",MO:"sun",MQ:"mon",MT:"sun",MV:"fri",MX:"sun",MY:"mon",MZ:"sun",NI:"sun",NL:"mon",NO:"mon",NP:"sun",NZ:"sun",OM:"sat",PA:"sun",PE:"sun",PH:"sun",PK:"sun",PL:"mon",PR:"sun",PT:"mon",PY:"sun",QA:"sat",RE:"mon",RO:"mon",RS:"mon",RU:"mon",SA:"sun",SD:"sat",SE:"mon",SG:"sun",SI:"mon",SK:"mon",SM:"mon",SV:"sun",SY:"sat",TH:"sun",TJ:"mon",TM:"mon",TN:"sun",TR:"mon",TT:"sun",TW:"sun",UA:"mon",UM:"sun",US:"sun",UY:"mon",UZ:"mon",VA:"mon",VE:"sun",VI:"sun",VN:"mon",WS:"sun",XK:"mon",YE:"sun",ZA:"sun",ZW:"sun"},"firstDay-alt-variant":{GB:"sun"},weekendStart:{"001":"sat",AE:"fri",AF:"thu",BH:"fri",DZ:"thu",EG:"fri",IL:"fri",IN:"sun",IQ:"fri",IR:"thu",JO:"fri",KW:"fri",LY:"fri",MA:"fri",OM:"thu",QA:"fri",SA:"fri",SD:"fri",SY:"fri",TN:"fri",YE:"fri"},weekendEnd:{"001":"sun",AE:"sat",AF:"fri",BH:"sat",DZ:"fri",EG:"sat",IL:"sat",IQ:"sat",IR:"fri",JO:"sat",KW:"sat",LY:"sat",MA:"sat",OM:"fri",QA:"sat",SA:"sat",SD:"sat",SY:"sat",TN:"sat",YE:"sat"}}}),Zb=a.Array.first(a.Function.returnArgs({ar:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"يناير",2:"فبراير",3:"مارس",4:"أبريل",5:"مايو",6:"يونيو",7:"يوليو",8:"أغسطس",9:"سبتمبر",10:"أكتوبر",11:"نوفمبر",12:"ديسمبر"},narrow:{1:"ي",2:"ف",3:"م",4:"أ",5:"و",6:"ن",7:"ل",8:"غ",9:"س",10:"ك",11:"ب",12:"د"},wide:{1:"يناير",2:"فبراير",3:"مارس",4:"أبريل",5:"مايو",6:"يونيو",7:"يوليو",8:"أغسطس",9:"سبتمبر",10:"أكتوبر",11:"نوفمبر",12:"ديسمبر"}},"stand-alone":{abbreviated:{1:"يناير",2:"فبراير",3:"مارس",4:"أبريل",5:"مايو",6:"يونيو",7:"يوليو",8:"أغسطس",9:"سبتمبر",10:"أكتوبر",11:"نوفمبر",12:"ديسمبر"},narrow:{1:"ي",2:"ف",3:"م",4:"أ",5:"و",6:"ن",7:"ل",8:"غ",9:"س",10:"ك",11:"ب",12:"د"},wide:{1:"يناير",2:"فبراير",3:"مارس",4:"أبريل",5:"مايو",6:"يونيو",7:"يوليو",8:"أغسطس",9:"سبتمبر",10:"أكتوبر",11:"نوفمبر",12:"ديسمبر"}}},days:{format:{abbreviated:{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"},narrow:{sun:"ح",mon:"ن",tue:"ث",wed:"ر",thu:"خ",fri:"ج",sat:"س"},"short":{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"},wide:{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"}},"stand-alone":{abbreviated:{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"},narrow:{sun:"ح",mon:"ن",tue:"ث",wed:"ر",thu:"خ",fri:"ج",sat:"س"},"short":{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"},wide:{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"}}},quarters:{format:{abbreviated:{1:"الربع الأول",2:"الربع الثاني",3:"الربع الثالث",4:"الربع الرابع"},narrow:{1:"١",2:"٢",3:"٣",4:"٤"},wide:{1:"الربع الأول",2:"الربع الثاني",3:"الربع الثالث",4:"الربع الرابع"}},"stand-alone":{abbreviated:{1:"الربع الأول",2:"الربع الثاني",3:"الربع الثالث",4:"الربع الرابع"},narrow:{1:"١",2:"٢",3:"٣",4:"٤"},wide:{1:"الربع الأول",2:"الربع الثاني",3:"الربع الثالث",4:"الربع الرابع"}}},dayPeriods:{format:{abbreviated:{am:"ص",pm:"م"},narrow:{am:"ص",pm:"م"},wide:{am:"ص",pm:"م"}},"stand-alone":{abbreviated:{am:"ص",pm:"م"},narrow:{am:"ص",pm:"م"},wide:{am:"ص",pm:"م"}}},eras:{eraNames:{0:"قبل الميلاد",1:"ميلادي","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"ق.م",1:"م","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"ق.م",1:"م","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE، d MMMM، y","long":"d MMMM، y",medium:"dd‏/MM‏/y","short":"d‏/M‏/y"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E، d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM، y G",GyMMMEd:"E، d MMM، y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/‏M",MEd:"E، d/M",MMdd:"dd‏/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E، d MMM",MMMMd:"d MMMM",MMMMEd:"E، d MMMM",ms:"mm:ss",y:"y",yM:"M‏/y",yMd:"d‏/M‏/y",yMEd:"E، d/‏M/‏y",yMM:"MM‏/y",yMMM:"MMM y",yMMMd:"d MMM، y",yMMMEd:"E، d MMM، y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"M/d – M/d",M:"M/d – M/d"},MEd:{d:"E، d/‏M –‏ E، d/‏M",M:"E، d/‏M – E، d/‏M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E، d – E، d MMM",M:"E، d MMM – E، d MMM"},MMMM:{M:"LLLL–LLLL"},y:{y:"y–y"},yM:{M:"M‏/y – M‏/y",y:"M‏/y – M‏/y"},yMd:{d:"d‏/M‏/y – d‏/M‏/y",M:"d‏/M‏/y – d‏/M‏/y",y:"d‏/M‏/y – d‏/M‏/y"},yMEd:{d:"E، dd‏/MM‏/y – E، dd‏/MM‏/y",M:"E، d‏/M‏/y – E، d‏/M‏/y",y:"E، d‏/M‏/y – E، d‏/M‏/y"},yMMM:{M:"MMM – MMM، y",y:"MMM، y – MMM، y"},yMMMd:{d:"d–d MMM، y",M:"d MMM – d MMM، y",y:"d MMM، y – d MMM، y"},yMMMEd:{d:"E، d – E، d MMM، y",M:"E، d MMM – E، d MMM، y",y:"E، d MMM، y – E، d MMM، y"},yMMMM:{M:"MMMM – MMMM، y",y:"MMMM، y – MMMM، y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"جرينتش{0}",gmtZeroFormat:"جرينتش",regionFormat:"توقيت {0}","regionFormat-type-daylight":"توقيت {0} الصيفي","regionFormat-type-standard":"توقيت {0} الرسمي",fallbackFormat:"{1} ({0})"}}},ca:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"gen.",2:"feb.",3:"març",4:"abr.",5:"maig",6:"juny",7:"jul.",8:"ag.",9:"set.",10:"oct.",11:"nov.",12:"des."},narrow:{1:"GN",2:"FB",3:"MÇ",4:"AB",5:"MG",6:"JN",7:"JL",8:"AG",9:"ST",10:"OC",11:"NV",12:"DS"},wide:{1:"gener",2:"febrer",3:"març",4:"abril",5:"maig",6:"juny",7:"juliol",8:"agost",9:"setembre",10:"octubre",11:"novembre",12:"desembre"}},"stand-alone":{abbreviated:{1:"gen.",2:"feb.",3:"març",4:"abr.",5:"maig",6:"juny",7:"jul.",8:"ag.",9:"set.",10:"oct.",11:"nov.",12:"des."},narrow:{1:"GN",2:"FB",3:"MÇ",4:"AB",5:"MG",6:"JN",7:"JL",8:"AG",9:"ST",10:"OC",11:"NV",12:"DS"},wide:{1:"gener",2:"febrer",3:"març",4:"abril",5:"maig",6:"juny",7:"juliol",8:"agost",9:"setembre",10:"octubre",11:"novembre",12:"desembre"}}},days:{format:{abbreviated:{sun:"dg.",mon:"dl.",tue:"dt.",wed:"dc.",thu:"dj.",fri:"dv.",sat:"ds."},narrow:{sun:"dg",mon:"dl",tue:"dt",wed:"dc",thu:"dj",fri:"dv",sat:"ds"},"short":{sun:"dg.",mon:"dl.",tue:"dt.",wed:"dc.",thu:"dj.",fri:"dv.",sat:"ds."},wide:{sun:"diumenge",mon:"dilluns",tue:"dimarts",wed:"dimecres",thu:"dijous",fri:"divendres",sat:"dissabte"}},"stand-alone":{abbreviated:{sun:"dg.",mon:"dl.",tue:"dt.",wed:"dc.",thu:"dj.",fri:"dv.",sat:"ds."},narrow:{sun:"dg",mon:"dl",tue:"dt",wed:"dc",thu:"dj",fri:"dv",sat:"ds"},"short":{sun:"dg.",mon:"dl.",tue:"dm.",wed:"dc.",thu:"dj.",fri:"dv.",sat:"ds."},wide:{sun:"diumenge",mon:"dilluns",tue:"dimarts",wed:"dimecres",thu:"dijous",fri:"divendres",sat:"dissabte"}}},quarters:{format:{abbreviated:{1:"1T",2:"2T",3:"3T",4:"4T"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1r trimestre",2:"2n trimestre",3:"3r trimestre",4:"4t trimestre"}},"stand-alone":{abbreviated:{1:"1T",2:"2T",3:"3T",4:"4T"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1r trimestre",2:"2n trimestre",3:"3r trimestre",4:"4t trimestre"}}},dayPeriods:{format:{abbreviated:{am:"a. m.",pm:"p. m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a. m.",pm:"p. m."}},"stand-alone":{abbreviated:{am:"a. m.",pm:"p. m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a. m.",pm:"p. m."}}},eras:{eraNames:{0:"abans de Crist",1:"després de Crist","0-alt-variant":"a. de la n. e.","1-alt-variant":"de la n. e."},eraAbbr:{0:"aC",1:"dC","0-alt-variant":"a. de la n. e.","1-alt-variant":"de la n.e."},eraNarrow:{0:"aC",1:"dC","0-alt-variant":"a. de la n. e.","1-alt-variant":"de la n.e."}},dateFormats:{full:"EEEE, d MMMM 'de' y","long":"d MMMM 'de' y",medium:"dd/MM/y","short":"d/M/yy"},timeFormats:{full:"H.mm.ss zzzz","long":"H.mm.ss z",medium:"H.mm.ss","short":"H.mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E H:mm",Ehms:"E h:mm:ss a",EHms:"E H:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM, y G",GyMMMM:"LLLL 'de' y G",h:"h a",H:"H",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",MMMMEd:"E d MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E, d/M/y",yMMM:"LLL y",yMMMd:"d MMM y",yMMMEd:"E, d MMM, y",yMMMM:"LLLL 'de' y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"H-H"},hm:{a:"h.mm a -h.mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH.mm-HH.mm",m:"HH.mm-HH.mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm–h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH.mm-HH.mm v",m:"HH.mm-HH.mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"H-H v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E dd/MM - E dd/MM",M:"E dd/MM - E dd/MM"},MMM:{M:"LLL-LLL"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E d - E d MMM",M:"E d MMM - E d MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E dd/MM/y - E dd/MM/y",M:"E dd/MM/y - E dd/MM/y",y:"E dd/MM/y - E dd/MM/y"},yMMM:{M:"LLL-LLL 'de' y",y:"LLL 'de' y - LLL 'de' y"},yMMMd:{d:"d-d MMM 'de' y",M:"d MMM - d MMM 'de' y",y:"d MMM 'de' y - d MMM 'de' y"},yMMMEd:{d:"E d - E d MMM 'de' y",M:"E d MMM - E d MMM 'de' y",y:"E d MMM 'de' y - E d MMM 'de' y"},yMMMM:{M:"LLLL-LLLL 'de' y",y:"LLLL 'de' y - LLLL 'de' y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Hora de: {0}","regionFormat-type-daylight":"Horari d'estiu, {0}","regionFormat-type-standard":"Hora estàndard, {0}",fallbackFormat:"{1} ({0})"}}},cs:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"led",2:"úno",3:"bře",4:"dub",5:"kvě",6:"čvn",7:"čvc",8:"srp",9:"zář",10:"říj",11:"lis",12:"pro"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"ledna",2:"února",3:"března",4:"dubna",5:"května",6:"června",7:"července",8:"srpna",9:"září",10:"října",11:"listopadu",12:"prosince"}},"stand-alone":{abbreviated:{1:"led",2:"úno",3:"bře",4:"dub",5:"kvě",6:"čvn",7:"čvc",8:"srp",9:"zář",10:"říj",11:"lis",12:"pro"},narrow:{1:"l",2:"ú",3:"b",4:"d",5:"k",6:"č",7:"č",8:"s",9:"z",10:"ř",11:"l",12:"p"},wide:{1:"leden",2:"únor",3:"březen",4:"duben",5:"květen",6:"červen",7:"červenec",8:"srpen",9:"září",10:"říjen",11:"listopad",12:"prosinec"}}},days:{format:{abbreviated:{sun:"ne",mon:"po",tue:"út",wed:"st",thu:"čt",fri:"pá",sat:"so"},narrow:{sun:"N",mon:"P",tue:"Ú",wed:"S",thu:"Č",fri:"P",sat:"S"},"short":{sun:"ne",mon:"po",tue:"út",wed:"st",thu:"čt",fri:"pá",sat:"so"},wide:{sun:"neděle",mon:"pondělí",tue:"úterý",wed:"středa",thu:"čtvrtek",fri:"pátek",sat:"sobota"}},"stand-alone":{abbreviated:{sun:"ne",mon:"po",tue:"út",wed:"st",thu:"čt",fri:"pá",sat:"so"},narrow:{sun:"N",mon:"P",tue:"Ú",wed:"S",thu:"Č",fri:"P",sat:"S"},"short":{sun:"ne",mon:"po",tue:"út",wed:"st",thu:"čt",fri:"pá",sat:"so"},wide:{sun:"neděle",mon:"pondělí",tue:"úterý",wed:"středa",thu:"čtvrtek",fri:"pátek",sat:"sobota"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. čtvrtletí",2:"2. čtvrtletí",3:"3. čtvrtletí",4:"4. čtvrtletí"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. čtvrtletí",2:"2. čtvrtletí",3:"3. čtvrtletí",4:"4. čtvrtletí"}}},dayPeriods:{format:{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"př. n. l.",1:"n. l.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"př. n. l.",1:"n. l.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"př.n.l.",1:"n.l.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE d. MMMM y","long":"d. MMMM y",medium:"d. M. y","short":"dd.MM.yy"},timeFormats:{full:"H:mm:ss zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d.",Ed:"E d.",Ehm:"E h:mm a",EHm:"E H:mm",Ehms:"E h:mm:ss a",EHms:"E H:mm:ss",Gy:"y G",GyMMM:"LLLL y G",GyMMMd:"d. M. y G",GyMMMEd:"E d. M. y G",GyMMMMd:"d. MMMM y G",GyMMMMEd:"E d. MMMM y G",h:"h a",H:"H",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L",Md:"d. M.",MEd:"E d. M.",MMM:"LLL",MMMd:"d. M.",MMMEd:"E d. M.",MMMMd:"d. MMMM",MMMMEd:"E d. MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d. M. y",yMEd:"E d. M. y",yMMM:"LLLL y",yMMMd:"d. M. y",yMMMEd:"E d. M. y",yMMMM:"LLLL y",yMMMMd:"d. MMMM y",yMMMMEd:"E d. MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d.–d."},h:{a:"h a – h a",h:"h–h a"},H:{H:"H–H"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"H:mm–H:mm",m:"H:mm–H:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"H:mm–H:mm v",m:"H:mm–H:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"H–H v"},M:{M:"M–M"},Md:{d:"d. M. – d. M.",M:"d. M. – d. M."},MEd:{d:"E d. M. – E d. M.",M:"E d. M. – E d. M."},MMM:{M:"MMM–MMM"},MMMd:{d:"d.–d. M.",M:"d. M. – d. M."},MMMEd:{d:"E d. M. – E d. M.",M:"E d. M. – E d. M."},y:{y:"y–y"},yM:{M:"M/y – M/y",y:"M/y – M/y"},yMd:{d:"dd.MM.y – dd.MM.y",M:"dd.MM.y – dd.MM.y",y:"dd.MM.y – dd.MM.y"},yMEd:{d:"E dd.MM.y – E dd.MM.y",M:"E dd.MM.y – E dd.MM.y",y:"E dd.MM.y – E dd.MM.y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d.–d. M. y",M:"d. M. – d. M. y",y:"d. M. y – d. M. y"},yMMMEd:{d:"E d. M. – E d. M. y",M:"E d. M. – E d. M. y",y:"E d. M. y – E d. M. y"},yMMMM:{M:"LLLL–LLLL y",y:"LLLL y – LLLL y"}}}}},timeZoneNames:{hourFormat:"+H:mm;-H:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Časové pásmo {0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},da:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"feb.",3:"mar.",4:"apr.",5:"maj",6:"jun.",7:"jul.",8:"aug.",9:"sep.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januar",2:"februar",3:"marts",4:"april",5:"maj",6:"juni",7:"juli",8:"august",9:"september",10:"oktober",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"maj",6:"jun",7:"jul",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januar",2:"februar",3:"marts",4:"april",5:"maj",6:"juni",7:"juli",8:"august",9:"september",10:"oktober",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"søn.",mon:"man.",tue:"tir.",wed:"ons.",thu:"tor.",fri:"fre.",sat:"lør."},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sø",mon:"ma",tue:"ti",wed:"on",thu:"to",fri:"fr",sat:"lø"},wide:{sun:"søndag",mon:"mandag",tue:"tirsdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lørdag"}},"stand-alone":{abbreviated:{sun:"søn",mon:"man",tue:"tir",wed:"ons",thu:"tor",fri:"fre",sat:"lør"},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sø",mon:"ma",tue:"ti",wed:"on",thu:"to",fri:"fr",sat:"lø"},wide:{sun:"søndag",mon:"mandag",tue:"tirsdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lørdag"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}},"stand-alone":{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}}},dayPeriods:{format:{abbreviated:{am:"AM",noon:"middag",pm:"PM"},narrow:{am:"AM",noon:"middag",pm:"PM"},wide:{am:"AM",noon:"middag",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",noon:"middag",pm:"PM"},narrow:{am:"AM",noon:"middag",pm:"PM"},wide:{am:"formiddag",noon:"middag",pm:"eftermiddag"}}},eras:{eraNames:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"før vesterlandsk tidsregning","1-alt-variant":"vesterlandsk tidsregning"},eraAbbr:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"f.v.t.","1-alt-variant":"v.t."},eraNarrow:{0:"fKr",1:"eKr","0-alt-variant":"fvt","1-alt-variant":"vt"}},dateFormats:{full:"EEEE 'den' d. MMMM y","long":"d. MMM y",medium:"dd/MM/y","short":"dd/MM/yy"},timeFormats:{full:"HH.mm.ss zzzz","long":"HH.mm.ss z",medium:"HH.mm.ss","short":"HH.mm"},dateTimeFormats:{full:"{1} 'kl.' {0}","long":"{1} 'kl.' {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d.",Ed:"E 'd'. d.",Ehm:"E h.mm a",EHm:"E HH.mm",Ehms:"E h.mm.ss a",EHms:"E HH.mm.ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d. MMM y G",GyMMMEd:"E d. MMM y G",h:"h a",H:"HH",hm:"h.mm a",Hm:"HH.mm",hms:"h.mm.ss a",Hms:"HH.mm.ss",M:"M",Md:"d/M",MEd:"E d/M",MMdd:"dd/MM",MMM:"MMM",MMMd:"d. MMM",MMMEd:"E d. MMM",MMMMEd:"E d. MMMM",ms:"mm.ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E d/M/y",yMM:"MM/y",yMMM:"MMM y",yMMMd:"d. MMM y",yMMMEd:"E d. MMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d.–d."},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h.mm a – h.mm a",h:"h.mm–h.mm a",m:"h.mm–h.mm a"},Hm:{H:"HH.mm–HH.mm",m:"HH.mm–HH.mm"},hmv:{a:"h.mm a – h.mm a v",h:"h.mm–h.mm a v",m:"h.mm–h.mm a v"},Hmv:{H:"HH.mm–HH.mm v",m:"HH.mm–HH.mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"dd/MM – dd/MM",M:"dd/MM – dd/MM"},MEd:{d:"E dd/MM – E dd/MM",M:"E dd/MM – E dd/MM"},MMM:{M:"MMM–MMM"},MMMd:{d:"d.–d. MMM",M:"d. MMM – d. MMM"},MMMEd:{d:"E 'den' d. – E 'den' d. MMM",M:"E 'den' d. MMM – E 'den' d. MMM"},y:{y:"y–y"},yM:{M:"MM/y – MM/y",y:"MM/y – MM/y"},yMd:{d:"dd/MM/y – dd/MM/y",M:"dd/MM/y – dd/MM/y",y:"dd/MM/y – dd/MM/y"},yMEd:{d:"E dd/MM/y – E dd/MM/y",M:"E dd/MM/y – E dd/MM/y",y:"E dd/MM/y – E dd/MM/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d.–d. MMM y",M:"d. MMM – d. MMM y",y:"d. MMM y – d. MMM y"},yMMMEd:{d:"E 'den' d. – E 'den' d. MMM y",M:"E 'den' d. MMM – E 'den' d. MMM y",y:"E 'den' d. MMM y – E 'den' d. MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH.mm;-HH.mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Tidszone for {0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},de:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan.",2:"Feb.",3:"März",4:"Apr.",5:"Mai",6:"Juni",7:"Juli",8:"Aug.",9:"Sep.",10:"Okt.",11:"Nov.",12:"Dez."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Januar",2:"Februar",3:"März",4:"April",5:"Mai",6:"Juni",7:"Juli",8:"August",9:"September",10:"Oktober",11:"November",12:"Dezember"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mär",4:"Apr",5:"Mai",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Okt",11:"Nov",12:"Dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Januar",2:"Februar",3:"März",4:"April",5:"Mai",6:"Juni",7:"Juli",8:"August",9:"September",10:"Oktober",11:"November",12:"Dezember"}}},days:{format:{abbreviated:{sun:"So.",mon:"Mo.",tue:"Di.",wed:"Mi.",thu:"Do.",fri:"Fr.",sat:"Sa."},narrow:{sun:"S",mon:"M",tue:"D",wed:"M",thu:"D",fri:"F",sat:"S"},"short":{sun:"So.",mon:"Mo.",tue:"Di.",wed:"Mi.",thu:"Do.",fri:"Fr.",sat:"Sa."},wide:{sun:"Sonntag",mon:"Montag",tue:"Dienstag",wed:"Mittwoch",thu:"Donnerstag",fri:"Freitag",sat:"Samstag"}},"stand-alone":{abbreviated:{sun:"So",mon:"Mo",tue:"Di",wed:"Mi",thu:"Do",fri:"Fr",sat:"Sa"},narrow:{sun:"S",mon:"M",tue:"D",wed:"M",thu:"D",fri:"F",sat:"S"},"short":{sun:"So.",mon:"Mo.",tue:"Di.",wed:"Mi.",thu:"Do.",fri:"Fr.",sat:"Sa."},wide:{sun:"Sonntag",mon:"Montag",tue:"Dienstag",wed:"Mittwoch",thu:"Donnerstag",fri:"Freitag",sat:"Samstag"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. Quartal",2:"2. Quartal",3:"3. Quartal",4:"4. Quartal"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. Quartal",2:"2. Quartal",3:"3. Quartal",4:"4. Quartal"}}},dayPeriods:{format:{abbreviated:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."},narrow:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."},wide:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."}},"stand-alone":{abbreviated:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."},narrow:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."},wide:{afternoon:"Nachmittag",am:"vorm.",earlyMorning:"Morgen",evening:"Abend",morning:"Vormittag",night:"Nacht",noon:"Mittag",pm:"nachm."}}},eras:{eraNames:{0:"v. Chr.",1:"n. Chr.","0-alt-variant":"vor der gewöhnlichen Zeitrechnung","1-alt-variant":"der gewöhnlichen Zeitrechnung"},eraAbbr:{0:"v. Chr.",1:"n. Chr.","0-alt-variant":"v. u. Z.","1-alt-variant":"u. Z."},eraNarrow:{0:"v. Chr.",1:"n. Chr.","0-alt-variant":"vdZ","1-alt-variant":"dZ"}},dateFormats:{full:"EEEE, d. MMMM y","long":"d. MMMM y",medium:"dd.MM.y","short":"dd.MM.yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E, d.",Ehm:"E h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d. MMM y G",GyMMMEd:"E, d. MMM y G",h:"h a",H:"HH 'Uhr'",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d.M.",MEd:"E, d.M.",MMd:"d.MM.",MMdd:"dd.MM.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"E, d. MMM",MMMMdd:"dd. MMMM",MMMMEd:"E, d. MMMM",ms:"mm:ss",y:"y",yM:"M.y",yMd:"d.M.y",yMEd:"E, d.M.y",yMM:"MM.y",yMMdd:"dd.MM.y",yMMM:"MMM y",yMMMd:"d. MMM y",yMMMEd:"E, d. MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d.-d."},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH 'Uhr'"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH 'Uhr' v"},M:{M:"M.-M."},Md:{d:"dd.MM. - dd.MM.",M:"dd.MM. - dd.MM."},MEd:{d:"E, dd.MM. - E, dd.MM.",M:"E, dd.MM. - E, dd.MM."},MMM:{M:"MMM-MMM"},MMMd:{d:"d.-d. MMM",M:"d. MMM - d. MMM"},MMMEd:{d:"E, d. - E, d. MMM",M:"E, d. MMM - E, d. MMM"},MMMM:{M:"LLLL-LLLL"},y:{y:"y-y"},yM:{M:"MM.y - MM.y",y:"MM.y - MM.y"},yMd:{d:"dd.MM.y - dd.MM.y",M:"dd.MM.y - dd.MM.y",y:"dd.MM.y - dd.MM.y"},yMEd:{d:"E, dd.MM.y - E, dd.MM.y",M:"E, dd.MM.y - E, dd.MM.y",y:"E, dd.MM.y - E, dd.MM.y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d.-d. MMM y",M:"d. MMM - d. MMM y",y:"d. MMM y - d. MMM y"},yMMMEd:{d:"E, d. - E, d. MMM y",M:"E, d. MMM - E, d. MMM y",y:"E, d. MMM y - E, d. MMM y"},yMMMM:{M:"MMMM-MMMM y",y:"MMMM y - MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Zeit","regionFormat-type-daylight":"{0} Sommerzeit","regionFormat-type-standard":"{0} Normalzeit",fallbackFormat:"{1} ({0})"}}},el:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Ιαν",2:"Φεβ",3:"Μαρ",4:"Απρ",5:"Μαΐ",6:"Ιουν",7:"Ιουλ",8:"Αυγ",9:"Σεπ",10:"Οκτ",11:"Νοε",12:"Δεκ"},narrow:{1:"Ι",2:"Φ",3:"Μ",4:"Α",5:"Μ",6:"Ι",7:"Ι",8:"Α",9:"Σ",10:"Ο",11:"Ν",12:"Δ"},wide:{1:"Ιανουαρίου",2:"Φεβρουαρίου",3:"Μαρτίου",4:"Απριλίου",5:"Μαΐου",6:"Ιουνίου",7:"Ιουλίου",8:"Αυγούστου",9:"Σεπτεμβρίου",10:"Οκτωβρίου",11:"Νοεμβρίου",12:"Δεκεμβρίου"}},"stand-alone":{abbreviated:{1:"Ιαν",2:"Φεβ",3:"Μάρ",4:"Απρ",5:"Μάι",6:"Ιούν",7:"Ιούλ",8:"Αύγ",9:"Σεπ",10:"Οκτ",11:"Νοέ",12:"Δεκ"},narrow:{1:"Ι",2:"Φ",3:"Μ",4:"Α",5:"Μ",6:"Ι",7:"Ι",8:"Α",9:"Σ",10:"Ο",11:"Ν",12:"Δ"},wide:{1:"Ιανουάριος",2:"Φεβρουάριος",3:"Μάρτιος",4:"Απρίλιος",5:"Μάιος",6:"Ιούνιος",7:"Ιούλιος",8:"Αύγουστος",9:"Σεπτέμβριος",10:"Οκτώβριος",11:"Νοέμβριος",12:"Δεκέμβριος"}}},days:{format:{abbreviated:{sun:"Κυρ",mon:"Δευ",tue:"Τρί",wed:"Τετ",thu:"Πέμ",fri:"Παρ",sat:"Σάβ"},narrow:{sun:"Κ",mon:"Δ",tue:"Τ",wed:"Τ",thu:"Π",fri:"Π",sat:"Σ"},"short":{sun:"Κυ",mon:"Δε",tue:"Τρ",wed:"Τε",thu:"Πέ",fri:"Πα",sat:"Σά"},wide:{sun:"Κυριακή",mon:"Δευτέρα",tue:"Τρίτη",wed:"Τετάρτη",thu:"Πέμπτη",fri:"Παρασκευή",sat:"Σάββατο"}},"stand-alone":{abbreviated:{sun:"Κυρ",mon:"Δευ",tue:"Τρί",wed:"Τετ",thu:"Πέμ",fri:"Παρ",sat:"Σάβ"},narrow:{sun:"Κ",mon:"Δ",tue:"Τ",wed:"Τ",thu:"Π",fri:"Π",sat:"Σ"},"short":{sun:"Κυ",mon:"Δε",tue:"Τρ",wed:"Τε",thu:"Πέ",fri:"Πα",sat:"Σά"},wide:{sun:"Κυριακή",mon:"Δευτέρα",tue:"Τρίτη",wed:"Τετάρτη",thu:"Πέμπτη",fri:"Παρασκευή",sat:"Σάββατο"}}},quarters:{format:{abbreviated:{1:"Τ1",2:"Τ2",3:"Τ3",4:"Τ4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1ο τρίμηνο",2:"2ο τρίμηνο",3:"3ο τρίμηνο",4:"4ο τρίμηνο"}},"stand-alone":{abbreviated:{1:"Τ1",2:"Τ2",3:"Τ3",4:"Τ4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1ο τρίμηνο",2:"2ο τρίμηνο",3:"3ο τρίμηνο",4:"4ο τρίμηνο"}}},dayPeriods:{format:{abbreviated:{am:"π.μ.",pm:"μ.μ."},narrow:{am:"π.μ.",pm:"μ.μ."},wide:{am:"π.μ.",pm:"μ.μ."}},"stand-alone":{abbreviated:{am:"π.μ.",pm:"μ.μ."},narrow:{am:"π.μ.",pm:"μ.μ."},wide:{am:"π.μ.",pm:"μ.μ."}}},eras:{eraNames:{0:"π.Χ.",1:"μ.Χ.","0-alt-variant":"π.Κ.Χ.","1-alt-variant":"ΚΧ"},eraAbbr:{0:"π.Χ.",1:"μ.Χ.","0-alt-variant":"π.Κ.Χ.","1-alt-variant":"ΚΧ"},eraNarrow:{0:"π.Χ.",1:"μ.Χ.","0-alt-variant":"π.Κ.Χ.","1-alt-variant":"ΚΧ"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"d/M/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} - {0}","long":"{1} - {0}",medium:"{1} - {0}","short":"{1} - {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",HHmm:"HH:mm",HHmmss:"HH:mm:ss",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E, d/M/y",yMMM:"LLL y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"LLLL y",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH–HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E, dd/MM - E, dd/MM",M:"E, dd/MM - E, dd/MM"},MMM:{M:"LLL-LLL"},MMMd:{d:"dd-dd MMM",M:"dd MMM - dd MMM"},MMMEd:{d:"E, dd - E, dd MMM",M:"E, dd MMM - E, dd MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E, dd/MM/y - E, dd/MM/y",M:"E, dd/MM/y - E, dd/MM/y",y:"E, dd/MM/y - E, dd/MM/y"},yMMM:{M:"LLL-LLL y",y:"MMM y - MMM y"},yMMMd:{d:"dd-dd MMM y",M:"dd MMM - dd MMM y",y:"dd MMM y - dd MMM y"},yMMMEd:{d:"E, dd MMM - E, dd MMM y",M:"E, dd MMM - E, dd MMM y",y:"E, dd MMM y - E, dd MMM y"},yMMMM:{M:"LLLL-LLLL y",y:"LLLL y - LLLL y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Ώρα ({0})","regionFormat-type-daylight":"Θερινή ώρα ({0})","regionFormat-type-standard":"Χειμερινή ώρα ({0})",fallbackFormat:"[{1} ({0})]"}}},en:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, MMMM d, y","long":"MMMM d, y",medium:"MMM d, y","short":"M/d/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} 'at' {0}","long":"{1} 'at' {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"d E",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"MMM d, y G",GyMMMEd:"E, MMM d, y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"M/d",MEd:"E, M/d",MMM:"LLL",MMMd:"MMM d",MMMEd:"E, MMM d",ms:"mm:ss",y:"y",yM:"M/y",yMd:"M/d/y",yMEd:"E, M/d/y",yMMM:"MMM y",yMMMd:"MMM d, y",yMMMEd:"E, MMM d, y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d – d"},h:{a:"h a – h a",h:"h – h a"},H:{H:"HH – HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm – h:mm a",m:"h:mm – h:mm a"},Hm:{H:"HH:mm – HH:mm",m:"HH:mm – HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm – h:mm a v",m:"h:mm – h:mm a v"},Hmv:{H:"HH:mm – HH:mm v",m:"HH:mm – HH:mm v"},hv:{a:"h a – h a v",h:"h – h a v"},Hv:{H:"HH – HH v"},M:{M:"M – M"},Md:{d:"M/d – M/d",M:"M/d – M/d"},MEd:{d:"E, M/d – E, M/d",M:"E, M/d – E, M/d"},MMM:{M:"MMM – MMM"},MMMd:{d:"MMM d – d",M:"MMM d – MMM d"},MMMEd:{d:"E, MMM d – E, MMM d",M:"E, MMM d – E, MMM d"},y:{y:"y – y"},yM:{M:"M/y – M/y",y:"M/y – M/y"},yMd:{d:"M/d/y – M/d/y",M:"M/d/y – M/d/y",y:"M/d/y – M/d/y"},yMEd:{d:"E, M/d/y – E, M/d/y",M:"E, M/d/y – E, M/d/y",y:"E, M/d/y – E, M/d/y"},yMMM:{M:"MMM – MMM y",y:"MMM y – MMM y"},yMMMd:{d:"MMM d – d, y",M:"MMM d – MMM d, y",y:"MMM d, y – MMM d, y"},yMMMEd:{d:"E, MMM d – E, MMM d, y",M:"E, MMM d – E, MMM d, y",y:"E, MMM d, y – E, MMM d, y"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-AU":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"d/MM/y"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"LL",Md:"dd/MM",MEd:"E dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"d/M/y",yMEd:"E, d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH–HH v"},M:{M:"M-M"},Md:{d:"d/MM - d/MM",M:"d/MM - d/MM"},MEd:{d:"E, d/MM - E, d/MM",M:"E, d/MM - E, d/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E, d - E, d MMM",M:"E, d MMM - E, d MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"d/MM/y - d/MM/y",M:"d/MM/y - d/MM/y",y:"d/MM/y - d/MM/y"},yMEd:{d:"E, d/MM/y - E, d/MM/y",M:"E, d/MM/y - E, d/MM/y",y:"E, d/MM/y - E, d/MM/y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E, d - E, d MMM y",M:"E, d MMM - E, d MMM y",y:"E, d MMM y - E, d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-CA":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, MMMM d, y","long":"MMMM d, y",medium:"MMM d, y","short":"M/d/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} 'at' {0}","long":"{1} 'at' {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"d E",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"MMM d, y G",GyMMMEd:"E, MMM d, y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"M/d",MEd:"E, M/d",MMM:"LLL",MMMd:"MMM d",MMMEd:"E, MMM d",ms:"mm:ss",y:"y",yM:"M/y",yMd:"M/d/y",yMEd:"E, M/d/y",yMMM:"MMM y",yMMMd:"MMM d, y",yMMMEd:"E, MMM d, y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d – d"},h:{a:"h a – h a",h:"h – h a"},H:{H:"HH – HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm – h:mm a",m:"h:mm – h:mm a"},Hm:{H:"HH:mm – HH:mm",m:"HH:mm – HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm – h:mm a v",m:"h:mm – h:mm a v"},Hmv:{H:"HH:mm – HH:mm v",m:"HH:mm – HH:mm v"},hv:{a:"h a – h a v",h:"h – h a v"},Hv:{H:"HH – HH v"},M:{M:"M – M"},Md:{d:"M/d – M/d",M:"M/d – M/d"},MEd:{d:"E, M/d – E, M/d",M:"E, M/d – E, M/d"},MMM:{M:"MMM – MMM"},MMMd:{d:"MMM d – d",M:"MMM d – MMM d"},MMMEd:{d:"E, MMM d – E, MMM d",M:"E, MMM d – E, MMM d"},y:{y:"y – y"},yM:{M:"M/y – M/y",y:"M/y – M/y"},yMd:{d:"M/d/y – M/d/y",M:"M/d/y – M/d/y",y:"M/d/y – M/d/y"},yMEd:{d:"E, M/d/y – E, M/d/y",M:"E, M/d/y – E, M/d/y",y:"E, M/d/y – E, M/d/y"},yMMM:{M:"MMM – MMM y",y:"MMM y – MMM y"},yMMMd:{d:"MMM d – d, y",M:"MMM d – MMM d, y",y:"MMM d, y – MMM d, y"},yMMMEd:{d:"E, MMM d – E, MMM d, y",M:"E, MMM d – E, MMM d, y",y:"E, MMM d, y – E, MMM d, y"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-GB":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd/MM/y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"LL",Md:"dd/MM",MEd:"E dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"dd/MM/y",yMEd:"E, dd/MM/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"dd/MM – dd/MM",M:"dd/MM – dd/MM"},MEd:{d:"E dd/MM – E dd/MM",M:"E dd/MM – E dd/MM"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E d – E d MMM",M:"E d MMM – E d MMM"},y:{y:"y-y"},yM:{M:"MM/y – MM/y",y:"MM/y – MM/y"},yMd:{d:"dd/MM/y – dd/MM/y",M:"dd/MM/y – dd/MM/y",y:"dd/MM/y – dd/MM/y"},yMEd:{d:"E, dd/MM/y – E, dd/MM/y",M:"E, dd/MM/y – E, dd/MM/y",y:"E, dd/MM/y – E, dd/MM/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"E, d – E, d MMM y",M:"E, d MMM – E, d MMM y",y:"E, d MMM y – E, d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-HK":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM, y","long":"d MMMM, y",medium:"d MMM, y","short":"d/M/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"LL",Md:"dd/MM",MEd:"E dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"d/M/y",yMEd:"E, dd/MM/y",yMMM:"MMM y",yMMMd:"d MMM, y",yMMMEd:"E, d MMM, y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"d/M – d/M",M:"d/M – d/M"},MEd:{d:"E, d/M – E, d/M",M:"E, d/M – E, d/M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E, d MMM – E, d MMM",M:"E, d MMM – E, d MMM"},y:{y:"y-y"},yM:{M:"MM/y – MM/y",y:"MM/y – MM/y"},yMd:{d:"d/M/y – d/M/y",M:"d/M/y – d/M/y",y:"d/M/y – d/M/y"},yMEd:{d:"E, d/M/y – E, d/M/y",M:"E, d/M/y – E, d/M/y",y:"E, d/M/y – E, d/M/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM, y",M:"d MMM – d MMM, y",y:"d MMM, y – d MMM, y"},yMMMEd:{d:"E, d MMM – E, d MMM, y",M:"E, d MMM – E, d MMM, y",y:"E, d MMM, y – E, d MMM, y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-IN":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE d MMMM y","long":"d MMMM y",medium:"dd-MMM-y","short":"dd/MM/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"LL",Md:"dd/MM",MEd:"E dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"d/M/y",yMEd:"E d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM, y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH–HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E dd/MM - E dd/MM",M:"E dd/MM - E dd/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E d - E d MMM",M:"E d MMM - E d MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E dd/MM/y - E dd/MM/y",M:"E dd/MM/y - E dd/MM/y",y:"E dd/MM/y - E dd/MM/y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E d - E d MMM y",M:"E d MMM - E d MMM y",y:"E d MMM y - E d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},es:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"ene.",2:"feb.",3:"mar.",4:"abr.",5:"may.",6:"jun.",7:"jul.",8:"ago.",9:"sept.",10:"oct.",11:"nov.",12:"dic."},narrow:{1:"E",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"enero",2:"febrero",3:"marzo",4:"abril",5:"mayo",6:"junio",7:"julio",8:"agosto",9:"septiembre",10:"octubre",11:"noviembre",12:"diciembre"}},"stand-alone":{abbreviated:{1:"Ene.",2:"Feb.",3:"Mar.",4:"Abr.",5:"May.",6:"Jun.",7:"Jul.",8:"Ago.",9:"Sept.",10:"Oct.",11:"Nov.",12:"Dic."},narrow:{1:"E",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Enero",2:"Febrero",3:"Marzo",4:"Abril",5:"Mayo",6:"Junio",7:"Julio",8:"Agosto",9:"Septiembre",10:"Octubre",11:"Noviembre",12:"Diciembre"}}},days:{format:{abbreviated:{sun:"dom.",mon:"lun.",tue:"mar.",wed:"mié.",thu:"jue.",fri:"vie.",sat:"sáb."},narrow:{sun:"D",mon:"L",tue:"M",wed:"X",thu:"J",fri:"V",sat:"S"},"short":{sun:"DO",mon:"LU",tue:"MA",wed:"MI",thu:"JU",fri:"VI",sat:"SA"},wide:{sun:"domingo",mon:"lunes",tue:"martes",wed:"miércoles",thu:"jueves",fri:"viernes",sat:"sábado"}},"stand-alone":{abbreviated:{sun:"Dom.",mon:"Lun.",tue:"Mar.",wed:"Mié.",thu:"Jue.",fri:"Vie.",sat:"Sáb."},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"DO",mon:"LU",tue:"MA",wed:"MI",thu:"JU",fri:"VI",sat:"SA"},wide:{sun:"Domingo",mon:"Lunes",tue:"Martes",wed:"Miércoles",thu:"Jueves",fri:"Viernes",sat:"Sábado"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1T",2:"2T",3:"3T",4:"4T"},wide:{1:"1.er trimestre",2:"2.º trimestre",3:"3.er trimestre",4:"4.º trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1T",2:"2T",3:"3T",4:"4T"},wide:{1:"1.er trimestre",2:"2.º trimestre",3:"3.er trimestre",4:"4.º trimestre"}}},dayPeriods:{format:{abbreviated:{am:"a. m.",pm:"p. m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a. m.",pm:"p. m."}},"stand-alone":{abbreviated:{am:"a. m.",pm:"p. m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a. m.",pm:"p. m."}}},eras:{eraNames:{0:"antes de Cristo",1:"anno Dómini","0-alt-variant":"a. e. c.","1-alt-variant":"e. c."},eraAbbr:{0:"a. C.",1:"d. C.","0-alt-variant":"a. e. c.","1-alt-variant":"e. c."},eraNarrow:{0:"a. C.",1:"d. C.","0-alt-variant":"a. e. c.","1-alt-variant":"e. c."}},dateFormats:{full:"EEEE, d 'de' MMMM 'de' y","long":"d 'de' MMMM 'de' y",medium:"d/M/y","short":"d/M/yy"},timeFormats:{full:"H:mm:ss (zzzz)","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1}, {0}","long":"{1}, {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E, h:mm a",EHm:"E, H:mm",Ehms:"E, h:mm:ss a",EHms:"E, H:mm:ss",Gy:"y G",GyMMM:"MMM 'de' y G",GyMMMd:"d MMM 'de' y G",GyMMMEd:"E, d 'de' MMMM 'de' y G",h:"h a",H:"H",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L",Md:"d/M",MEd:"E, d/M",MMd:"d/M",MMdd:"d/M",MMM:"LLL",MMMd:"d 'de' MMM",MMMdd:"dd-MMM",MMMEd:"E d 'de' MMM",MMMMd:"d 'de' MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"EEE, d/M/y",yMM:"M/y",yMMM:"MMM 'de' y",yMMMd:"d 'de' MMM 'de' y",yMMMEd:"EEE, d 'de' MMMM 'de' y",yMMMM:"MMMM 'de' y",yQQQ:"QQQ y",yQQQQ:"QQQQ 'de' y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}–{1}",d:{d:"d–d"},h:{a:"h a–h a",h:"h–h a"},H:{H:"H–H"},hm:{a:"h:mm a – h:mm a",h:"h:mm – h:mm a",m:"h:mm – h:mm a"},Hm:{H:"H:mm–H:mm",m:"H:mm–H:mm"},hmv:{a:"h:mm a–h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"H:mm–H:mm v",m:"H:mm–H:mm v"},hv:{a:"h a–h a v",h:"h–h a v"},Hv:{H:"H–H v"},M:{M:"M–M"},Md:{d:"d/M–d/M",M:"d/M–d/M"},MEd:{d:"E, d/M–E, d/M",M:"E, d/M–E, d/M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM–d MMM"},MMMEd:{d:"E, d MMM–E, d MMM",M:"E, d MMM–E, d MMM"},y:{y:"y–y"},yM:{M:"M/y–M/y",y:"M/y–M/y"},yMd:{d:"d/M/y–d/M/y",M:"d/M/y–d/M/y",y:"d/M/y–d/M/y"},yMEd:{d:"E, d/M/y–E, d/M/y",M:"E, d/M/y–E, d/M/y",y:"E, d/M/y–E, d/M/y"},yMMM:{M:"MMM–MMM y",y:"MMM y–MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM–d MMM 'de' y",y:"d MMM 'de' y–d MMM 'de' y"},yMMMEd:{d:"E, d MMM–E, d MMM 'de' y",M:"E, d MMM–E, d MMM 'de' y",y:"E, d MMM 'de' y–E, d MMM 'de' y"},yMMMM:{M:"MMMM–MMMM 'de' y",y:"MMMM 'de' y–MMMM 'de' y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Hora de {0}","regionFormat-type-daylight":"horario de verano de {0}","regionFormat-type-standard":"horario estándar de {0}",fallbackFormat:"{1} ({0})"}}},fi:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"tammikuuta",2:"helmikuuta",3:"maaliskuuta",4:"huhtikuuta",5:"toukokuuta",6:"kesäkuuta",7:"heinäkuuta",8:"elokuuta",9:"syyskuuta",10:"lokakuuta",11:"marraskuuta",12:"joulukuuta"},narrow:{1:"T",2:"H",3:"M",4:"H",5:"T",6:"K",7:"H",8:"E",9:"S",10:"L",11:"M",12:"J"},wide:{1:"tammikuuta",2:"helmikuuta",3:"maaliskuuta",4:"huhtikuuta",5:"toukokuuta",6:"kesäkuuta",7:"heinäkuuta",8:"elokuuta",9:"syyskuuta",10:"lokakuuta",11:"marraskuuta",12:"joulukuuta"}},"stand-alone":{abbreviated:{1:"tammi",2:"helmi",3:"maalis",4:"huhti",5:"touko",6:"kesä",7:"heinä",8:"elo",9:"syys",10:"loka",11:"marras",12:"joulu"},narrow:{1:"T",2:"H",3:"M",4:"H",5:"T",6:"K",7:"H",8:"E",9:"S",10:"L",11:"M",12:"J"},wide:{1:"tammikuu",2:"helmikuu",3:"maaliskuu",4:"huhtikuu",5:"toukokuu",6:"kesäkuu",7:"heinäkuu",8:"elokuu",9:"syyskuu",10:"lokakuu",11:"marraskuu",12:"joulukuu"}}},days:{format:{abbreviated:{sun:"su",mon:"ma",tue:"ti",wed:"ke",thu:"to",fri:"pe",sat:"la"},narrow:{sun:"S",mon:"M",tue:"T",wed:"K",thu:"T",fri:"P",sat:"L"},"short":{sun:"su",mon:"ma",tue:"ti",wed:"ke",thu:"to",fri:"pe",sat:"la"},wide:{sun:"sunnuntaina",mon:"maanantaina",tue:"tiistaina",wed:"keskiviikkona",thu:"torstaina",fri:"perjantaina",sat:"lauantaina"}},"stand-alone":{abbreviated:{sun:"su",mon:"ma",tue:"ti",wed:"ke",thu:"to",fri:"pe",sat:"la"},narrow:{sun:"S",mon:"M",tue:"T",wed:"K",thu:"T",fri:"P",sat:"L"},"short":{sun:"su",mon:"ma",tue:"ti",wed:"ke",thu:"to",fri:"pe",sat:"la"},wide:{sun:"sunnuntai",mon:"maanantai",tue:"tiistai",wed:"keskiviikko",thu:"torstai",fri:"perjantai",sat:"lauantai"}}},quarters:{format:{abbreviated:{1:"1. nelj.",2:"2. nelj.",3:"3. nelj.",4:"4. nelj."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. neljännes",2:"2. neljännes",3:"3. neljännes",4:"4. neljännes"}},"stand-alone":{abbreviated:{1:"1. nelj.",2:"2. nelj.",3:"3. nelj.",4:"4. nelj."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. neljännes",2:"2. neljännes",3:"3. neljännes",4:"4. neljännes"}}},dayPeriods:{format:{abbreviated:{am:"ap.",pm:"ip."},narrow:{am:"ap.",pm:"ip."},wide:{am:"ap.",pm:"ip."}},"stand-alone":{abbreviated:{am:"ap.",pm:"ip."},narrow:{am:"ap.",pm:"ip."},wide:{am:"ap.",pm:"ip."}}},eras:{eraNames:{0:"ennen Kristuksen syntymää",1:"jälkeen Kristuksen syntymän","0-alt-variant":"ennen ajanlaskun alkua","1-alt-variant":"jälkeen ajanlaskun alun"},eraAbbr:{0:"eKr.",1:"jKr.","0-alt-variant":"eaa.","1-alt-variant":"jaa."},eraNarrow:{0:"eK",1:"jK","0-alt-variant":"eaa","1-alt-variant":"jaa"}},dateFormats:{full:"cccc d. MMMM y","long":"d. MMMM y",medium:"d.M.y","short":"d.M.y"},timeFormats:{full:"H.mm.ss zzzz","long":"H.mm.ss z",medium:"H.mm.ss","short":"H.mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d.",Ehm:"E h.mm a",EHm:"E H.mm",Ehms:"E h.mm.ss a",EHms:"E H.mm.ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d. MMM y G",GyMMMEd:"E d. MMM y G",h:"h a",H:"H",hm:"h.mm a",Hm:"H.mm",hms:"h.mm.ss a",Hms:"H.mm.ss",M:"L",Md:"d.M.",MEd:"E d.M.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"ccc d. MMM",ms:"m.ss",y:"y",yM:"L.y",yMd:"d.M.y",yMEd:"E d.M.y",yMM:"M.y",yMMM:"LLL y",yMMMd:"d. MMM y",yMMMEd:"E d. MMM y",yMMMM:"LLLL y",yMMMMccccd:"cccc d. MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}–{1}",d:{d:"d.–d."},h:{a:"h a – h a",h:"h–h a"},H:{H:"H–H"},hm:{a:"h.mm a – h.mm a",h:"h.mm–h.mm a",m:"h.mm–h.mm a"},Hm:{H:"H.mm–H.mm",m:"H.mm–H.mm"},hmv:{a:"h.mm a – h.mm a v",h:"h.mm–h.mm a v",m:"h.mm–h.mm a v"},Hmv:{H:"H.mm–H.mm v",m:"H.mm–H.mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"H–H v"},M:{M:"L.–L."},Md:{d:"d.–d.M.",M:"d.M.–d.M."},MEd:{d:"E d. – E d.M.",M:"E d.M. – E d.M."},MMM:{M:"LLL–LLLL"},MMMd:{d:"d.–d. MMMM",M:"d. MMMM – d. MMMM"},MMMEd:{d:"E d. – E d. MMMM",M:"E d. MMMM – E d. MMMM"},MMMM:{M:"LLL–LLLL"},y:{y:"y–y"},yM:{M:"LLL–LLLL y",y:"LLLL y – LLLL y"},yMd:{d:"d.–d.M.y",M:"d.M.–d.M.y",y:"d.M.y–d.M.y"},yMEd:{d:"E d.M.y – E d.M.y",M:"E d.M.y – E d.M.y",y:"E d.M.y – E d.M.y"},yMMM:{M:"LLL–LLLL y",y:"LLLL y – LLLL y"},yMMMd:{d:"d.–d. MMMM y",M:"d. MMMM – d. MMMM y",y:"d. MMMM y – d. MMMM y"},yMMMEd:{d:"E d. – E d. MMMM y",M:"E d. MMMM – E d. MMMM y",y:"E d. MMMM y – E d. MMMM y"},yMMMM:{M:"LLL–LLLL y",y:"LLLL y – LLLL y"}}}}},timeZoneNames:{hourFormat:"+H.mm;-H.mm",gmtFormat:"UTC{0}",gmtZeroFormat:"UTC",regionFormat:"aikavyöhyke: {0}","regionFormat-type-daylight":"{0} (kesäaika)","regionFormat-type-standard":"{0} (normaaliaika)",fallbackFormat:"{1} ({0})"}}},fr:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"janv.",2:"févr.",3:"mars",4:"avr.",5:"mai",6:"juin",7:"juil.",8:"août",9:"sept.",10:"oct.",11:"nov.",12:"déc."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"janvier",2:"février",3:"mars",4:"avril",5:"mai",6:"juin",7:"juillet",8:"août",9:"septembre",10:"octobre",11:"novembre",12:"décembre"}},"stand-alone":{abbreviated:{1:"janv.",2:"févr.",3:"mars",4:"avr.",5:"mai",6:"juin",7:"juil.",8:"août",9:"sept.",10:"oct.",11:"nov.",12:"déc."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"janvier",2:"février",3:"mars",4:"avril",5:"mai",6:"juin",7:"juillet",8:"août",9:"septembre",10:"octobre",11:"novembre",12:"décembre"}}},days:{format:{abbreviated:{sun:"dim.",mon:"lun.",tue:"mar.",wed:"mer.",thu:"jeu.",fri:"ven.",sat:"sam."},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"di",mon:"lu",tue:"ma",wed:"me",thu:"je",fri:"ve",sat:"sa"},wide:{sun:"dimanche",mon:"lundi",tue:"mardi",wed:"mercredi",thu:"jeudi",fri:"vendredi",sat:"samedi"}},"stand-alone":{abbreviated:{sun:"dim.",mon:"lun.",tue:"mar.",wed:"mer.",thu:"jeu.",fri:"ven.",sat:"sam."},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"dim.",mon:"lun.",tue:"mar.",wed:"mer.",thu:"jeu.",fri:"ven.",sat:"sam."},wide:{sun:"dimanche",mon:"lundi",tue:"mardi",wed:"mercredi",thu:"jeudi",fri:"vendredi",sat:"samedi"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1er trimestre",2:"2e trimestre",3:"3e trimestre",4:"4e trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1er trimestre",2:"2e trimestre",3:"3e trimestre",4:"4e trimestre"}}},dayPeriods:{format:{abbreviated:{afternoon:"ap.m.",am:"AM",morning:"matin",night:"soir",noon:"midi",pm:"PM"},narrow:{afternoon:"ap.-m.",am:"a",morning:"matin",night:"soir",noon:"midi",pm:"p"},wide:{afternoon:"après-midi",am:"AM",morning:"matin",night:"soir",noon:"midi",pm:"PM"}},"stand-alone":{abbreviated:{afternoon:"ap.m.",am:"av.m.",morning:"matin",night:"soir",noon:"midi",pm:"ap.m."},narrow:{afternoon:"ap.-m.",am:"a",morning:"matin",night:"soir",noon:"midi",pm:"p"},wide:{afternoon:"après-midi",am:"avant-midi",morning:"matin",night:"soir",noon:"midi",pm:"après-midi"}}},eras:{eraNames:{0:"avant Jésus-Christ",1:"après Jésus-Christ","0-alt-variant":"AEC","1-alt-variant":"EC"},eraAbbr:{0:"av. J.-C.",1:"ap. J.-C.","0-alt-variant":"AEC","1-alt-variant":"EC"},eraNarrow:{0:"av. J.-C.",1:"ap. J.-C.","0-alt-variant":"AEC","1-alt-variant":"EC"}},dateFormats:{full:"EEEE d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd/MM/y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E d MMM y G",h:"h a",H:"HH 'h'",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d-d"},h:{a:"h a – h a",h:"h – h a"},H:{H:"HH – HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm – h:mm a",m:"h:mm – h:mm a"},Hm:{H:"HH:mm – HH:mm",m:"HH:mm – HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm – h:mm a v",m:"h:mm – h:mm a v"},Hmv:{H:"HH:mm – HH:mm v",m:"HH:mm – HH:mm v"},hv:{a:"h a – h a v",h:"h – h a v"},Hv:{H:"HH – HH v"},M:{M:"M–M"},Md:{d:"dd/MM – dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E dd/MM - E dd/MM",M:"E dd/MM - E dd/MM"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E d – E d MMM",M:"E d MMM – E d MMM"},y:{y:"y–y"},yM:{M:"MM/y – MM/y",y:"M/y – M/y"},yMd:{d:"d/M/y – d/M/y",M:"d/M/y – d/M/y",y:"dd/MM/y – dd/MM/y"},yMEd:{d:"E dd/MM/y – E dd/MM/y",M:"E dd/MM/y – E dd/MM/y",y:"E dd/MM/y – E dd/MM/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"E d – E d MMM y",M:"E d MMM – E d MMM y",y:"E d MMM y – E d MMM y"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;−HH:mm",gmtFormat:"UTC{0}",gmtZeroFormat:"UTC",regionFormat:"heure : {0}","regionFormat-type-daylight":"{0} (heure d’été)","regionFormat-type-standard":"{0} (heure standard)",fallbackFormat:"{1} ({0})"}}},he:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"ינו",2:"פבר",3:"מרץ",4:"אפר",5:"מאי",6:"יונ",7:"יול",8:"אוג",9:"ספט",10:"אוק",11:"נוב",12:"דצמ"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"ינואר",2:"פברואר",3:"מרץ",4:"אפריל",5:"מאי",6:"יוני",7:"יולי",8:"אוגוסט",9:"ספטמבר",10:"אוקטובר",11:"נובמבר",12:"דצמבר"}},"stand-alone":{abbreviated:{1:"ינו׳",2:"פבר׳",3:"מרץ",4:"אפר׳",5:"מאי",6:"יונ׳",7:"יול׳",8:"אוג׳",9:"ספט׳",10:"אוק׳",11:"נוב׳",12:"דצמ׳"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"ינואר",2:"פברואר",3:"מרץ",4:"אפריל",5:"מאי",6:"יוני",7:"יולי",8:"אוגוסט",9:"ספטמבר",10:"אוקטובר",11:"נובמבר",12:"דצמבר"}}},days:{format:{abbreviated:{sun:"יום א׳",mon:"יום ב׳",tue:"יום ג׳",wed:"יום ד׳",thu:"יום ה׳",fri:"יום ו׳",sat:"שבת"},narrow:{sun:"א׳",mon:"ב׳",tue:"ג׳",wed:"ד׳",thu:"ה׳",fri:"ו׳",sat:"ש׳"},"short":{sun:"א׳",mon:"ב׳",tue:"ג׳",wed:"ד׳",thu:"ה׳",fri:"ו׳",sat:"ש׳"},wide:{sun:"יום ראשון",mon:"יום שני",tue:"יום שלישי",wed:"יום רביעי",thu:"יום חמישי",fri:"יום שישי",sat:"יום שבת"}},"stand-alone":{abbreviated:{sun:"יום א׳",mon:"יום ב׳",tue:"יום ג׳",wed:"יום ד׳",thu:"יום ה׳",fri:"יום ו׳",sat:"שבת"},narrow:{sun:"א׳",mon:"ב׳",tue:"ג׳",wed:"ד׳",thu:"ה׳",fri:"ו׳",sat:"ש׳"},"short":{sun:"א׳",mon:"ב׳",tue:"ג׳",wed:"ד׳",thu:"ה׳",fri:"ו׳",sat:"ש׳"},wide:{sun:"יום ראשון",mon:"יום שני",tue:"יום שלישי",wed:"יום רביעי",thu:"יום חמישי",fri:"יום שישי",sat:"יום שבת"}}},quarters:{format:{abbreviated:{1:"רבעון 1",2:"רבעון 2",3:"רבעון 3",4:"רבעון 4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"רבעון 1",2:"רבעון 2",3:"רבעון 3",4:"רבעון 4"}},"stand-alone":{abbreviated:{1:"רבעון 1",2:"רבעון 2",3:"רבעון 3",4:"רבעון 4"},narrow:{1:"ר1",2:"ר2",3:"ר3",4:"ר4"},wide:{1:"רבעון 1",2:"רבעון 2",3:"רבעון 3",4:"רבעון 4"}}},dayPeriods:{format:{abbreviated:{am:"לפנה״צ",pm:"אחה״צ"},narrow:{am:"לפנה״צ",pm:"אחה״צ"},wide:{am:"לפנה״צ",pm:"אחה״צ"}},"stand-alone":{abbreviated:{am:"לפנה״צ",pm:"אחה״צ"},narrow:{am:"לפנה״צ",pm:"אחה״צ"},wide:{am:"לפנה״צ",pm:"אחה״צ"}}},eras:{eraNames:{0:"לפני הספירה",1:"לספירה","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"לפנה״ס",1:"לסה״נ","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"לפנה״ס",1:"לסה״נ","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d בMMMM y","long":"d בMMMM y",medium:"d בMMM y","short":"dd/MM/yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} בשעה {0}","long":"{1} בשעה {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E ה-d",Ehm:"E h:mm a",EHm:"E H:mm",Ehms:"E h:mm:ss a",EHms:"E H:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d בMMM y G",GyMMMEd:"E, d בMMM y G",h:"‏h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, d/M",MMM:"LLL",MMMd:"d בMMM",MMMEd:"E, d בMMM",ms:"mm:ss",y:"y",yM:"M.y",yMd:"d.M.y",yMEd:"E, d/M/y",yMM:"MM/y",yMMM:"MMM y",yMMMd:"d בMMM y",yMMMEd:"E, d בMMM y",yMMMM:"MMMM y",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"H–H"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"H:mm–H:mm",m:"H:mm–H:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"H:mm–H:mm v",m:"H:mm–H:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"H–H v"},M:{M:"M–M"},Md:{d:"d.M–d.M",M:"d.M–d.M"},MEd:{d:"EEEE d.M–EEEE d.M",M:"EEEE d.M – EEEE d.M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM–d MMM"},MMMEd:{d:"EEEE d MMM – EEEE d MMM",M:"EEEE d MMM – EEEE d MMM"},MMMM:{M:"LLLL–LLLL"},y:{y:"y–y"},yM:{M:"M.y–M.y",y:"M.y‏-M.y"},yMd:{d:"dd.M.y – dd.M.y",M:"d.M.y – d.M.y",y:"d.M.y – d.M.y"},yMEd:{d:"EEEE d.M.y – EEEE d.M.y",M:"EEEE d.M.y – EEEE d.M.y",y:"EEEE d.M.y – EEEE d.M.y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"EEEE d MMM – EEEE d MMM y",M:"EEEE d MMM – EEEE d MMM y",y:"EEEE d MMM y – EEEE d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y–MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"שעון {0}","regionFormat-type-daylight":"שעון {0} (קיץ)","regionFormat-type-standard":"שעון {0} (חורף)",fallbackFormat:"{1} ({0})"}}},hi:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"जन",2:"फ़र",3:"मार्च",4:"अप्रै",5:"मई",6:"जून",7:"जुला",8:"अग",9:"सितं",10:"अक्टू",11:"नवं",12:"दिसं"},narrow:{1:"ज",2:"फ़",3:"मा",4:"अ",5:"म",6:"जू",7:"जु",8:"अ",9:"सि",10:"अ",11:"न",12:"दि"},wide:{1:"जनवरी",2:"फ़रवरी",3:"मार्च",4:"अप्रैल",5:"मई",6:"जून",7:"जुलाई",8:"अगस्त",9:"सितंबर",10:"अक्टूबर",11:"नवंबर",12:"दिसंबर"}},"stand-alone":{abbreviated:{1:"जन",2:"फ़र",3:"मार्च",4:"अप्रै",5:"मई",6:"जून",7:"जुला",8:"अग",9:"सितं",10:"अक्टू",11:"नवं",12:"दिसं"},narrow:{1:"ज",2:"फ़",3:"मा",4:"अ",5:"म",6:"जू",7:"जु",8:"अ",9:"सि",10:"अ",11:"न",12:"दि"},wide:{1:"जनवरी",2:"फ़रवरी",3:"मार्च",4:"अप्रैल",5:"मई",6:"जून",7:"जुलाई",8:"अगस्त",9:"सितंबर",10:"अक्टूबर",11:"नवंबर",12:"दिसंबर"}}},days:{format:{abbreviated:{sun:"रवि",mon:"सोम",tue:"मंगल",wed:"बुध",thu:"गुरु",fri:"शुक्र",sat:"शनि"},narrow:{sun:"र",mon:"सो",tue:"मं",wed:"बु",thu:"गु",fri:"शु",sat:"श"},"short":{sun:"र",mon:"सो",tue:"मं",wed:"बु",thu:"गु",fri:"शु",sat:"श"},wide:{sun:"रविवार",mon:"सोमवार",tue:"मंगलवार",wed:"बुधवार",thu:"गुरुवार",fri:"शुक्रवार",sat:"शनिवार"}},"stand-alone":{abbreviated:{sun:"रवि",mon:"सोम",tue:"मंगल",wed:"बुध",thu:"गुरु",fri:"शुक्र",sat:"शनि"},narrow:{sun:"र",mon:"सो",tue:"मं",wed:"बु",thu:"गु",fri:"शु",sat:"श"},"short":{sun:"र",mon:"सो",tue:"मं",wed:"बु",thu:"गु",fri:"शु",sat:"श"},wide:{sun:"रविवार",mon:"सोमवार",tue:"मंगलवार",wed:"बुधवार",thu:"गुरुवार",fri:"शुक्रवार",sat:"शनिवार"}}},quarters:{format:{abbreviated:{1:"ति1",2:"ति2",3:"ति3",4:"ति4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"पहली तिमाही",2:"दूसरी तिमाही",3:"तीसरी तिमाही",4:"चौथी तिमाही"}},"stand-alone":{abbreviated:{1:"ति1",2:"ति2",3:"ति3",4:"ति4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"पहली तिमाही",2:"दूसरी तिमाही",3:"तीसरी तिमाही",4:"चौथी तिमाही"}}},dayPeriods:{format:{abbreviated:{am:"पूर्व",pm:"अपर"},narrow:{am:"पू",pm:"अ"},wide:{am:"पूर्वाह्न",pm:"अपराह्न"}},"stand-alone":{abbreviated:{am:"पूर्व",pm:"अपर"},narrow:{am:"पू",pm:"अ"},wide:{am:"पूर्वाह्न",pm:"अपराह्न"}}},eras:{eraNames:{0:"ईसा-पूर्व",1:"ईस्वी","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"ईसा-पूर्व",1:"ईस्वी","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"ईसा-पूर्व",1:"ईस्वी","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"dd-MM-y","short":"d-M-yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} को {0}","long":"{1} को {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM G y",GyMMMd:"d MMM, G y",GyMMMEd:"E, d MMM, G y",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, d/M",MMdd:"dd-MM",MMM:"LLL",MMMd:"d MMM",MMMdd:"dd MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E, d/M/y",yMM:"MM-y",yMMdd:"dd-MM-y",yMMM:"MMM y",yMMMd:"d MMM, y",yMMMEd:"E, d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"d/M – d/M",M:"d/M – d/M"},MEd:{d:"E, d/M – E, d/M",M:"E, d/M – E, d/M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d MMM–d",M:"d MMM – d MMM"},MMMEd:{d:"E, d MMM – E, d MMM",M:"E, d MMM – E, d MMM"},y:{y:"y–y"},yM:{M:"M/y – M/y",y:"M/y – M/y"},yMd:{d:"d/M/y – d/M/y",M:"d/M/y – d/M/y",y:"d/M/y – d/M/y"},yMEd:{d:"E, d/M/y – E, d/M/y",M:"E, d/M/y – E, d/M/y",y:"E, d/M/y – E, d/M/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d MMM–d, y",M:"d MMM – d MMM, y",y:"d MMM, y – d MMM, y"},yMMMEd:{d:"E, d MMM – E, d MMM, y",M:"E, d MMM – E, d MMM, y",y:"E, d MMM, y – E, d MMM, y"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} समय","regionFormat-type-daylight":"{0} डेलाइट समय","regionFormat-type-standard":"{0} मानक समय",fallbackFormat:"{1} ({0})"}}},hr:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"sij",2:"velj",3:"ožu",4:"tra",5:"svi",6:"lip",7:"srp",8:"kol",9:"ruj",10:"lis",11:"stu",12:"pro"},narrow:{1:"1.",2:"2.",3:"3.",4:"4.",5:"5.",6:"6.",7:"7.",8:"8.",9:"9.",10:"10.",11:"11.",12:"12."},wide:{1:"siječnja",2:"veljače",3:"ožujka",4:"travnja",5:"svibnja",6:"lipnja",7:"srpnja",8:"kolovoza",9:"rujna",10:"listopada",11:"studenoga",12:"prosinca"}},"stand-alone":{abbreviated:{1:"sij",2:"velj",3:"ožu",4:"tra",5:"svi",6:"lip",7:"srp",8:"kol",9:"ruj",10:"lis",11:"stu",12:"pro"},narrow:{1:"1.",2:"2.",3:"3.",4:"4.",5:"5.",6:"6.",7:"7.",8:"8.",9:"9.",10:"10.",11:"11.",12:"12."},wide:{1:"siječanj",2:"veljača",3:"ožujak",4:"travanj",5:"svibanj",6:"lipanj",7:"srpanj",8:"kolovoz",9:"rujan",10:"listopad",11:"studeni",12:"prosinac"}}},days:{format:{abbreviated:{sun:"ned",mon:"pon",tue:"uto",wed:"sri",thu:"čet",fri:"pet",sat:"sub"},narrow:{sun:"N",mon:"P",tue:"U",wed:"S",thu:"Č",fri:"P",sat:"S"},"short":{sun:"ned",mon:"pon",tue:"uto",wed:"sri",thu:"čet",fri:"pet",sat:"sub"},wide:{sun:"nedjelja",mon:"ponedjeljak",tue:"utorak",wed:"srijeda",thu:"četvrtak",fri:"petak",sat:"subota"}},"stand-alone":{abbreviated:{sun:"ned",mon:"pon",tue:"uto",wed:"sri",thu:"čet",fri:"pet",sat:"sub"},narrow:{sun:"n",mon:"p",tue:"u",wed:"s",thu:"č",fri:"p",sat:"s"},"short":{sun:"ned",mon:"pon",tue:"uto",wed:"sri",thu:"čet",fri:"pet",sat:"sub"},wide:{sun:"nedjelja",mon:"ponedjeljak",tue:"utorak",wed:"srijeda",thu:"četvrtak",fri:"petak",sat:"subota"}}},quarters:{format:{abbreviated:{1:"1kv",2:"2kv",3:"3kv",4:"4kv"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}},"stand-alone":{abbreviated:{1:"1kv",2:"2kv",3:"3kv",4:"4kv"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}}},dayPeriods:{format:{abbreviated:{afternoon:"popodne",am:"AM",earlyMorning:"ujutro",evening:"navečer",morning:"prijepodne",night:"noću",noon:"podne",pm:"PM"},narrow:{afternoon:"popodne",am:"AM",earlyMorning:"ujutro",evening:"navečer",morning:"prijepodne",night:"noću",noon:"n",pm:"PM"},wide:{am:"AM",noon:"podne",pm:"PM"}},"stand-alone":{abbreviated:{afternoon:"popodne",am:"AM",earlyMorning:"ujutro",evening:"navečer",morning:"prijepodne",night:"noću",noon:"podne",pm:"PM"},narrow:{afternoon:"popodne",am:"AM",earlyMorning:"ujutro",evening:"navečer",morning:"prijepodne",night:"noću",noon:"n",pm:"PM"},wide:{am:"AM",noon:"podne",pm:"PM"}}},eras:{eraNames:{0:"Prije Krista",1:"Poslije Krista","0-alt-variant":"pr. n. e.","1-alt-variant":"n.e."},eraAbbr:{0:"pr. Kr.",1:"p. Kr.","0-alt-variant":"pr. n. e.","1-alt-variant":"n.e."},eraNarrow:{0:"pr.n.e.",1:"AD","0-alt-variant":"pr. n. e.","1-alt-variant":"n.e."}},dateFormats:{full:"EEEE, d. MMMM y.","long":"d. MMMM y.",medium:"d. MMM y.","short":"d.M.yy."},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} 'u' {0}","long":"{1} 'u' {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d.",Ed:"E, d.",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y. G",GyMMM:"LLL y. G",GyMMMd:"d. MMM y. G",GyMMMEd:"E, d. MMM y. G",h:"h a",H:"HH",hm:"hh:mm a",Hm:"HH:mm",hms:"hh:mm:ss a",Hms:"HH:mm:ss",M:"L.",Md:"d. M.",MEd:"E, d. M.",MMdd:"dd. MM.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"E, d. MMM",MMMMd:"d. MMMM",MMMMdd:"dd. MMMM",MMMMEd:"E, d. MMMM",ms:"mm:ss",y:"y.",yM:"M. y.",yMd:"d. M. y.",yMEd:"E, d. M. y.",yMM:"MM. y.",yMMM:"LLL y.",yMMMd:"d. MMM y.",yMMMEd:"E, d. MMM y.",yMMMM:"LLLL y.",yQQQ:"QQQ y.",yQQQQ:"QQQQ y."},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"dd. - dd."},h:{a:"h a - h a",h:"h - h'h' a"},H:{H:"HH-HH'h'"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h - h 'h' a v"},Hv:{H:"HH - HH 'h' v"},M:{M:"MM. - MM."},Md:{d:"dd.MM. - dd.MM.",M:"dd.MM. - dd.MM."},MEd:{d:"E, dd.MM. - E, dd.MM.",M:"E, dd.MM. - E, dd.MM."},MMM:{M:"LLL-LLL"},MMMd:{d:"dd. - dd. MMM",M:"dd. MMM - dd. MMM"},MMMEd:{d:"E, dd. - E, dd. MMM",M:"E, dd. MMM - E, dd. MMM"},y:{y:"y. - y."},yM:{M:"MM.y. - MM.y.",y:"MM.y. - MM.y."},yMd:{d:"dd.MM.y. - dd.MM.y.",M:"dd.MM.y. - dd.MM.y.",y:"dd.MM.y. - dd.MM.y."},yMEd:{d:"E, dd.MM.y. - E, dd.MM.y.",M:"E, dd.MM.y. - E, dd.MM.y.",y:"E, dd.MM.y. - E, dd.MM.y."},yMMM:{M:"LLL-LLL y.",y:"LLL y. - LLL y."},yMMMd:{d:"dd. - dd. MMM y.",M:"dd. MMM - dd. MMM y.",y:"dd. MMM y. - dd. MMM y."},yMMMEd:{d:"E, dd. - E, dd. MMM y.",M:"E, dd. MMM - E, dd. MMM y.",y:"E, dd. MMM y. - E, dd. MMM y."},yMMMM:{M:"LLLL – LLLL y.",y:"LLLL y. - LLLL y."}}}}},timeZoneNames:{hourFormat:"+HH:mm; -HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}","regionFormat-type-daylight":"{0}, ljetno vrijeme","regionFormat-type-standard":"{0}, standardno vrijeme",fallbackFormat:"{1} ({0})"}}},hu:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"febr.",3:"márc.",4:"ápr.",5:"máj.",6:"jún.",7:"júl.",8:"aug.",9:"szept.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"J",2:"F",3:"M",4:"Á",5:"M",6:"J",7:"J",8:"A",9:"Sz",10:"O",11:"N",12:"D"},wide:{1:"január",2:"február",3:"március",4:"április",5:"május",6:"június",7:"július",8:"augusztus",9:"szeptember",10:"október",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"jan.",2:"febr.",3:"márc.",4:"ápr.",5:"máj.",6:"jún.",7:"júl.",8:"aug.",9:"szept.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"J",2:"F",3:"M",4:"Á",5:"M",6:"J",7:"J",8:"A",9:"Sz",10:"O",11:"N",12:"D"},wide:{1:"január",2:"február",3:"március",4:"április",5:"május",6:"június",7:"július",8:"augusztus",9:"szeptember",10:"október",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"V",mon:"H",tue:"K",wed:"Sze",thu:"Cs",fri:"P",sat:"Szo"},narrow:{sun:"V",mon:"H",tue:"K",wed:"Sz",thu:"Cs",fri:"P",sat:"Sz"},"short":{sun:"V",mon:"H",tue:"K",wed:"Sze",thu:"Cs",fri:"P",sat:"Szo"},wide:{sun:"vasárnap",mon:"hétfő",tue:"kedd",wed:"szerda",thu:"csütörtök",fri:"péntek",sat:"szombat"}},"stand-alone":{abbreviated:{sun:"V",mon:"H",tue:"K",wed:"Sze",thu:"Cs",fri:"P",sat:"Szo"},narrow:{sun:"V",mon:"H",tue:"K",wed:"Sz",thu:"Cs",fri:"P",sat:"Sz"},"short":{sun:"V",mon:"H",tue:"K",wed:"Sze",thu:"Cs",fri:"P",sat:"Szo"},wide:{sun:"vasárnap",mon:"hétfő",tue:"kedd",wed:"szerda",thu:"csütörtök",fri:"péntek",sat:"szombat"}}},quarters:{format:{abbreviated:{1:"N1",2:"N2",3:"N3",4:"N4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"I. negyedév",2:"II. negyedév",3:"III. negyedév",4:"IV. negyedév"}},"stand-alone":{abbreviated:{1:"N1",2:"N2",3:"N3",4:"N4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. negyedév",2:"2. negyedév",3:"3. negyedév",4:"4. negyedév"}}},dayPeriods:{format:{abbreviated:{am:"de.",pm:"du."},narrow:{am:"de.",pm:"du."},wide:{am:"de.",pm:"du."}},"stand-alone":{abbreviated:{am:"de.",pm:"du."},narrow:{am:"de.",pm:"du."},wide:{am:"de.",pm:"du."}}},eras:{eraNames:{0:"időszámításunk előtt",1:"időszámításunk szerint","0-alt-variant":"Kr. e.","1-alt-variant":"Kr. u."},eraAbbr:{0:"i. e.",1:"i. sz.","0-alt-variant":"Kr. e.","1-alt-variant":"Kr. u."},eraNarrow:{0:"ie.",1:"isz.","0-alt-variant":"Kr. e.","1-alt-variant":"Kr. u."}},dateFormats:{full:"y. MMMM d., EEEE","long":"y. MMMM d.",medium:"y MMM d","short":"y. MM. dd."},timeFormats:{full:"H:mm:ss zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"d., E",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"G y.",GyMMM:"G y. MMM",GyMMMd:"G y. MMM d.",GyMMMEd:"G y. MMM d., E",h:"a h",H:"H",hm:"a h:mm",Hm:"H:mm",hms:"a h:mm:ss",Hms:"H:mm:ss",M:"L",Md:"M. d.",MEd:"M. d., E",MMM:"LLL",MMMd:"MMM d.",MMMEd:"MMM d., E",MMMMd:"MMMM d.",mmss:"mm:ss",ms:"mm:ss",y:"y.",yM:"y. M.",yMd:"y. MM. dd.",yMEd:"y. MM. dd., E",yMMM:"y. MMM",yMMMd:"y. MMM d.",yMMMEd:"y. MMM d., E",yMMMM:"y. MMMM",yQQQ:"y. QQQ",yQQQQ:"y. QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d."},h:{a:"a h – a h",h:"a h–h"},H:{H:"H-H"},hm:{a:"a h:mm – a h:mm",h:"a h:mm–h:mm",m:"a h:mm–h:mm"},Hm:{H:"H:mm–H:mm",m:"H:mm–H:mm"},hmv:{a:"a h:mm – a h:mm v",h:"a h:mm–h:mm v",m:"a h:mm–h:mm v"},Hmv:{H:"H:mm–H:mm v",m:"H:mm–H:mm v"},hv:{a:"a h – a h v",h:"a h–h v"},Hv:{H:"H–H v"},M:{M:"M–M."},Md:{d:"M. d–d.",M:"M. d. – M. d."},MEd:{d:"M. dd., E – M. d., E",M:"M. d., E – M. d., E"},MMM:{M:"MMM–MMM"},MMMd:{d:"MMM d–d.",M:"MMM d. – MMM d."},MMMEd:{d:"MMM d., E – d., E",M:"MMM d., E – MMM d., E"},y:{y:"y–y"},yM:{M:"y. MM–MM.",y:"y. MM. – y. MM."},yMd:{d:"y. MM. dd–dd.",M:"y. MM. dd. – MM. dd.",y:"y. MM. dd. – y. MM. dd."},yMEd:{d:"y. MM. dd., E – dd., E",M:"y. MM. dd., E – MM. dd., E",y:"y. MM. dd., E – y. MM. dd., E"},yMMM:{M:"y. MMM–MMM",y:"y. MMM – y. MMM"},yMMMd:{d:"y. MMM d–d.",M:"y. MMM d. – MMM d.",y:"y. MMM d. – y. MMM d."},yMMMEd:{d:"y. MMM d., E – d., E",M:"y. MMM d., E – MMM d., E",y:"y. MMM d., E – y. MMM d., E"},yMMMM:{M:"y. MMMM–MMMM",y:"y. MMMM – y. MMMM"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} idő","regionFormat-type-daylight":"{0} nyári idő","regionFormat-type-standard":"{0} zónaidő",fallbackFormat:"{1} ({0})"}}},it:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"gen",2:"feb",3:"mar",4:"apr",5:"mag",6:"giu",7:"lug",8:"ago",9:"set",10:"ott",11:"nov",12:"dic"},narrow:{1:"G",2:"F",3:"M",4:"A",5:"M",6:"G",7:"L",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"gennaio",2:"febbraio",3:"marzo",4:"aprile",5:"maggio",6:"giugno",7:"luglio",8:"agosto",9:"settembre",10:"ottobre",11:"novembre",12:"dicembre"}},"stand-alone":{abbreviated:{1:"gen",2:"feb",3:"mar",4:"apr",5:"mag",6:"giu",7:"lug",8:"ago",9:"set",10:"ott",11:"nov",12:"dic"},narrow:{1:"G",2:"F",3:"M",4:"A",5:"M",6:"G",7:"L",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Gennaio",2:"Febbraio",3:"Marzo",4:"Aprile",5:"Maggio",6:"Giugno",7:"Luglio",8:"Agosto",9:"Settembre",10:"Ottobre",11:"Novembre",12:"Dicembre"}}},days:{format:{abbreviated:{sun:"dom",mon:"lun",tue:"mar",wed:"mer",thu:"gio",fri:"ven",sat:"sab"},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"G",fri:"V",sat:"S"},"short":{sun:"dom",mon:"lun",tue:"mar",wed:"mer",thu:"gio",fri:"ven",sat:"sab"},wide:{sun:"domenica",mon:"lunedì",tue:"martedì",wed:"mercoledì",thu:"giovedì",fri:"venerdì",sat:"sabato"}},"stand-alone":{abbreviated:{sun:"dom",mon:"lun",tue:"mar",wed:"mer",thu:"gio",fri:"ven",sat:"sab"},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"G",fri:"V",sat:"S"},"short":{sun:"dom",mon:"lun",tue:"mar",wed:"mer",thu:"gio",fri:"ven",sat:"sab"},wide:{sun:"Domenica",mon:"Lunedì",tue:"Martedì",wed:"Mercoledì",thu:"Giovedì",fri:"Venerdì",sat:"Sabato"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1º trimestre",2:"2º trimestre",3:"3º trimestre",4:"4º trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Primo trimestre",2:"Secondo trimestre",3:"Terzo trimestre",4:"Quarto trimestre"}}},dayPeriods:{format:{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"m.",pm:"p."},wide:{am:"AM",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"m.",pm:"p."},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"a.C.",1:"d.C.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"aC",1:"dC","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"aC",1:"dC","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE d MMMM y","long":"dd MMMM y",medium:"dd/MMM/y","short":"dd/MM/yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h.mm a",EHm:"E HH.mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E d MMM y G",h:"hh a",H:"HH",hm:"hh:mm a",Hm:"HH:mm",hms:"hh:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E dd/MM - E dd/MM",M:"E dd/MM - E dd/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"dd-dd MMM",M:"dd MMM - dd MMM"},MMMEd:{d:"E dd - E dd MMM",M:"E dd MMM - E dd MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E dd/MM/y - E dd/MM/y",M:"E dd/MM/y - E dd/MM/y",y:"E dd/MM/y - E dd/MM/y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"dd-dd MMM y",M:"dd MMM - dd MMM y",y:"dd MMM y - dd MMM y"},yMMMEd:{d:"E d - E d MMM y",M:"E d MMM - E d MMM y",y:"E d MMM y - E d MMM y"},yMMMM:{M:"MMMM-MMMM y",y:"MMMM y - MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Ora {0}","regionFormat-type-daylight":"Ora legale: {0}","regionFormat-type-standard":"Ora standard: {0}",fallbackFormat:"{1} ({0})"}}},ja:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"}},"stand-alone":{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"}}},days:{format:{abbreviated:{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},narrow:{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},"short":{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},wide:{sun:"日曜日",mon:"月曜日",tue:"火曜日",wed:"水曜日",thu:"木曜日",fri:"金曜日",sat:"土曜日"}},"stand-alone":{abbreviated:{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},narrow:{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},"short":{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},wide:{sun:"日曜日",mon:"月曜日",tue:"火曜日",wed:"水曜日",thu:"木曜日",fri:"金曜日",sat:"土曜日"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第1四半期",2:"第2四半期",3:"第3四半期",4:"第4四半期"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第1四半期",2:"第2四半期",3:"第3四半期",4:"第4四半期"}}},dayPeriods:{format:{abbreviated:{am:"午前",noon:"正午",pm:"午後"},narrow:{am:"午前",noon:"正午",pm:"午後"},wide:{am:"午前",noon:"正午",pm:"午後"}},"stand-alone":{abbreviated:{am:"午前",noon:"正午",pm:"午後"},narrow:{am:"午前",noon:"正午",pm:"午後"},wide:{am:"午前",noon:"正午",pm:"午後"}}},eras:{eraNames:{0:"紀元前",1:"西暦","0-alt-variant":"西暦紀元前","1-alt-variant":"CE"},eraAbbr:{0:"紀元前",1:"西暦","0-alt-variant":"西暦紀元前","1-alt-variant":"CE"},eraNarrow:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"y年M月d日EEEE","long":"y年M月d日",medium:"y/MM/dd","short":"y/MM/dd"},timeFormats:{full:"H時mm分ss秒 zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d日",Ed:"d日(E)",EEEEd:"d日EEEE",Ehm:"a K 時 mm 分 (E)",EHm:"HH 時 mm 分 (E)",Ehms:"a K 時 mm 分 ss 秒 (E)",EHms:"HH 時 mm 分 ss 秒 (E)",Gy:"Gy年",GyMMM:"Gy年M月",GyMMMd:"Gy年M月d日",GyMMMEd:"Gy年M月d日(E)",GyMMMEEEEd:"Gy年M月d日EEEE",h:"aK時",H:"H時",hm:"aK:mm",Hm:"H:mm",hms:"aK:mm:ss",Hms:"H:mm:ss",M:"M月",Md:"M/d",MEd:"M/d(E)",MEEEEd:"M/dEEEE",MMM:"M月",MMMd:"M月d日",MMMEd:"M月d日(E)",MMMEEEEd:"M月d日EEEE",ms:"mm:ss",y:"y年",yM:"y/M",yMd:"y/M/d",yMEd:"y/M/d(E)",yMEEEEd:"y/M/dEEEE",yMM:"y/MM",yMMM:"y年M月",yMMMd:"y年M月d日",yMMMEd:"y年M月d日(E)",yMMMEEEEd:"y年M月d日EEEE",yQQQ:"y/QQQ",yQQQQ:"yQQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}～{1}",d:{d:"d日～d日"},h:{a:"aK時～aK時",h:"aK時～K時"},H:{H:"H時～H時"},hm:{a:"aK時mm分～aK時mm分",h:"aK時mm分～K時mm分",m:"aK時mm分～K時mm分"},Hm:{H:"H時mm分～H時mm分",m:"H時mm分～H時mm分"},hmv:{a:"aK時mm分～aK時mm分(v)",h:"aK時mm分～K時mm分(v)",m:"aK時mm分～K時mm分(v)"},Hmv:{H:"H時mm分～H時mm分(v)",m:"H時mm分～H時mm分(v)"},hv:{a:"aK時～aK時(v)",h:"aK時～K時(v)"},Hv:{H:"H時～H時(v)"},M:{M:"M月～M月"},Md:{d:"MM/dd～MM/dd",M:"MM/dd～MM/dd"},MEd:{d:"MM/dd(E)～MM/dd(E)",M:"MM/dd(E)～MM/dd(E)"},MMM:{M:"M月～M月"},MMMd:{d:"M月d日～d日",M:"M月d日～M月d日"},MMMEd:{d:"M月d日(E)～d日(E)",M:"M月d日(E)～M月d日(E)"},MMMM:{M:"M月～M月"},y:{y:"y年～y年"},yM:{M:"y/MM～y/MM",y:"y/MM～y/MM"},yMd:{d:"y/MM/dd～y/MM/dd",M:"y/MM/dd～y/MM/dd",y:"y/MM/dd～y/MM/dd"},yMEd:{d:"y/MM/dd(E)～y/MM/dd(E)",M:"y/MM/dd(E)～y/MM/dd(E)",y:"y/MM/dd(E)～y/MM/dd(E)"},yMMM:{M:"y年M月～M月",y:"y年M月～y年M月"},yMMMd:{d:"y年M月d日～d日",M:"y年M月d日～M月d日",y:"y年M月d日～y年M月d日"},yMMMEd:{d:"y年M月d日(E)～d日(E)",M:"y年M月d日(E)～M月d日(E)",y:"y年M月d日(E)～y年M月d日(E)"},yMMMM:{M:"y年M月～M月",y:"y年M月～y年M月"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}時間","regionFormat-type-daylight":"{0}夏時間","regionFormat-type-standard":"{0}標準時",fallbackFormat:"{1}（{0}）"}}},ko:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"},narrow:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"},wide:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"}},"stand-alone":{abbreviated:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"},narrow:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"},wide:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"}}},days:{format:{abbreviated:{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},narrow:{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},"short":{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},wide:{sun:"일요일",mon:"월요일",tue:"화요일",wed:"수요일",thu:"목요일",fri:"금요일",sat:"토요일"}},"stand-alone":{abbreviated:{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},narrow:{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},"short":{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},wide:{sun:"일요일",mon:"월요일",tue:"화요일",wed:"수요일",thu:"목요일",fri:"금요일",sat:"토요일"}}},quarters:{format:{abbreviated:{1:"1분기",2:"2분기",3:"3분기",4:"4분기"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"제 1/4분기",2:"제 2/4분기",3:"제 3/4분기",4:"제 4/4분기"}},"stand-alone":{abbreviated:{1:"1분기",2:"2분기",3:"3분기",4:"4분기"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"제 1/4분기",2:"제 2/4분기",3:"제 3/4분기",4:"제 4/4분기"}}},dayPeriods:{format:{abbreviated:{am:"오전",pm:"오후"},narrow:{am:"오전",pm:"오후"},wide:{am:"오전",pm:"오후"}},"stand-alone":{abbreviated:{am:"오전",pm:"오후"},narrow:{am:"오전",pm:"오후"},wide:{am:"오전",pm:"오후"}}},eras:{eraNames:{0:"서력기원전",1:"서력기원","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"기원전",1:"서기","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"기원전",1:"서기","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"y년 M월 d일 EEEE","long":"y년 M월 d일",medium:"y. M. d.","short":"yy. M. d."},timeFormats:{full:"a h시 m분 s초 zzzz","long":"a h시 m분 s초 z",medium:"a h:mm:ss","short":"a h:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d일",Ed:"d일 (E)",EEEEd:"d일 EEEE",Ehm:"(E) a h:mm",EHm:"(E) HH:mm",Ehms:"(E) a h:mm:ss",EHms:"(E) HH:mm:ss",Gy:"G y년",GyMMM:"G y년 MMM",GyMMMd:"G y년 MMM d일",GyMMMEd:"G y년 MMM d일 (E)",GyMMMEEEEd:"G y년 MMM d일 EEEE",h:"a h시",H:"H시",HHmmss:"HH:mm:ss",hm:"a h:mm",Hm:"HH:mm",hms:"a h:mm:ss",Hms:"H시 m분 s초",M:"M월",Md:"M. d.",MEd:"M. d. (E)",MEEEEd:"M. d. EEEE",MMM:"LLL",MMMd:"MMM d일",MMMEd:"MMM d일 (E)",MMMEEEEd:"MMM d일 EEEE",mmss:"mm:ss",ms:"mm:ss",y:"y년",yM:"y. M.",yMd:"y. M. d.",yMEd:"y. M. d. (E)",yMEEEEd:"y. M. d. EEEE",yMM:"y. M.",yMMM:"y년 MMM",yMMMd:"y년 MMM d일",yMMMEd:"y년 MMM d일 (E)",yMMMEEEEd:"y년 MMM d일 EEEE",yQQQ:"y년 QQQ",yQQQQ:"y년 QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} ~ {1}",d:{d:"d일 ~ d일"},h:{a:"a h시 ~ a h시",h:"a h시 ~ h시"},H:{H:"HH ~ HH시"},hm:{a:"a h:mm ~ a h:mm",h:"a h:mm~h:mm",m:"a h:mm~h:mm"},Hm:{H:"HH:mm ~ HH:mm",m:"HH:mm ~ HH:mm"},hmv:{a:"a h:mm ~ a h:mm v",h:"a h:mm~h:mm v",m:"a h:mm~h:mm v"},Hmv:{H:"HH:mm ~ HH:mm v",m:"HH:mm ~ HH:mm v"},hv:{a:"a h시 ~ a h시(v)",h:"a h시 ~ h시(v)"},Hv:{H:"HH ~ HH시 v"},M:{M:"M월 ~ M월"},Md:{d:"M. d ~ M. d",M:"M. d ~ M. d"},MEd:{d:"M. d (E) ~ M. d (E)",M:"M. d (E) ~ M. d (E)"},MMM:{M:"MMM ~ MMM"},MMMd:{d:"M월 d일 ~ d일",M:"M월 d일 ~ M월 d일"},MMMEd:{d:"M월 d일 (E) ~ d일 (E)",M:"M월 d일 (E) ~ M월 d일 (E)"},MMMM:{M:"LLLL-LLLL"},y:{y:"y년 ~ y년"},yM:{M:"y. M ~ y. M",y:"y. M ~ y. M"},yMd:{d:"y. M. d. ~ y. M. d.",M:"y. M. d. ~ y. M. d.",y:"y. M. d. ~ y. M. d."},yMEd:{d:"y. M. d. (E) ~ y. M. d. (E)",M:"y. M. d. (E) ~ y. M. d. (E)",y:"y. M. d. (E) ~ y. M. d. (E)"},yMMM:{M:"y년 M월~M월",y:"y년 M월 ~ y년 M월"},yMMMd:{d:"y년 M월 d일~d일",M:"y년 M월 d일 ~ M월 d일",y:"y년 M월 d일 ~ y년 M월 d일"},yMMMEd:{d:"y년 M월 d일 (E) ~ d일 (E)",M:"y년 M월 d일 (E) ~ M월 d일 (E)",y:"y년 M월 d일 (E) ~ y년 M월 d일 (E)"},yMMMEEEEd:{d:"y년 M월 d일 EEEE ~ d일 EEEE",M:"y년 M월 d일 EEEE ~ M월 d일 EEEE",y:"y년 M월 d일 EEEE ~ y년 M월 d일 EEEE"},yMMMM:{M:"y년 MM월 ~ MM월",y:"y년 MM월 ~ y년 MM월"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} 시간","regionFormat-type-daylight":"{0} 일광 절약 시간","regionFormat-type-standard":"{0} 표준시",fallbackFormat:"{1} ({0})"}}},nb:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"feb.",3:"mar.",4:"apr.",5:"mai",6:"jun.",7:"jul.",8:"aug.",9:"sep.",10:"okt.",11:"nov.",12:"des."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januar",2:"februar",3:"mars",4:"april",5:"mai",6:"juni",7:"juli",8:"august",9:"september",10:"oktober",11:"november",12:"desember"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"mai",6:"jun",7:"jul",8:"aug",9:"sep",10:"okt",11:"nov",12:"des"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januar",2:"februar",3:"mars",4:"april",5:"mai",6:"juni",7:"juli",8:"august",9:"september",10:"oktober",11:"november",12:"desember"}}},days:{format:{abbreviated:{sun:"søn.",mon:"man.",tue:"tir.",wed:"ons.",thu:"tor.",fri:"fre.",sat:"lør."},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sø.",mon:"ma.",tue:"ti.",wed:"on.",thu:"to.",fri:"fr.",sat:"lø."},wide:{sun:"søndag",mon:"mandag",tue:"tirsdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lørdag"}},"stand-alone":{abbreviated:{sun:"sø.",mon:"ma.",tue:"ti.",wed:"on.",thu:"to.",fri:"fr.",sat:"lø."},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sø.",mon:"ma.",tue:"ti.",wed:"on.",thu:"to.",fri:"fr.",sat:"lø."},wide:{sun:"søndag",mon:"mandag",tue:"tirsdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lørdag"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}},"stand-alone":{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}}},dayPeriods:{format:{abbreviated:{am:"a.m.",pm:"p.m."},narrow:{am:"a",pm:"p"},wide:{am:"a.m.",pm:"p.m."}},"stand-alone":{abbreviated:{am:"a.m.",pm:"p.m."},narrow:{am:"a",pm:"p"},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"før vår tidsregning","1-alt-variant":"vår tidsregning"},eraAbbr:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"fvt.","1-alt-variant":"vt."},eraNarrow:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"fvt.","1-alt-variant":"vt"}},dateFormats:{full:"EEEE d. MMMM y","long":"d. MMMM y",medium:"d. MMM y","short":"dd.MM.yy"},timeFormats:{full:"HH.mm.ss zzzz","long":"HH.mm.ss z",medium:"HH.mm.ss","short":"HH.mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} 'kl.' {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d.",Ed:"E d.",Ehm:"E h.mm a",EHm:"E HH.mm",Ehms:"E h.mm.ss a",EHms:"E HH.mm.ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d. MMM y G",GyMMMEd:"E d. MMM y G",h:"h a",H:"HH",hm:"h.mm a",Hm:"HH.mm",hms:"h.mm.ss a",Hms:"HH.mm.ss",M:"L.",Md:"d.M.",MEd:"E d.M",MMdd:"d.M.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"E d. MMM",ms:"mm.ss",y:"y",yM:"M.y",yMd:"d.M.y",yMEd:"E d.MM.y",yMM:"MM.y",yMMM:"MMM y",yMMMd:"d. MMM y",yMMMEd:"E d. MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}–{1}",d:{d:"d.–d."},h:{a:"H–H",h:"H–H"},H:{H:"HH–HH"},hm:{a:"H.mm–H.mm",h:"H.mm–H.mm",m:"H.mm–H.mm"},Hm:{H:"HH.mm–HH.mm",m:"HH.mm–HH.mm"},hmv:{a:"H.mm–H.mm v",h:"H.mm–H.mm v",m:"H.mm–H.mm v"},Hmv:{H:"HH.mm–HH.mm v",m:"HH.mm–HH.mm v"},hv:{a:"H–H v",h:"H–H v"},Hv:{H:"HH–HH v"},M:{M:"M.–M."},Md:{d:"dd.MM.–dd.MM.",M:"dd.MM.–dd.MM."},MEd:{d:"E dd.MM.–E dd.MM.",M:"E dd.MM.–E dd.MM."},MMM:{M:"MMM–MMM"},MMMd:{d:"d.–d. MMM",M:"d. MMM–d. MMM"},MMMEd:{d:"E d.–E d. MMM",M:"E d. MMM–E d. MMM"},y:{y:"y–y"},yM:{M:"MM.y–MM.y",y:"MM.y–MM.y"},yMd:{d:"dd.MM.y–dd.MM.y",M:"dd.MM.y–dd.MM.y",y:"dd.MM.y–dd.MM.y"},yMEd:{d:"E dd.MM.y–E dd.MM.y",M:"E dd.MM.y–E dd.MM.y",y:"E dd.MM.y–E dd.MM.y"},yMMM:{M:"MMM–MMM y",y:"MMM y–MMM y"},yMMMd:{d:"d.–d. MMM y",M:"d. MMM–d. MMM y",y:"d. MMM y–d. MMM y"},yMMMEd:{d:"E d.–E d. MMM y",M:"E d. MMM–E d. MMM y",y:"E d. MMM y–E d. MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y–MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH.mm;-HH.mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"tidssone for {0}","regionFormat-type-daylight":"sommertid – {0}","regionFormat-type-standard":"normaltid – {0}",fallbackFormat:"{1} ({0})"}}},nl:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"feb.",3:"mrt.",4:"apr.",5:"mei",6:"jun.",7:"jul.",8:"aug.",9:"sep.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januari",2:"februari",3:"maart",4:"april",5:"mei",6:"juni",7:"juli",8:"augustus",9:"september",10:"oktober",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mrt",4:"apr",5:"mei",6:"jun",7:"jul",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januari",2:"februari",3:"maart",4:"april",5:"mei",6:"juni",7:"juli",8:"augustus",9:"september",10:"oktober",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"zo",mon:"ma",tue:"di",wed:"wo",thu:"do",fri:"vr",sat:"za"},narrow:{sun:"Z",mon:"M",tue:"D",wed:"W",thu:"D",fri:"V",sat:"Z"},"short":{sun:"zo",mon:"ma",tue:"di",wed:"wo",thu:"do",fri:"vr",sat:"za"},wide:{sun:"zondag",mon:"maandag",tue:"dinsdag",wed:"woensdag",thu:"donderdag",fri:"vrijdag",sat:"zaterdag"}},"stand-alone":{abbreviated:{sun:"zo",mon:"ma",tue:"di",wed:"wo",thu:"do",fri:"vr",sat:"za"},narrow:{sun:"Z",mon:"M",tue:"D",wed:"W",thu:"D",fri:"V",sat:"Z"},"short":{sun:"zo",mon:"ma",tue:"di",wed:"wo",thu:"do",fri:"vr",sat:"za"},wide:{sun:"zondag",mon:"maandag",tue:"dinsdag",wed:"woensdag",thu:"donderdag",fri:"vrijdag",sat:"zaterdag"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1e kwartaal",2:"2e kwartaal",3:"3e kwartaal",4:"4e kwartaal"}},"stand-alone":{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1e kwartaal",2:"2e kwartaal",3:"3e kwartaal",4:"4e kwartaal"}}},dayPeriods:{format:{abbreviated:{am:"AM",noon:"12 uur 's middags",pm:"PM"},narrow:{am:"AM",noon:"n",pm:"PM"},wide:{am:"AM",noon:"12 uur 's middags",pm:"PM"}},"stand-alone":{abbreviated:{am:"a.m.",noon:"12 uur 's middags",pm:"p.m."},narrow:{am:"AM",noon:"n",pm:"PM"},wide:{am:"voormiddag",noon:"12 uur 's middags",pm:"p.m."}}},eras:{eraNames:{0:"Voor Christus",1:"na Christus","0-alt-variant":"vóór gewone jaartelling","1-alt-variant":"gewone jaartelling"},eraAbbr:{0:"v.Chr.",1:"n.Chr.","0-alt-variant":"v.g.j.","1-alt-variant":"g.j."},eraNarrow:{0:"v.C.",1:"n.C.","0-alt-variant":"vgj","1-alt-variant":"gj"}},dateFormats:{full:"EEEE d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd-MM-yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d-M",MEd:"E d-M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"M-y",yMd:"d-M-y",yMEd:"E d-M-y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH v"},M:{M:"M-M"},Md:{d:"dd-MM - dd-MM",M:"dd-MM - dd-MM"},MEd:{d:"E dd-MM - E dd-MM",M:"E dd-MM - E dd-MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E d - E d MMM",M:"E d MMM - E d MMM"},MMMM:{M:"MMMM–MMMM"},y:{y:"y-y"},yM:{M:"MM-y - MM-y",y:"MM-y - MM-y"},yMd:{d:"dd-MM-y - dd-MM-y",M:"dd-MM-y - dd-MM-y",y:"dd-MM-y - dd-MM-y"},yMEd:{d:"E dd-MM-y - E dd-MM-y",M:"E dd-MM-y - E dd-MM-y",y:"E dd-MM-y - E dd-MM-y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E d - E d MMM y",M:"E d MMM - E d MMM y",y:"E d MMM y - E d MMM y"},yMMMM:{M:"MMMM-MMMM y",y:"MMMM y - MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}-tijd","regionFormat-type-daylight":"Zomertijd {0}","regionFormat-type-standard":"Standaardtijd {0}",fallbackFormat:"{1} ({0})"}}},pl:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"sty",2:"lut",3:"mar",4:"kwi",5:"maj",6:"cze",7:"lip",8:"sie",9:"wrz",10:"paź",11:"lis",12:"gru"},narrow:{1:"s",2:"l",3:"m",4:"k",5:"m",6:"c",7:"l",8:"s",9:"w",10:"p",11:"l",12:"g"},wide:{1:"stycznia",2:"lutego",3:"marca",4:"kwietnia",5:"maja",6:"czerwca",7:"lipca",8:"sierpnia",9:"września",10:"października",11:"listopada",12:"grudnia"}},"stand-alone":{abbreviated:{1:"sty",2:"lut",3:"mar",4:"kwi",5:"maj",6:"cze",7:"lip",8:"sie",9:"wrz",10:"paź",11:"lis",12:"gru"},narrow:{1:"s",2:"l",3:"m",4:"k",5:"m",6:"c",7:"l",8:"s",9:"w",10:"p",11:"l",12:"g"},wide:{1:"styczeń",2:"luty",3:"marzec",4:"kwiecień",5:"maj",6:"czerwiec",7:"lipiec",8:"sierpień",9:"wrzesień",10:"październik",11:"listopad",12:"grudzień"}}},days:{format:{abbreviated:{sun:"niedz.",mon:"pon.",tue:"wt.",wed:"śr.",thu:"czw.",fri:"pt.",sat:"sob."},narrow:{sun:"N",mon:"P",tue:"W",wed:"Ś",thu:"C",fri:"P",sat:"S"},"short":{sun:"niedz.",mon:"pon.",tue:"wt.",wed:"śr.",thu:"czw.",fri:"pt.",sat:"sob."},wide:{sun:"niedziela",mon:"poniedziałek",tue:"wtorek",wed:"środa",thu:"czwartek",fri:"piątek",sat:"sobota"}},"stand-alone":{abbreviated:{sun:"niedz.",mon:"pon.",tue:"wt.",wed:"śr.",thu:"czw.",fri:"pt.",sat:"sob."},narrow:{sun:"N",mon:"P",tue:"W",wed:"Ś",thu:"C",fri:"P",sat:"S"},"short":{sun:"niedz.",mon:"pon.",tue:"wt.",wed:"śr.",thu:"czw.",fri:"pt.",sat:"sob."},wide:{sun:"niedziela",mon:"poniedziałek",tue:"wtorek",wed:"środa",thu:"czwartek",fri:"piątek",sat:"sobota"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"I kwartał",2:"II kwartał",3:"III kwartał",4:"IV kwartał"}},"stand-alone":{abbreviated:{1:"1 kw.",2:"2 kw.",3:"3 kw.",4:"4 kw."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"I kwartał",2:"II kwartał",3:"III kwartał",4:"IV kwartał"}}},dayPeriods:{format:{abbreviated:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"},narrow:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"},wide:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"}},"stand-alone":{abbreviated:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"},narrow:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"},wide:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"}}},eras:{eraNames:{0:"p.n.e.",1:"n.e.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"p.n.e.",1:"n.e.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"p.n.e.",1:"n.e.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd.MM.y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E, d",Ehm:"E, h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d.MM",MEd:"E, d.MM",MMdd:"d.MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"MM.y",yMd:"d.MM.y",yMEd:"E, d.MM.y",yMM:"MM.y",yMMM:"LLL y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"LLLL y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"MM-MM"},Md:{d:"dd.MM–dd.MM",M:"dd.MM–dd.MM"},MEd:{d:"E, dd.MM – E, dd.MM",M:"E, dd.MM – E, dd.MM"},MMM:{M:"LLL–LLL"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E, d MMM – E, d MMM",M:"E, d MMM - E, d MMM"},y:{y:"y–y"},yM:{M:"MM.y - MM.y",y:"MM.y - MM.y"},yMd:{d:"dd-dd.MM.y",M:"dd.MM-dd.MM.y",y:"dd.MM.y-dd.MM.y"},yMEd:{d:"E, dd.MM.y - E, dd.MM.y",M:"E, dd.MM.y - E, dd.MM.y",y:"E, dd.MM.y - E, dd.MM.y"},yMMM:{M:"LLL-LLL y",y:"LLL y - LLL y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E, d - E, d MMM y",M:"E, d MMM - E, d MMM y",y:"E, d MMM y - E, d MMM y"},yMMMM:{M:"LLLL-LLLL y",y:"LLLL y - LLLL y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Czas: {0}","regionFormat-type-daylight":"{0} (czas letni)","regionFormat-type-standard":"{0} (czas standardowy)",fallbackFormat:"{1} ({0})"}}},pt:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan",2:"fev",3:"mar",4:"abr",5:"mai",6:"jun",7:"jul",8:"ago",9:"set",10:"out",11:"nov",12:"dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"janeiro",2:"fevereiro",3:"março",4:"abril",5:"maio",6:"junho",7:"julho",8:"agosto",9:"setembro",10:"outubro",11:"novembro",12:"dezembro"}},"stand-alone":{abbreviated:{1:"jan",2:"fev",3:"mar",4:"abr",5:"mai",6:"jun",7:"jul",8:"ago",9:"set",10:"out",11:"nov",12:"dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"janeiro",2:"fevereiro",3:"março",4:"abril",5:"maio",6:"junho",7:"julho",8:"agosto",9:"setembro",10:"outubro",11:"novembro",12:"dezembro"}}},days:{format:{abbreviated:{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},narrow:{sun:"D",mon:"S",tue:"T",wed:"Q",thu:"Q",fri:"S",sat:"S"},"short":{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},wide:{sun:"domingo",mon:"segunda-feira",tue:"terça-feira",wed:"quarta-feira",thu:"quinta-feira",fri:"sexta-feira",sat:"sábado"}},"stand-alone":{abbreviated:{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},narrow:{sun:"D",mon:"S",tue:"T",wed:"Q",thu:"Q",fri:"S",sat:"S"},"short":{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},wide:{sun:"domingo",mon:"segunda-feira",tue:"terça-feira",wed:"quarta-feira",thu:"quinta-feira",fri:"sexta-feira",sat:"sábado"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1º trimestre",2:"2º trimestre",3:"3º trimestre",4:"4º trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1º trimestre",2:"2º trimestre",3:"3º trimestre",4:"4º trimestre"}}},dayPeriods:{format:{abbreviated:{afternoon:"tarde",am:"AM",morning:"manhã",night:"noite",noon:"meio-dia",pm:"PM"},narrow:{afternoon:"tarde",am:"a",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p"},wide:{afternoon:"tarde",am:"AM",morning:"manhã",night:"noite",noon:"meio-dia",pm:"PM"}},"stand-alone":{abbreviated:{afternoon:"tarde",am:"AM",morning:"manhã",night:"noite",noon:"meia-noite",pm:"PM"},narrow:{afternoon:"tarde",am:"a",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p"},wide:{afternoon:"tarde",am:"AM",morning:"manhã",night:"noite",noon:"meio-dia",pm:"PM"}}},eras:{eraNames:{0:"Antes de Cristo",1:"Ano do Senhor","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"a.C.",1:"d.C.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"a.C.",1:"d.C.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d 'de' MMMM 'de' y","long":"d 'de' MMMM 'de' y",medium:"dd/MM/y","short":"dd/MM/yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E, d",Ehm:"E, h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y G",GyMMM:"MMM 'de' y G",GyMMMd:"d 'de' MMM 'de' y G",GyMMMEd:"E, d 'de' MMM 'de' y G",h:"h a",H:"HH",HHmm:"HH:mm",HHmmss:"HH:mm:ss",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d 'de' MMM",MMMEd:"E, d 'de' MMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"dd/MM/y",yMEd:"E, dd/MM/y",yMM:"MM/y",yMMM:"MMM 'de' y",yMMMd:"d 'de' MMM 'de' y",yMMMEd:"E, d 'de' MMM 'de' y",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h'h' a - h'h' a",h:"h'h' - h'h' a"},H:{H:"HH'h' - HH'h'"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a - h a v",h:"h - h a v"},Hv:{H:"HH - HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E, dd/MM - E, dd/MM",M:"E, dd/MM - E, dd/MM"},MMM:{M:"MMM - MMM"},MMMd:{d:"d-d 'de' MMM",M:"d 'de' MMM - d 'de' MMM"},MMMEd:{d:"E, d - E, d 'de' MMM",M:"E, d 'de' MMM - E, d 'de' MMM"},y:{y:"y - y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E, dd/MM/y - E, dd/MM/y",M:"E, dd/MM/y - E, dd/MM/y",y:"E, dd/MM/y - E, dd/MM/y"},yMMM:{M:"MMM-MMM 'de' y",y:"MMM 'de' y - MMM 'de' y"},yMMMd:{d:"d-d 'de' MMM 'de' y",M:"d 'de' MMM - d 'de' MMM 'de' y",y:"d 'de' MMM 'de' y - d 'de' MMM 'de' y"},yMMMEd:{d:"E, d - E, d 'de' MMM 'de' y",M:"E, d 'de' MMM - E, d 'de' MMM 'de' y",y:"E, d 'de' MMM 'de' y - E, d 'de' MMM 'de' y"},yMMMM:{M:"MMMM - MMMM 'de' y",y:"MMMM 'de' y - MMMM 'de' y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Horário {0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},"pt-PT":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Fev",3:"Mar",4:"Abr",5:"Mai",6:"Jun",7:"Jul",8:"Ago",9:"Set",10:"Out",11:"Nov",12:"Dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Janeiro",2:"Fevereiro",3:"Março",4:"Abril",5:"Maio",6:"Junho",7:"Julho",8:"Agosto",9:"Setembro",10:"Outubro",11:"Novembro",12:"Dezembro"}},"stand-alone":{abbreviated:{1:"Jan",2:"Fev",3:"Mar",4:"Abr",5:"Mai",6:"Jun",7:"Jul",8:"Ago",9:"Set",10:"Out",11:"Nov",12:"Dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Janeiro",2:"Fevereiro",3:"Março",4:"Abril",5:"Maio",6:"Junho",7:"Julho",8:"Agosto",9:"Setembro",10:"Outubro",11:"Novembro",12:"Dezembro"}}},days:{format:{abbreviated:{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},narrow:{sun:"D",mon:"S",tue:"T",wed:"Q",thu:"Q",fri:"S",sat:"S"},"short":{sun:"do",mon:"sg",tue:"te",wed:"qu",thu:"qi",fri:"sx",sat:"sb"},wide:{sun:"domingo",mon:"segunda-feira",tue:"terça-feira",wed:"quarta-feira",thu:"quinta-feira",fri:"sexta-feira",sat:"sábado"}},"stand-alone":{abbreviated:{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},narrow:{sun:"D",mon:"S",tue:"T",wed:"Q",thu:"Q",fri:"S",sat:"S"},"short":{sun:"do",mon:"sg",tue:"te",wed:"qu",thu:"qi",fri:"sx",sat:"sb"},wide:{sun:"domingo",mon:"segunda-feira",tue:"terça-feira",wed:"quarta-feira",thu:"quinta-feira",fri:"sexta-feira",sat:"sábado"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1.º trimestre",2:"2.º trimestre",3:"3.º trimestre",4:"4.º trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1.º trimestre",2:"2.º trimestre",3:"3.º trimestre",4:"4.º trimestre"}}},dayPeriods:{format:{abbreviated:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p.m."},narrow:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p.m."},wide:{afternoon:"tarde",am:"da manhã",morning:"manhã",night:"noite",noon:"meio-dia",pm:"da tarde"}},"stand-alone":{abbreviated:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meia-noite",pm:"p.m."},narrow:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p.m."},wide:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p.m."}}},eras:{eraNames:{0:"Antes de Cristo",1:"Ano do Senhor","0-alt-variant":"a.E.C.","1-alt-variant":"E.C."},eraAbbr:{0:"a.C.",1:"d.C.","0-alt-variant":"a.E.C.","1-alt-variant":"E.C."},eraNarrow:{0:"a.C.",1:"d.C.","0-alt-variant":"a.E.C.","1-alt-variant":"E.C."}},dateFormats:{full:"EEEE, d 'de' MMMM 'de' y","long":"d 'de' MMMM 'de' y",medium:"dd/MM/y","short":"dd/MM/yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} 'às' {0}","long":"{1} 'às' {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E, d",Ehm:"E, h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y G",GyMMM:"MMM 'de' y G",GyMMMd:"d 'de' MMM 'de' y G",GyMMMEd:"E, d 'de' MMM 'de' y G",h:"h a",H:"HH",HHmm:"HH:mm",HHmmss:"HH:mm:ss",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d/MM",MMMEd:"E, d/MM",MMMMd:"d 'de' MMMM",MMMMEd:"E, d 'de' MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"dd/MM/y",yMEd:"E, dd/MM/y",yMM:"MM/y",yMMM:"MM/y",yMMMd:"d/MM/y",yMMMEd:"E, d/MM/y",yMMMEEEEd:"EEEE, d/MM/y",yMMMM:"MMMM 'de' y",yMMMMd:"d 'de' MMMM 'de' y",yMMMMEd:"E, d 'de' MMMM 'de' y",yQQQ:"QQQQ 'de' y",yQQQQ:"QQQQ 'de' y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d–d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm - h:mm a",m:"h:mm - h:mm a"},Hm:{H:"HH:mm - HH:mm",m:"HH:mm - HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm - h:mm a v",m:"h:mm - h:mm a v"},Hmv:{H:"HH:mm - HH:mm v",m:"HH:mm - HH:mm v"},hv:{a:"h a - h a v",h:"h - h a v"},Hv:{H:"HH - HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E, dd/MM - E, dd/MM",M:"E, dd/MM - E, dd/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d 'de' MMM",M:"d 'de' MMM - d 'de' MMM"},MMMEd:{d:"E, d 'de' MMM - E, d 'de' MMM",M:"E, d 'de' MMM - E, d 'de' MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E, dd/MM/y - E, dd/MM/y",M:"E, dd/MM/y - E, dd/MM/y",y:"E, dd/MM/y - E, dd/MM/y"},yMMM:{M:"MMM-MMM 'de' y",y:"MMM 'de' y - MMM 'de' y"},yMMMd:{d:"d-d 'de' MMM 'de' y",M:"d 'de' MMM - d 'de' MMM 'de' y",y:"d 'de' MMM 'de' y - d 'de' MMM 'de' y"},yMMMEd:{d:"E, d 'de' MMM - E, d 'de' MMM 'de' y",M:"E, d 'de' MMM - E, d 'de' MMM 'de' y",y:"E, d 'de' MMM 'de' y - E, d 'de' MMM 'de' y"},yMMMM:{M:"MMMM - MMMM 'de' y",y:"MMMM 'de' y - MMMM 'de' y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Hora de {0}","regionFormat-type-daylight":"Hora de Verão de {0}","regionFormat-type-standard":"Hora Padrão de {0}",fallbackFormat:"{1} ({0})"}}},ro:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"ian.",2:"feb.",3:"mar.",4:"apr.",5:"mai",6:"iun.",7:"iul.",8:"aug.",9:"sept.",10:"oct.",11:"nov.",12:"dec."},narrow:{1:"I",2:"F",3:"M",4:"A",5:"M",6:"I",7:"I",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"ianuarie",2:"februarie",3:"martie",4:"aprilie",5:"mai",6:"iunie",7:"iulie",8:"august",9:"septembrie",10:"octombrie",11:"noiembrie",12:"decembrie"}},"stand-alone":{abbreviated:{1:"ian.",2:"feb.",3:"mar.",4:"apr.",5:"mai",6:"iun.",7:"iul.",8:"aug.",9:"sept.",10:"oct.",11:"nov.",12:"dec."},narrow:{1:"I",2:"F",3:"M",4:"A",5:"M",6:"I",7:"I",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"ianuarie",2:"februarie",3:"martie",4:"aprilie",5:"mai",6:"iunie",7:"iulie",8:"august",9:"septembrie",10:"octombrie",11:"noiembrie",12:"decembrie"}}},days:{format:{abbreviated:{sun:"Dum",mon:"Lun",tue:"Mar",wed:"Mie",thu:"Joi",fri:"Vin",sat:"Sâm"},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"Du",mon:"Lu",tue:"Ma",wed:"Mi",thu:"Jo",fri:"Vi",sat:"Sâ"},wide:{sun:"duminică",mon:"luni",tue:"marți",wed:"miercuri",thu:"joi",fri:"vineri",sat:"sâmbătă"}},"stand-alone":{abbreviated:{sun:"Dum",mon:"Lun",tue:"Mar",wed:"Mie",thu:"Joi",fri:"Vin",sat:"Sâm"},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"Du",mon:"Lu",tue:"Ma",wed:"Mi",thu:"Jo",fri:"Vi",sat:"Sâ"},wide:{sun:"duminică",mon:"luni",tue:"marți",wed:"miercuri",thu:"joi",fri:"vineri",sat:"sâmbătă"}}},quarters:{format:{abbreviated:{1:"trim. I",2:"trim. II",3:"trim. III",4:"trim. IV"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"trimestrul I",2:"trimestrul al II-lea",3:"trimestrul al III-lea",4:"trimestrul al IV-lea"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"trimestrul I",2:"trimestrul al II-lea",3:"trimestrul al III-lea",4:"trimestrul al IV-lea"}}},dayPeriods:{format:{abbreviated:{am:"a.m.",pm:"p.m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a.m.",pm:"p.m."}},"stand-alone":{abbreviated:{am:"a.m.",pm:"p.m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a.m.",pm:"p.m."}}},eras:{eraNames:{0:"înainte de Hristos",1:"după Hristos","0-alt-variant":"î.e.n","1-alt-variant":"e.n."},eraAbbr:{0:"î.Hr.",1:"d.Hr.","0-alt-variant":"î.e.n","1-alt-variant":"e.n."},eraNarrow:{0:"î.Hr.",1:"d.Hr.","0-alt-variant":"î.e.n","1-alt-variant":"e.n."}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd.MM.y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1}, {0}","long":"{1}, {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"dd.MM",MEd:"E, dd.MM",MMdd:"dd.MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"MM.y",yMd:"dd.MM.y",yMEd:"E, dd.MM.y",yMM:"MM.y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH v"},M:{M:"M-M"},Md:{d:"dd.MM - dd.MM",M:"dd.MM - dd.MM"},MEd:{d:"E, dd.MM - E, dd.MM",M:"E, dd.MM - E, dd.MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E, d MMM - E, d MMM",M:"E, d MMM - E, d MMM"},y:{y:"y-y"},yM:{M:"MM.y - MM.y",y:"MM.y - MM.y"},yMd:{d:"dd.MM.y - dd.MM.y",M:"dd.MM.y - dd.MM.y",y:"dd.MM.y - dd.MM.y"},yMEd:{d:"E, dd.MM.y - E, dd.MM.y",M:"E, dd.MM.y - E, dd.MM.y",y:"E, dd.MM.y - E, dd.MM.y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E, d MMM - E, d MMM y",M:"E, d MMM - E, d MMM y",y:"E, d MMM y - E, d MMM y"},yMMMM:{M:"MMMM - MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Ora din {0}","regionFormat-type-daylight":"Ora de vară din {0}","regionFormat-type-standard":"Ora standard din {0}",fallbackFormat:"{1} ({0})"}}},root:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"M01",2:"M02",3:"M03",4:"M04",5:"M05",6:"M06",7:"M07",8:"M08",9:"M09",10:"M10",11:"M11",12:"M12"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"M01",2:"M02",3:"M03",4:"M04",5:"M05",6:"M06",7:"M07",8:"M08",9:"M09",10:"M10",11:"M11",12:"M12"}},"stand-alone":{abbreviated:{1:"M01",2:"M02",3:"M03",4:"M04",5:"M05",6:"M06",7:"M07",8:"M08",9:"M09",10:"M10",11:"M11",12:"M12"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"M01",2:"M02",3:"M03",4:"M04",5:"M05",6:"M06",7:"M07",8:"M08",9:"M09",10:"M10",11:"M11",12:"M12"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},wide:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},wide:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"}}},dayPeriods:{format:{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"BCE",1:"CE","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"BCE",1:"CE","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"BCE",1:"CE","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"y MMMM d, EEEE","long":"y MMMM d",medium:"y MMM d","short":"y-MM-dd"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"d, E",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"G y",GyMMM:"G y MMM",GyMMMd:"G y MMM d",GyMMMEd:"G y MMM d, E",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"MM-dd",MEd:"MM-dd, E",MMM:"LLL",MMMd:"MMM d",MMMEd:"MMM d, E",ms:"mm:ss",y:"y",yM:"y-MM",yMd:"y-MM-dd",yMEd:"y-MM-dd, E",yMMM:"y MMM",yMMMd:"y MMM d",yMMMEd:"y MMM d, E",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"MM–MM"},Md:{d:"MM-dd – MM-dd",M:"MM-dd – MM-dd"},MEd:{d:"MM-dd, E – MM-dd, E",M:"MM-dd, E – MM-dd, E"},MMM:{M:"LLL–LLL"},MMMd:{d:"MMM d–d",M:"MMM d – MMM d"},MMMEd:{d:"MMM d, E – MMM d, E",M:"MMM d, E – MMM d, E"},y:{y:"y–y"},yM:{M:"y-MM – y-MM",y:"y-MM – y-MM"},yMd:{d:"y-MM-dd – y-MM-dd",M:"y-MM-dd – y-MM-dd",y:"y-MM-dd – y-MM-dd"},yMEd:{d:"y-MM-dd, E – y-MM-dd, E",M:"y-MM-dd, E – y-MM-dd, E",y:"y-MM-dd, E – y-MM-dd, E"},yMMM:{M:"y MMM–MMM",y:"y MMM – y MMM"},yMMMd:{d:"y MMM d–d",M:"y MMM d – MMM d",y:"y MMM d – y MMM d"},yMMMEd:{d:"y MMM d, E – MMM d, E",M:"y MMM d, E – MMM d, E",y:"y MMM d, E – y MMM d, E"},yMMMM:{M:"y MMMM–MMMM",y:"y MMMM – y MMMM"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},ru:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"янв.",2:"февр.",3:"марта",4:"апр.",5:"мая",6:"июня",7:"июля",8:"авг.",9:"сент.",10:"окт.",11:"нояб.",12:"дек."},narrow:{1:"Я",2:"Ф",3:"М",4:"А",5:"М",6:"И",7:"И",8:"А",9:"С",10:"О",11:"Н",12:"Д"},wide:{1:"января",2:"февраля",3:"марта",4:"апреля",5:"мая",6:"июня",7:"июля",8:"августа",9:"сентября",10:"октября",11:"ноября",12:"декабря"}},"stand-alone":{abbreviated:{1:"Янв.",2:"Февр.",3:"Март",4:"Апр.",5:"Май",6:"Июнь",7:"Июль",8:"Авг.",9:"Сент.",10:"Окт.",11:"Нояб.",12:"Дек."},narrow:{1:"Я",2:"Ф",3:"М",4:"А",5:"М",6:"И",7:"И",8:"А",9:"С",10:"О",11:"Н",12:"Д"},wide:{1:"Январь",2:"Февраль",3:"Март",4:"Апрель",5:"Май",6:"Июнь",7:"Июль",8:"Август",9:"Сентябрь",10:"Октябрь",11:"Ноябрь",12:"Декабрь"}}},days:{format:{abbreviated:{sun:"вс",mon:"пн",tue:"вт",wed:"ср",thu:"чт",fri:"пт",sat:"сб"},narrow:{sun:"вс",mon:"пн",tue:"вт",wed:"ср",thu:"чт",fri:"пт",sat:"сб"},"short":{sun:"вс",mon:"пн",tue:"вт",wed:"ср",thu:"чт",fri:"пт",sat:"сб"},wide:{sun:"воскресенье",mon:"понедельник",tue:"вторник",wed:"среда",thu:"четверг",fri:"пятница",sat:"суббота"}},"stand-alone":{abbreviated:{sun:"Вс",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},narrow:{sun:"В",mon:"П",tue:"В",wed:"С",thu:"Ч",fri:"П",sat:"С"},"short":{sun:"вс",mon:"пн",tue:"вт",wed:"ср",thu:"чт",fri:"пт",sat:"сб"},wide:{sun:"Воскресенье",mon:"Понедельник",tue:"Вторник",wed:"Среда",thu:"Четверг",fri:"Пятница",sat:"Суббота"}}},quarters:{format:{abbreviated:{1:"1-й кв.",2:"2-й кв.",3:"3-й кв.",4:"4-й кв."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1-й квартал",2:"2-й квартал",3:"3-й квартал",4:"4-й квартал"}},"stand-alone":{abbreviated:{1:"1-й кв.",2:"2-й кв.",3:"3-й кв.",4:"4-й кв."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1-й квартал",2:"2-й квартал",3:"3-й квартал",4:"4-й квартал"}}},dayPeriods:{format:{abbreviated:{am:"до полудня",pm:"после полудня"},narrow:{am:"дп",pm:"пп"},wide:{am:"до полудня",pm:"после полудня"}},"stand-alone":{abbreviated:{am:"до полудня",pm:"после полудня"},narrow:{am:"дп",pm:"пп"},wide:{am:"до полудня",pm:"после полудня"}}},eras:{eraNames:{0:"до н.э.",1:"н.э.","0-alt-variant":"BCE","1-alt-variant":"н.э."},eraAbbr:{0:"до н. э.",1:"н. э.","0-alt-variant":"BCE","1-alt-variant":"н.э."},eraNarrow:{0:"до н.э.",1:"н.э.","0-alt-variant":"BCE","1-alt-variant":"н.э."}},dateFormats:{full:"EEEE, d MMMM y 'г'.","long":"d MMMM y 'г'.",medium:"dd MMM y 'г'.","short":"dd.MM.yy"},timeFormats:{full:"H:mm:ss zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1}, {0}","long":"{1}, {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",E:"ccc",Ed:"ccc, d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d MMM y 'г'. G",GyMMMEd:"E, d MMM y G",h:"h a",H:"H",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L",Md:"dd.MM",MEd:"E, dd.MM",MMdd:"dd.MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"ccc, d MMM",ms:"mm:ss",y:"y",yLLLL:"LLLL y",yM:"MM.y",yMd:"dd.MM.y",yMEd:"ccc, d.MM.y 'г'.",yMM:"MM.y",yMMM:"LLL y",yMMMd:"d MMM y 'г'.",yMMMEd:"E, d MMM y",yMMMM:"LLLL y",yQQQ:"QQQ y 'г'.",yQQQQ:"QQQQ y 'г'."},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"H-H"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"H:mm-H:mm",m:"H:mm-H:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"H:mm-H:mm v",m:"H:mm-H:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"H-H v"},M:{M:"M-M"},Md:{d:"dd.MM - dd.MM",M:"dd.MM - dd.MM"},MEd:{d:"E, dd.MM - E, dd.MM",M:"E, dd.MM - E, dd.MM"},MMM:{M:"LLL-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"ccc, d - E, d MMM",M:"ccc, d MMM - ccc, d MMM"},MMMM:{M:"LLLL-LLLL"},y:{y:"y-y"},yM:{M:"MM.y - MM.y",y:"MM.y - MM.y"},yMd:{d:"dd.MM.y - dd.MM.y",M:"dd.MM.y - dd.MM.y",y:"dd.MM.y - dd.MM.y"},yMEd:{d:"ccc, dd.MM.y - ccc, dd.MM.y",M:"ccc, dd.MM.y - ccc, dd.MM.y",y:"ccc, dd.MM.y - ccc, dd.MM.y"},yMMM:{M:"LLL-LLL y 'г'.",y:"LLL y - LLL y 'г'."},yMMMd:{d:"d-d MMM y 'г'.",M:"d MMM - d MMM y 'г'.",y:"d MMM y - d MMM y 'г'."},yMMMEd:{d:"ccc, d - ccc, d MMM y 'г'.",M:"ccc, d MMM - ccc, d MMM y 'г'.",y:"ccc, d MMM y - ccc, d MMM y 'г'."},yMMMM:{M:"LLLL-LLLL y 'г'.",y:"LLLL y - LLLL y 'г'."}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} время","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},sk:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"máj",6:"jún",7:"júl",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"j",2:"f",3:"m",4:"a",5:"m",6:"j",7:"j",8:"a",9:"s",10:"o",11:"n",12:"d"},wide:{1:"januára",2:"februára",3:"marca",4:"apríla",5:"mája",6:"júna",7:"júla",8:"augusta",9:"septembra",10:"októbra",11:"novembra",12:"decembra"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"máj",6:"jún",7:"júl",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"j",2:"f",3:"m",4:"a",5:"m",6:"j",7:"j",8:"a",9:"s",10:"o",11:"n",12:"d"},wide:{1:"január",2:"február",3:"marec",4:"apríl",5:"máj",6:"jún",7:"júl",8:"august",9:"september",10:"október",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"ne",mon:"po",tue:"ut",wed:"st",thu:"št",fri:"pi",sat:"so"},narrow:{sun:"N",mon:"P",tue:"U",wed:"S",thu:"Š",fri:"P",sat:"S"},"short":{sun:"Ne",mon:"Po",tue:"Ut",wed:"St",thu:"Št",fri:"Pi",sat:"So"},wide:{sun:"nedeľa",mon:"pondelok",tue:"utorok",wed:"streda",thu:"štvrtok",fri:"piatok",sat:"sobota"}},"stand-alone":{abbreviated:{sun:"ne",mon:"po",tue:"ut",wed:"st",thu:"št",fri:"pi",sat:"so"},narrow:{sun:"N",mon:"P",tue:"U",wed:"S",thu:"Š",fri:"P",sat:"S"},"short":{sun:"Ne",mon:"Po",tue:"Ut",wed:"St",thu:"Št",fri:"Pi",sat:"So"},wide:{sun:"nedeľa",mon:"pondelok",tue:"utorok",wed:"streda",thu:"štvrtok",fri:"piatok",sat:"sobota"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. štvrťrok",2:"2. štvrťrok",3:"3. štvrťrok",4:"4. štvrťrok"}},"stand-alone":{abbreviated:{1:"1Q",2:"2Q",3:"3Q",4:"4Q"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. štvrťrok",2:"2. štvrťrok",3:"3. štvrťrok",4:"4. štvrťrok"}}},dayPeriods:{format:{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"pred n.l.",1:"n.l.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"pred n.l.",1:"n.l.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"pred n.l.",1:"n.l.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d. MMMM y","long":"d. MMMM y",medium:"d.M.y","short":"d.M.y"},timeFormats:{full:"H:mm:ss zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d.",Ed:"E d.",Ehm:"E h:mm",EHm:"E HH:mm",Ehms:"E h:mm:ss",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d.M.y G",GyMMMEd:"E, d. MMM y G",GyMMMMd:"d. MMMM y G",h:"h a",H:"H",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L.",Md:"d.M.",MEd:"E, d.M.",MMM:"LLL",MMMd:"d. MMM.",MMMEd:"E, d. MMM.",MMMMd:"d. MMMM",MMMMEd:"E, d. MMMM",mmss:"mm:ss",ms:"mm:ss",y:"y",yM:"M.y",yMd:"d.M.y",yMEd:"E d. M. y",yMMM:"LLL y",yMMMd:"d.M.y",yMMMEd:"E, d. MMM y",yMMMM:"LLLL y",yMMMMd:"d. MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d. – d."},h:{a:"h a – h a",h:"h – h a"},H:{H:"HH – HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm - h:mm a",m:"h:mm - h:mm a"},Hm:{H:"H:mm – H:mm",m:"H:mm – H:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm - h:mm a v",m:"h:mm - h:mm a v"},Hmv:{H:"H:mm – H:mm v",m:"H:mm – H:mm v"},hv:{a:"h a - h a v",h:"h – h a v"},Hv:{H:"HH – HH v"},M:{M:"M. – M."},Md:{d:"d.M. - d.M.",M:"d.M. - d.M."},MEd:{d:"E, d.M. - E, d.M.",M:"E, d.M. - E, d.M."},MMM:{M:"LLL – LLL"},MMMd:{d:"d. - d. MMM",M:"d. MMM - d. MMM"},MMMEd:{d:"E, d. - E, d. MMM",M:"E, d. MMM - E, d. MMM"},MMMM:{M:"LLLL-LLLL"},y:{y:"y - y"},yM:{M:"M.y - M.y",y:"M.y - M.y"},yMd:{d:"d.M.y - d.M.y",M:"d.M.y - d.M.y",y:"d.M.y - d.M.y"},yMEd:{d:"E, d.M.y - E, d.M.y",M:"E, d.M.y - E, d.M.y",y:"E, d.M.y - E, d.M.y"},yMMM:{M:"LLL - LLL y",y:"LLL y - LLL y"},yMMMd:{d:"d. - d. MMM y",M:"d. MMM - d. MMM y",y:"d. MMM y - d. MMM y"},yMMMEd:{d:"E, d. - E, d. MMM y",M:"E, d. MMM - E, d. MMM y",y:"E, d. MMM y - E, d. MMM y"},yMMMM:{M:"LLLL - LLLL y",y:"LLLL y - LLLL y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Časové pásmo {0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},sl:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"feb.",3:"mar.",4:"apr.",5:"maj",6:"jun.",7:"jul.",8:"avg.",9:"sep.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"j",2:"f",3:"m",4:"a",5:"m",6:"j",7:"j",8:"a",9:"s",10:"o",11:"n",12:"d"},wide:{1:"januar",2:"februar",3:"marec",4:"april",5:"maj",6:"junij",7:"julij",8:"avgust",9:"september",10:"oktober",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"maj",6:"jun",7:"jul",8:"avg",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"j",2:"f",3:"m",4:"a",5:"m",6:"j",7:"j",8:"a",9:"s",10:"o",11:"n",12:"d"},wide:{1:"januar",2:"februar",3:"marec",4:"april",5:"maj",6:"junij",7:"julij",8:"avgust",9:"september",10:"oktober",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"ned.",mon:"pon.",tue:"tor.",wed:"sre.",thu:"čet.",fri:"pet.",sat:"sob."},narrow:{sun:"n",mon:"p",tue:"t",wed:"s",thu:"č",fri:"p",sat:"s"},"short":{sun:"ned.",mon:"pon.",tue:"tor.",wed:"sre.",thu:"čet.",fri:"pet.",sat:"sob."},wide:{sun:"nedelja",mon:"ponedeljek",tue:"torek",wed:"sreda",thu:"četrtek",fri:"petek",sat:"sobota"}},"stand-alone":{abbreviated:{sun:"ned",mon:"pon",tue:"tor",wed:"sre",thu:"čet",fri:"pet",sat:"sob"},narrow:{sun:"n",mon:"p",tue:"t",wed:"s",thu:"č",fri:"p",sat:"s"},"short":{sun:"ned.",mon:"pon.",tue:"tor.",wed:"sre.",thu:"čet.",fri:"pet.",sat:"sob."},wide:{sun:"nedelja",mon:"ponedeljek",tue:"torek",wed:"sreda",thu:"četrtek",fri:"petek",sat:"sobota"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. četrtletje",2:"2. četrtletje",3:"3. četrtletje",4:"4. četrtletje"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. četrtletje",2:"2. četrtletje",3:"3. četrtletje",4:"4. četrtletje"}}},dayPeriods:{format:{abbreviated:{am:"dop.",pm:"pop."},narrow:{am:"dop.",pm:"pop."},wide:{am:"dop.",pm:"pop."}},"stand-alone":{abbreviated:{am:"dop.",pm:"pop."},narrow:{am:"dop.",pm:"pop."},wide:{am:"dop.",pm:"pop."}}},eras:{eraNames:{0:"pred našim štetjem",1:"naše štetje","0-alt-variant":"BCE","1-alt-variant":"po n. št."},eraAbbr:{0:"pr. n. št.",1:"po Kr.","0-alt-variant":"BCE","1-alt-variant":"po n. št."},eraNarrow:{0:"pr. n. št.",1:"po Kr.","0-alt-variant":"BCE","1-alt-variant":"po n. št."}},dateFormats:{full:"EEEE, dd. MMMM y","long":"dd. MMMM y",medium:"d. MMM y","short":"d. MM. yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E, d.",Ehm:"E h.mm a",EHm:"E HH.mm",Ehms:"E h.mm.ss a",EHms:"E HH.mm.ss",Gy:"y G",GyM:"M/y G",GyMMM:"MMM y G",GyMMMd:"d. MMM y G",GyMMMEd:"E, d. MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d. M.",MEd:"E, d. MM.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"E, d. MMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d. M. y",yMEd:"E, d. M. y",yMMM:"MMM y",yMMMd:"d. MMM y",yMMMEd:"E, d. MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d.–d."},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH.mm–HH.mm",m:"HH.mm–HH.mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH.mm–HH.mm v",m:"HH.mm–HH.mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M.–M."},Md:{d:"d. – d. M.",M:"d. M. – d. M."},MEd:{d:"E, d. – E, d. M.",M:"E, d. M. – E, d. M."},MMM:{M:"MMM–MMM"},MMMd:{d:"d.–d. MMM",M:"d. MMM – d. MMM"},MMMEd:{d:"E, d. – E, d. MMM",M:"E, d. MMM – E, d. MMM"},y:{y:"y–y"},yM:{M:"M.–M. y",y:"M. y – M. y"},yMd:{d:"d. M. y – d. M. y",M:"d. M. – d. M. y",y:"d. M. y – d. M. y"},yMEd:{d:"E, d. – E, d. M. y",M:"E, d. M. – E, d. M. y",y:"E, d. M. y – E, d. M. y"},yMMM:{M:"MMM – MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d.–d. MMM y",M:"d. MMM – d. MMM y",y:"d. MMM y – d. MMM y"},yMMMEd:{d:"E, d. MMM – E, d. MMM y",M:"E, d. MMM – E, d. MMM y",y:"E, d. MMM y – E, d. MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} čas","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},sr:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"јан",2:"феб",3:"мар",4:"апр",5:"мај",6:"јун",7:"јул",8:"авг",9:"сеп",10:"окт",11:"нов",12:"дец"},narrow:{1:"ј",2:"ф",3:"м",4:"а",5:"м",6:"ј",7:"ј",8:"а",9:"с",10:"о",11:"н",12:"д"},wide:{1:"јануар",2:"фебруар",3:"март",4:"април",5:"мај",6:"јун",7:"јул",8:"август",9:"септембар",10:"октобар",11:"новембар",12:"децембар"}},"stand-alone":{abbreviated:{1:"јан",2:"феб",3:"мар",4:"апр",5:"мај",6:"јун",7:"јул",8:"авг",9:"сеп",10:"окт",11:"нов",12:"дец"},narrow:{1:"ј",2:"ф",3:"м",4:"а",5:"м",6:"ј",7:"ј",8:"а",9:"с",10:"о",11:"н",12:"д"},wide:{1:"јануар",2:"фебруар",3:"март",4:"април",5:"мај",6:"јун",7:"јул",8:"август",9:"септембар",10:"октобар",11:"новембар",12:"децембар"}}},days:{format:{abbreviated:{sun:"нед",mon:"пон",tue:"уто",wed:"сре",thu:"чет",fri:"пет",sat:"суб"},narrow:{sun:"н",mon:"п",tue:"у",wed:"с",thu:"ч",fri:"п",sat:"с"},"short":{sun:"нед",mon:"пон",tue:"уто",wed:"сре",thu:"чет",fri:"пет",sat:"суб"},wide:{sun:"недеља",mon:"понедељак",tue:"уторак",wed:"среда",thu:"четвртак",fri:"петак",sat:"субота"}},"stand-alone":{abbreviated:{sun:"нед",mon:"пон",tue:"уто",wed:"сре",thu:"чет",fri:"пет",sat:"суб"},narrow:{sun:"н",mon:"п",tue:"у",wed:"с",thu:"ч",fri:"п",sat:"с"},"short":{sun:"не",mon:"по",tue:"ут",wed:"ср",thu:"че",fri:"пе",sat:"су"},wide:{sun:"недеља",mon:"понедељак",tue:"уторак",wed:"среда",thu:"четвртак",fri:"петак",sat:"субота"}}},quarters:{format:{abbreviated:{1:"К1",2:"К2",3:"К3",4:"К4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"Прво тромесечје",2:"Друго тромесечје",3:"Треће тромесечје",4:"Четврто тромесечје"}},"stand-alone":{abbreviated:{1:"К1",2:"К2",3:"К3",4:"К4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"Прво тромесечје",2:"Друго тромесечје",3:"Треће тромесечје",4:"Четврто тромесечје"}}},dayPeriods:{format:{abbreviated:{am:"пре подне",pm:"поподне"},narrow:{am:"пре подне",pm:"поподне"},wide:{am:"пре подне",pm:"поподне"}},"stand-alone":{abbreviated:{am:"пре подне",pm:"поподне"},narrow:{am:"пре подне",pm:"поподне"},wide:{am:"пре подне",pm:"поподне"}}},eras:{eraNames:{0:"Пре нове ере",1:"Нове ере","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"п. н. е.",1:"н. е.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"п.н.е.",1:"н.е.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, dd. MMMM y.","long":"dd. MMMM y.",medium:"dd.MM.y.","short":"d.M.yy."},timeFormats:{full:"HH.mm.ss zzzz","long":"HH.mm.ss z",medium:"HH.mm.ss","short":"HH.mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d.",Ehm:"E, h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y. G",GyMMM:"MMM y. G",GyMMMd:"d. MMM y. G",GyMMMEd:"E, d. MMM y. G",h:"hh a",H:"HH",hm:"hh.mm a",Hm:"HH.mm",hms:"hh.mm.ss a",Hms:"HH.mm.ss",M:"L",Md:"d/M",MEd:"E, M-d",MMdd:"MM-dd",MMM:"LLL",MMMd:"d. MMM",MMMdd:"dd.MMM",MMMEd:"E d. MMM",MMMMd:"d. MMMM",MMMMdd:"dd. MMMM",MMMMEd:"E d. MMMM",ms:"mm.ss",y:"y.",yM:"y-M",yMd:"d. M. y.",yMEd:"E, d. M. y.",yMM:"MM.y",yMMdd:"dd.MM.y",yMMM:"MMM y.",yMMMd:"d. MMM y.",yMMMEd:"E, d. MMM y.",yMMMM:"MMMM y.",yQQQ:"QQQ. y",yQQQQ:"QQQQ. y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH"},hm:{a:"h.mm a - h.mm a",h:"h.mm-h.mm a",m:"h.mm-h.mm a"},Hm:{H:"HH.mm-HH.mm",m:"HH.mm-HH.mm"},hmv:{a:"h.mm a - h.mm a v",h:"h.mm-h.mm a v",m:"h.mm-h.mm a v"},Hmv:{H:"HH.mm-HH.mm v",m:"HH.mm-HH.mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH v"},M:{M:"M-M"},Md:{d:"d.M - d.M",M:"d.M - d.M"},MEd:{d:"E, d.M - E, d.M",M:"E, d.M - E, d.M"},MMM:{M:"MMM-MMM"},MMMd:{d:"dd.-dd. MMM",M:"dd. MMM - dd. MMM"},MMMEd:{d:"E, dd. - E, dd. MMM",M:"E, dd. MMM - E, dd. MMM"},y:{y:"y-y"},yM:{M:"y M - M",y:"y M - M"},yMd:{d:"d.M.y. - d.M.y.",M:"d.M.y. - d.M.y.",y:"d.M.y. - d.M.y."},yMEd:{d:"E, d.M.y. - E, d.M.y.",M:"E, d.M.y. - E, d.M.y.",y:"E, d.M.y. - E, d.M.y."},yMMM:{M:"MMM-MMM y.",y:"MMM y. - MMM y."},yMMMd:{d:"dd.-dd. MMM y.",M:"dd. MMM - dd. MMM y.",y:"dd. MMM y. - dd. MMM y."},yMMMEd:{d:"E, dd. - E, dd. MMM y.",M:"E, dd. MMM - E, dd. MMM y.",y:"E, dd. MMM y. - E, dd. MMM y."},yMMMM:{M:"y-MM – MM",y:"y-MM – y-MM"}}}}},timeZoneNames:{hourFormat:"+HHmm;-HHmm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Време у земљи: {0}","regionFormat-type-daylight":"{0}, летње време","regionFormat-type-standard":"{0}, стандардно време",fallbackFormat:"{1} ({0})"}}},sv:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"maj",6:"jun",7:"jul",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januari",2:"februari",3:"mars",4:"april",5:"maj",6:"juni",7:"juli",8:"augusti",9:"september",10:"oktober",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"Maj",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Okt",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Januari",2:"Februari",3:"Mars",4:"April",5:"Maj",6:"Juni",7:"Juli",8:"Augusti",9:"September",10:"Oktober",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"sön",mon:"mån",tue:"tis",wed:"ons",thu:"tors",fri:"fre",sat:"lör"},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sö",mon:"må",tue:"ti",wed:"on",thu:"to",fri:"fr",sat:"lö"},wide:{sun:"söndag",mon:"måndag",tue:"tisdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lördag"}},"stand-alone":{abbreviated:{sun:"Sön",mon:"Mån",tue:"Tis",wed:"Ons",thu:"Tor",fri:"Fre",sat:"Lör"},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"Sö",mon:"Må",tue:"Ti",wed:"On",thu:"To",fri:"Fr",sat:"Lö"},wide:{sun:"Söndag",mon:"Måndag",tue:"Tisdag",wed:"Onsdag",thu:"Torsdag",fri:"Fredag",sat:"Lördag"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1:a kvartalet",2:"2:a kvartalet",3:"3:e kvartalet",4:"4:e kvartalet"}},"stand-alone":{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1:a kvartalet",2:"2:a kvartalet",3:"3:e kvartalet",4:"4:e kvartalet"}}},dayPeriods:{format:{abbreviated:{am:"FM",pm:"EM"},narrow:{am:"f",pm:"e"},wide:{am:"fm",pm:"em"}},"stand-alone":{abbreviated:{am:"fm",pm:"em"},narrow:{am:"f.m.",pm:"e.m."},wide:{am:"förmiddag",pm:"eftermiddag"}}},eras:{eraNames:{0:"före Kristus",1:"efter Kristus","0-alt-variant":"före västerländsk tideräkning","1-alt-variant":"västerländsk tideräkning"},eraAbbr:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"f.v.t.","1-alt-variant":"v.t."},eraNarrow:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"fvt","1-alt-variant":"vt"}},dateFormats:{full:"EEEE'en' 'den' d:'e' MMMM y","long":"d MMMM y",medium:"d MMM y","short":"y-MM-dd"},timeFormats:{full:"'kl'. HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMd:"d/M",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d:'e' MMMM",MMMMEd:"E d:'e' MMMM",ms:"mm:ss",y:"y",yM:"y-MM",yMd:"y-MM-dd",yMEd:"E, y-MM-dd",yMM:"y-MM",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"d–d/M",M:"d/M – d/M"},MEd:{d:"E d/M – E d/M",M:"E d/M – E d/M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E d – E d MMM",M:"E d MMM – E d MMM"},y:{y:"y–y"},yM:{M:"y-MM – MM",y:"y-MM – y-MM"},yMd:{d:"y-MM-dd – dd",M:"y-MM-dd – MM-dd",y:"y-MM-dd – y-MM-dd"},yMEd:{d:"E, y-MM-dd – E, y-MM-dd",M:"E, y-MM-dd – E, y-MM-dd",y:"E, y-MM-dd – E, y-MM-dd"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM–d MMM y",y:"d MMM y–d MMM y"},yMMMEd:{d:"E dd MMM–E dd MMM y",M:"E dd MMM–E dd MMM y",y:"E dd MMM y–E dd MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;−HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}tid","regionFormat-type-daylight":"{0} (sommartid)","regionFormat-type-standard":"{0} (normaltid)",fallbackFormat:"{1} ({0})"}}},th:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"ม.ค.",2:"ก.พ.",3:"มี.ค.",4:"เม.ย.",5:"พ.ค.",6:"มิ.ย.",7:"ก.ค.",8:"ส.ค.",9:"ก.ย.",10:"ต.ค.",11:"พ.ย.",12:"ธ.ค."},narrow:{1:"ม.ค.",2:"ก.พ.",3:"มี.ค.",4:"เม.ย.",5:"พ.ค.",6:"มิ.ย.",7:"ก.ค.",8:"ส.ค.",9:"ก.ย.",10:"ต.ค.",11:"พ.ย.",12:"ธ.ค."},wide:{1:"มกราคม",2:"กุมภาพันธ์",3:"มีนาคม",4:"เมษายน",5:"พฤษภาคม",6:"มิถุนายน",7:"กรกฎาคม",8:"สิงหาคม",9:"กันยายน",10:"ตุลาคม",11:"พฤศจิกายน",12:"ธันวาคม"}},"stand-alone":{abbreviated:{1:"ม.ค.",2:"ก.พ.",3:"มี.ค.",4:"เม.ย.",5:"พ.ค.",6:"มิ.ย.",7:"ก.ค.",8:"ส.ค.",9:"ก.ย.",10:"ต.ค.",11:"พ.ย.",12:"ธ.ค."},narrow:{1:"ม.ค.",2:"ก.พ.",3:"มี.ค.",4:"เม.ย.",5:"พ.ค.",6:"มิ.ย.",7:"ก.ค.",8:"ส.ค.",9:"ก.ย.",10:"ต.ค.",11:"พ.ย.",12:"ธ.ค."},wide:{1:"มกราคม",2:"กุมภาพันธ์",3:"มีนาคม",4:"เมษายน",5:"พฤษภาคม",6:"มิถุนายน",7:"กรกฎาคม",8:"สิงหาคม",9:"กันยายน",10:"ตุลาคม",11:"พฤศจิกายน",12:"ธันวาคม"}}},days:{format:{abbreviated:{sun:"อา.",mon:"จ.",tue:"อ.",wed:"พ.",thu:"พฤ.",fri:"ศ.",sat:"ส."},narrow:{sun:"อา",mon:"จ",tue:"อ",wed:"พ",thu:"พฤ",fri:"ศ",sat:"ส"},"short":{sun:"อา.",mon:"จ.",tue:"อ.",wed:"พ.",thu:"พฤ.",fri:"ศ.",sat:"ส."},wide:{sun:"วันอาทิตย์",mon:"วันจันทร์",tue:"วันอังคาร",wed:"วันพุธ",thu:"วันพฤหัสบดี",fri:"วันศุกร์",sat:"วันเสาร์"}},"stand-alone":{abbreviated:{sun:"อา.",mon:"จ.",tue:"อ.",wed:"พ.",thu:"พฤ.",fri:"ศ.",sat:"ส."},narrow:{sun:"อา",mon:"จ",tue:"อ",wed:"พ",thu:"พฤ",fri:"ศ",sat:"ส"},"short":{sun:"อา.",mon:"จ.",tue:"อ.",wed:"พ.",thu:"พฤ.",fri:"ศ.",sat:"ส."},wide:{sun:"วันอาทิตย์",mon:"วันจันทร์",tue:"วันอังคาร",wed:"วันพุธ",thu:"วันพฤหัสบดี",fri:"วันศุกร์",sat:"วันเสาร์"}}},quarters:{format:{abbreviated:{1:"ไตรมาส 1",2:"ไตรมาส 2",3:"ไตรมาส 3",4:"ไตรมาส 4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"ไตรมาส 1",2:"ไตรมาส 2",3:"ไตรมาส 3",4:"ไตรมาส 4"}},"stand-alone":{abbreviated:{1:"ไตรมาส 1",2:"ไตรมาส 2",3:"ไตรมาส 3",4:"ไตรมาส 4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"ไตรมาส 1",2:"ไตรมาส 2",3:"ไตรมาส 3",4:"ไตรมาส 4"}}},dayPeriods:{format:{abbreviated:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"},narrow:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"},wide:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"}},"stand-alone":{abbreviated:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"},narrow:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"},wide:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"}}},eras:{eraNames:{0:"ปีก่อนคริสต์ศักราช",1:"คริสต์ศักราช","0-alt-variant":"ก่อนสามัญศักราช","1-alt-variant":"สามัญศักราช"},eraAbbr:{0:"ปีก่อน ค.ศ.",1:"ค.ศ.","0-alt-variant":"ก.ส.ศ.","1-alt-variant":"ส.ศ."},eraNarrow:{0:"ก่อน ค.ศ.",1:"ค.ศ.","0-alt-variant":"ก.ส.ศ.","1-alt-variant":"ส.ศ."}},dateFormats:{full:"EEEEที่ d MMMM G y","long":"d MMMM y",medium:"d MMM y","short":"d/M/yy"},timeFormats:{full:"H นาฬิกา mm นาที ss วินาที zzzz","long":"H นาฬิกา mm นาที ss วินาที z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"G y",GyMMM:"MMM G y",GyMMMd:"d MMM G y",GyMMMEd:"E d MMM G y",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",MMMMEd:"E d MMMM",mmss:"mm:ss",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"H:mm-H:mm v",m:"H:mm-H:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH–HH v"},M:{M:"M-M"},Md:{d:"d/M - d/M",M:"d/M - d/M"},MEd:{d:"E d - E d/M",M:"E d - E d/M"},MMM:{M:"LLL-LLL"},MMMd:{d:"d - d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E d - E d MMM",M:"E d MMM - E d MMM"},y:{y:"y-y"},yM:{M:"M/y - M/y",y:"M/y - M/y"},yMd:{d:"d-d/M/y",M:"d/M/y - d/M/y",y:"d/M/y - d/M/y"},yMEd:{d:"E d - E d/M/y",M:"E d/M/y - E d/M/y",y:"E d/M/y - E d/M/y"},yMMM:{M:"MMM–MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E d - E d MMM y",M:"E d MMM - E d MMM y",y:"E d MMM y - E d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y - MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"เวลา{0}","regionFormat-type-daylight":"เวลาออมแสง{0}","regionFormat-type-standard":"เวลามาตรฐาน{0}",fallbackFormat:"{1} ({0})"}}},tr:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Oca",2:"Şub",3:"Mar",4:"Nis",5:"May",6:"Haz",7:"Tem",8:"Ağu",9:"Eyl",10:"Eki",11:"Kas",12:"Ara"},narrow:{1:"O",2:"Ş",3:"M",4:"N",5:"M",6:"H",7:"T",8:"A",9:"E",10:"E",11:"K",12:"A"},wide:{1:"Ocak",2:"Şubat",3:"Mart",4:"Nisan",5:"Mayıs",6:"Haziran",7:"Temmuz",8:"Ağustos",9:"Eylül",10:"Ekim",11:"Kasım",12:"Aralık"}},"stand-alone":{abbreviated:{1:"Oca",2:"Şub",3:"Mar",4:"Nis",5:"May",6:"Haz",7:"Tem",8:"Ağu",9:"Eyl",10:"Eki",11:"Kas",12:"Ara"},narrow:{1:"O",2:"Ş",3:"M",4:"N",5:"M",6:"H",7:"T",8:"A",9:"E",10:"E",11:"K",12:"A"},wide:{1:"Ocak",2:"Şubat",3:"Mart",4:"Nisan",5:"Mayıs",6:"Haziran",7:"Temmuz",8:"Ağustos",9:"Eylül",10:"Ekim",11:"Kasım",12:"Aralık"}}},days:{format:{abbreviated:{sun:"Paz",mon:"Pzt",tue:"Sal",wed:"Çar",thu:"Per",fri:"Cum",sat:"Cmt"},narrow:{sun:"P",mon:"P",tue:"S",wed:"Ç",thu:"P",fri:"C",sat:"C"},"short":{sun:"Pa",mon:"Pt",tue:"Sa",wed:"Ça",thu:"Pe",fri:"Cu",sat:"Ct"},wide:{sun:"Pazar",mon:"Pazartesi",tue:"Salı",wed:"Çarşamba",thu:"Perşembe",fri:"Cuma",sat:"Cumartesi"}},"stand-alone":{abbreviated:{sun:"Paz",mon:"Pzt",tue:"Sal",wed:"Çar",thu:"Per",fri:"Cum",sat:"Cmt"},narrow:{sun:"P",mon:"P",tue:"S",wed:"Ç",thu:"P",fri:"C",sat:"C"},"short":{sun:"Pa",mon:"Pt",tue:"Sa",wed:"Ça",thu:"Pe",fri:"Cu",sat:"Ct"},wide:{sun:"Pazar",mon:"Pazartesi",tue:"Salı",wed:"Çarşamba",thu:"Perşembe",fri:"Cuma",sat:"Cumartesi"}}},quarters:{format:{abbreviated:{1:"Ç1",2:"Ç2",3:"Ç3",4:"Ç4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. çeyrek",2:"2. çeyrek",3:"3. çeyrek",4:"4. çeyrek"}},"stand-alone":{abbreviated:{1:"Ç1",2:"Ç2",3:"Ç3",4:"Ç4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. çeyrek",2:"2. çeyrek",3:"3. çeyrek",4:"4. çeyrek"}}},dayPeriods:{format:{abbreviated:{am:"ÖÖ",pm:"ÖS"},narrow:{am:"ÖÖ",pm:"ÖS"},wide:{am:"ÖÖ",pm:"ÖS"}},"stand-alone":{abbreviated:{am:"ÖÖ",pm:"ÖS"},narrow:{am:"ÖÖ",pm:"ÖS"},wide:{am:"ÖÖ",pm:"ÖS"}}},eras:{eraNames:{0:"Milattan Önce",1:"Milattan Sonra","0-alt-variant":"İÖ","1-alt-variant":"İS"},eraAbbr:{0:"MÖ",1:"MS","0-alt-variant":"İÖ","1-alt-variant":"İS"},eraNarrow:{0:"MÖ",1:"MS","0-alt-variant":"İÖ","1-alt-variant":"İS"}},dateFormats:{full:"d MMMM y EEEE","long":"d MMMM y",medium:"d MMM y","short":"d.MM.y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"d E",Ehm:"E a h:mm",EHm:"E HH:mm",Ehms:"E a h:mm:ss",EHms:"E HH:mm:ss",Gy:"G y",GyMMM:"G MMM y",GyMMMd:"G dd MMM y",GyMMMEd:"G d MMM y E",h:"a h",H:"HH",hm:"a h:mm",Hm:"HH:mm",hms:"a h:mm:ss",Hms:"HH:mm:ss",M:"L",Md:"dd/MM",MEd:"dd/MM E",MMM:"LLL",MMMd:"d MMM",MMMEd:"d MMMM E",MMMMd:"dd MMMM",MMMMEd:"dd MMMM E",mmss:"mm:ss",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"dd.MM.y",yMEd:"dd.MM.y E",yMM:"MM.y",yMMM:"MMM y",yMMMd:"dd MMM y",yMMMEd:"d MMM y E",yMMMM:"MMMM y",yQQQ:"y/QQQ",yQQQQ:"y/QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"a h – a h",h:"a h–h"},H:{H:"HH–HH"},hm:{a:"a h:mm – a h:mm",h:"a h:mm–h:mm",m:"a h:mm–h:mm"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"a h:mm – a h:mm v",h:"a h:mm–h:mm v",m:"a h:mm–h:mm v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"a h – a h v",h:"a h–h v"},Hv:{H:"HH–HH v"},M:{M:"MM–MM"},Md:{d:"dd/MM – dd/MM",M:"dd/MM – dd/MM"},MEd:{d:"dd/MM E – dd/MM E",M:"dd/MM E – dd/MM E"},MMM:{M:"MMM–MMM"},MMMd:{d:"d – d MMM",M:"d MMM – d MMM"},MMMEd:{d:"d MMM E – d MMM E",M:"d MMM E – d MMM E"},y:{y:"y–y"},yM:{M:"MM/y – MM/y",y:"MM/y – MM/y"},yMd:{d:"dd.MM.y – dd.MM.y",M:"dd.MM.y – dd.MM.y",y:"dd.MM.y – dd.MM.y"},yMEd:{d:"dd.MM.y E – dd.MM.y E",M:"dd.MM.y E – dd.MM.y E",y:"dd.MM.y E – dd.MM.y E"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"d MMM y E – d MMM y E",M:"d MMM y E – d MMM y E",y:"d MMM y E – d MMM y E"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Saati","regionFormat-type-daylight":"{0} Yaz Saati","regionFormat-type-standard":"{0} Standart Saati",fallbackFormat:"{1} ({0})"}}},uk:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"січ.",2:"лют.",3:"бер.",4:"квіт.",5:"трав.",6:"черв.",7:"лип.",8:"серп.",9:"вер.",10:"жовт.",11:"лист.",12:"груд."},narrow:{1:"С",2:"Л",3:"Б",4:"К",5:"Т",6:"Ч",7:"Л",8:"С",9:"В",10:"Ж",11:"Л",12:"Г"},wide:{1:"січня",2:"лютого",3:"березня",4:"квітня",5:"травня",6:"червня",7:"липня",8:"серпня",9:"вересня",10:"жовтня",11:"листопада",12:"грудня"}},"stand-alone":{abbreviated:{1:"Січ",2:"Лют",3:"Бер",4:"Кві",5:"Тра",6:"Чер",7:"Лип",8:"Сер",9:"Вер",10:"Жов",11:"Лис",12:"Гру"},narrow:{1:"С",2:"Л",3:"Б",4:"К",5:"Т",6:"Ч",7:"Л",8:"С",9:"В",10:"Ж",11:"Л",12:"Г"},wide:{1:"Січень",2:"Лютий",3:"Березень",4:"Квітень",5:"Травень",6:"Червень",7:"Липень",8:"Серпень",9:"Вересень",10:"Жовтень",11:"Листопад",12:"Грудень"}}},days:{format:{abbreviated:{sun:"Нд",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},narrow:{sun:"Н",mon:"П",tue:"В",wed:"С",thu:"Ч",fri:"П",sat:"С"},"short":{sun:"Нд",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},wide:{sun:"неділя",mon:"понеділок",tue:"вівторок",wed:"середа",thu:"четвер",fri:"пʼятниця",sat:"субота"}},"stand-alone":{abbreviated:{sun:"Нд",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},narrow:{sun:"Н",mon:"П",tue:"В",wed:"С",thu:"Ч",fri:"П",sat:"С"},"short":{sun:"Нд",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},wide:{sun:"Неділя",mon:"Понеділок",tue:"Вівторок",wed:"Середа",thu:"Четвер",fri:"Пʼятниця",sat:"Субота"}}},quarters:{format:{abbreviated:{1:"I кв.",2:"II кв.",3:"III кв.",4:"IV кв."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"I квартал",2:"II квартал",3:"III квартал",4:"IV квартал"}},"stand-alone":{abbreviated:{1:"1-й кв.",2:"2-й кв.",3:"3-й кв.",4:"4-й кв."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1-й квартал",2:"2-й квартал",3:"3-й квартал",4:"4-й квартал"}}},dayPeriods:{format:{abbreviated:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"},narrow:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"},wide:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"}},"stand-alone":{abbreviated:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"},narrow:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"},wide:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"}}},eras:{eraNames:{0:"до нашої ери",1:"нашої ери","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"до н.е.",1:"н.е.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"до н.е.",1:"н.е.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y 'р'.","long":"d MMMM y 'р'.",medium:"d MMM y","short":"dd.MM.yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E, d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",HHmm:"HH:mm",HHmmss:"HH:mm:ss",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"dd.MM",MEd:"E, dd.MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"MM.y",yMd:"dd.MM.y",yMEd:"E, dd.MM.y",yMMM:"LLL y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"LLLL y",yQQQ:"QQQ y",yQQQQ:"QQQQ y 'р'."},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"dd.MM – dd.MM",M:"dd.MM – dd.MM"},MEd:{d:"E, dd.MM – E, dd.MM",M:"E, dd.MM – E, dd.MM"},MMM:{M:"LLL–LLL"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E, d – E, d MMM",M:"E, d MMM – E, d MMM"},y:{y:"y–y"},yM:{M:"MM.y – MM.y",y:"MM.y – MM.y"},yMd:{d:"dd.MM.y – dd.MM.y",M:"dd.MM.y – dd.MM.y",y:"dd.MM.y – dd.MM.y"},yMEd:{d:"E, dd.MM.y – E, dd.MM.y",M:"E, dd.MM.y – E, dd.MM.y",y:"E, dd.MM.y – E, dd.MM.y"},yMMM:{M:"LLL–LLL y",y:"LLL y – LLL y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"E, d – E, d MMM y",M:"E, d MMM – E, d MMM y",y:"E, d MMM y – E, d MMM y"},yMMMM:{M:"LLLL – LLLL y",y:"LLLL y – LLLL y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Час: {0}","regionFormat-type-daylight":"Час: {0}, літній","regionFormat-type-standard":"Час: {0}, стандартний",fallbackFormat:"{1} ({0})"}}},vi:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"thg 1",2:"thg 2",3:"thg 3",4:"thg 4",5:"thg 5",6:"thg 6",7:"thg 7",8:"thg 8",9:"thg 9",10:"thg 10",11:"thg 11",12:"thg 12"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"tháng 1",2:"tháng 2",3:"tháng 3",4:"tháng 4",5:"tháng 5",6:"tháng 6",7:"tháng 7",8:"tháng 8",9:"tháng 9",10:"tháng 10",11:"tháng 11",12:"tháng 12"}},"stand-alone":{abbreviated:{1:"Thg 1",2:"Thg 2",3:"Thg 3",4:"Thg 4",5:"Thg 5",6:"Thg 6",7:"Thg 7",8:"Thg 8",9:"Thg 9",10:"Thg 10",11:"Thg 11",12:"Thg 12"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"Tháng 1",2:"Tháng 2",3:"Tháng 3",4:"Tháng 4",5:"Tháng 5",6:"Tháng 6",7:"Tháng 7",8:"Tháng 8",9:"Tháng 9",10:"Tháng 10",11:"Tháng 11",12:"Tháng 12"}}},days:{format:{abbreviated:{sun:"CN",mon:"Th 2",tue:"Th 3",wed:"Th 4",thu:"Th 5",fri:"Th 6",sat:"Th 7"},narrow:{sun:"CN",mon:"T2",tue:"T3",wed:"T4",thu:"T5",fri:"T6",sat:"T7"},"short":{sun:"CN",mon:"T2",tue:"T3",wed:"T4",thu:"T5",fri:"T6",sat:"T7"},wide:{sun:"Chủ Nhật",mon:"Thứ Hai",tue:"Thứ Ba",wed:"Thứ Tư",thu:"Thứ Năm",fri:"Thứ Sáu",sat:"Thứ Bảy"}},"stand-alone":{abbreviated:{sun:"CN",mon:"Th 2",tue:"Th 3",wed:"Th 4",thu:"Th 5",fri:"Th 6",sat:"Th 7"},narrow:{sun:"CN",mon:"T2",tue:"T3",wed:"T4",thu:"T5",fri:"T6",sat:"T7"},"short":{sun:"CN",mon:"T2",tue:"T3",wed:"T4",thu:"T5",fri:"T6",sat:"T7"},wide:{sun:"Chủ Nhật",mon:"Thứ Hai",tue:"Thứ Ba",wed:"Thứ Tư",thu:"Thứ Năm",fri:"Thứ Sáu",sat:"Thứ Bảy"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Quý 1",2:"Quý 2",3:"Quý 3",4:"Quý 4"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Quý 1",2:"Quý 2",3:"Quý 3",4:"Quý 4"}}},dayPeriods:{format:{abbreviated:{am:"SA",pm:"CH"},narrow:{am:"SA",pm:"CH"},wide:{am:"SA",pm:"CH"}},"stand-alone":{abbreviated:{am:"SA",pm:"CH"},narrow:{am:"SA",pm:"CH"},wide:{am:"SA",pm:"CH"}}},eras:{eraNames:{0:"tr. CN",1:"sau CN","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"tr. CN",1:"sau CN","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"tr. CN",1:"sau CN","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, 'ngày' dd MMMM 'năm' y","long":"'Ngày' dd 'tháng' MM 'năm' y",medium:"dd-MM-y","short":"dd/MM/y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{0} {1}","long":"{0} {1}",medium:"{0} {1}","short":"{0} {1}",availableFormats:{d:"d",Ed:"E, dd",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"'Năm' y G",GyMMM:"MMM y G",GyMMMd:"dd MMM, y G",GyMMMEd:"E, dd MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L",Md:"dd-M",MEd:"E, dd-M",MMdd:"dd-MM",MMM:"LLL",MMMd:"dd MMM",MMMEd:"E, dd MMM",MMMMd:"dd MMMM",MMMMEd:"E, dd MMMM",mmss:"mm:ss",ms:"mm:ss",y:"'Năm' y",yM:"M/y",yMd:"d/M/y",yMEd:"E, dd-M-y",yMM:"MM-y",yMMM:"MMM y",yMMMd:"dd MMM, y",yMMMEd:"E, dd MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"'Ngày' dd-dd"},h:{a:"h'h' a - h'h' a",h:"h'h' - h'h' a"},H:{H:"HH'h' - HH'h'"},hm:{a:"h:mm a – h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h'h' a - h'h' a v",h:"h'h'-h'h' a v"},Hv:{H:"HH'h'-HH'h' v"},M:{M:"'Tháng' M - 'Tháng' M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"EEEE, dd/MM - EEEE, dd/MM",M:"EEEE, dd/MM - EEEE, dd/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"'Ngày' dd 'tháng' M - 'Ngày' dd 'tháng' M",M:"'Ngày' dd 'tháng' M - 'Ngày' dd 'tháng' M"},MMMEd:{d:"EEEE, 'ngày' dd - EEEE, 'ngày' dd 'tháng' M",M:"EEEE, 'ngày' dd 'tháng' M - EEEE, 'ngày' dd 'tháng' M"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"EEEE, dd/MM/y - EEEE, dd/MM/y",M:"EEEE, dd/MM/y - EEEE, dd/MM/y",y:"EEEE, dd/MM/y - EEEE, dd/MM/y"},yMMM:{M:"'Tháng' M - 'Tháng' M 'năm' y",y:"'Tháng' M 'năm' y - 'Tháng' M 'năm' y"},yMMMd:{d:"'Ngày' dd 'tháng' M - 'Ngày' dd 'tháng' M 'năm' y",M:"'Ngày' dd 'tháng' M - 'Ngày' dd 'tháng' M 'năm' y",y:"'Ngày' dd 'tháng' M 'năm' y - 'Ngày' dd 'tháng' M 'năm' y"},yMMMEd:{d:"EEEE, 'ngày' dd MMM - EEEE, 'ngày' dd MMM 'năm' y",M:"E, dd 'tháng' M - E, dd 'tháng' M, y",y:"E, dd 'tháng' M, y - E, dd 'tháng' M, y"},yMMMM:{M:"MMMM-MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Giờ {0}","regionFormat-type-daylight":"Giờ ban ngày {0}","regionFormat-type-standard":"Giờ chuẩn {0}",fallbackFormat:"{1} ({0})"}}},zh:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"一月",2:"二月",3:"三月",4:"四月",5:"五月",6:"六月",7:"七月",8:"八月",9:"九月",10:"十月",11:"十一月",12:"十二月"}},"stand-alone":{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"一月",2:"二月",3:"三月",4:"四月",5:"五月",6:"六月",7:"七月",8:"八月",9:"九月",10:"十月",11:"十一月",12:"十二月"}}},days:{format:{abbreviated:{sun:"周日",mon:"周一",tue:"周二",wed:"周三",thu:"周四",fri:"周五",sat:"周六"},narrow:{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},"short":{sun:"周日",mon:"周一",tue:"周二",wed:"周三",thu:"周四",fri:"周五",sat:"周六"},wide:{sun:"星期日",mon:"星期一",tue:"星期二",wed:"星期三",thu:"星期四",fri:"星期五",sat:"星期六"}},"stand-alone":{abbreviated:{sun:"周日",mon:"周一",tue:"周二",wed:"周三",thu:"周四",fri:"周五",sat:"周六"},narrow:{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},"short":{sun:"周日",mon:"周一",tue:"周二",wed:"周三",thu:"周四",fri:"周五",sat:"周六"},wide:{sun:"星期日",mon:"星期一",tue:"星期二",wed:"星期三",thu:"星期四",fri:"星期五",sat:"星期六"}}},quarters:{format:{abbreviated:{1:"1季度",2:"2季度",3:"3季度",4:"4季度"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第一季度",2:"第二季度",3:"第三季度",4:"第四季度"}},"stand-alone":{abbreviated:{1:"1季度",2:"2季度",3:"3季度",4:"4季度"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第一季度",2:"第二季度",3:"第三季度",4:"第四季度"}}},dayPeriods:{format:{abbreviated:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},narrow:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},wide:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"}},"stand-alone":{abbreviated:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},narrow:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},wide:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"}}},eras:{eraNames:{0:"公元前",1:"公元","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"公元前",1:"公元","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"公元前",1:"公元","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"y年M月d日EEEE","long":"y年M月d日",medium:"y年M月d日","short":"yy/M/d"},timeFormats:{full:"zzzzah:mm:ss","long":"zah:mm:ss",medium:"ah:mm:ss","short":"ah:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d日",Ed:"d日E",Ehm:"Eah:mm",EHm:"EHH:mm",Ehms:"Eah:mm:ss",EHms:"EHH:mm:ss",Gy:"Gy年",GyMMM:"Gy年M月",GyMMMd:"Gy年M月d日",GyMMMEd:"Gy年M月d日E",h:"ah时",H:"H时",hm:"ah:mm",Hm:"HH:mm",hms:"ah:mm:ss",Hms:"HH:mm:ss",M:"M月",Md:"M/d",MEd:"M/dE",MMdd:"MM/dd",MMM:"LLL",MMMd:"M月d日",MMMEd:"M月d日E",MMMMdd:"M月dd日",ms:"mm:ss",y:"y年",yM:"y/M",yMd:"y/M/d",yMEd:"y/M/dE",yMM:"y年M月",yMMM:"y年M月",yMMMd:"y年M月d日",yMMMEd:"y年M月d日E",yMMMM:"y年M月",yQQQ:"y年第Q季度",yQQQQ:"y年第Q季度"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{1}{0}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d日"},h:{a:"ah时至ah时",h:"ah时至h时"},H:{H:"HH–HH"},hm:{a:"ah:mm至ah:mm",h:"ah:mm至h:mm",m:"ah:mm至h:mm"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"vah:mm至ah:mm",h:"vah:mm至h:mm",m:"vah:mm至h:mm"},Hmv:{H:"v HH:mm–HH:mm",m:"v HH:mm–HH:mm"},hv:{a:"vah时至ah时",h:"vah时至h时"},Hv:{H:"v HH–HH"},M:{M:"M–M月"},Md:{d:"M/d – M/d",M:"M/d – M/d"},MEd:{d:"M/dE至M/dE",M:"M/dE至M/dE"},MMM:{M:"LLL至LLL"},MMMd:{d:"M月d日至d日",M:"M月d日至M月d日"},MMMEd:{d:"M月d日E至d日E",M:"M月d日E至M月d日E"},y:{y:"y–y年"},yM:{M:"y年M月至M月",y:"y年M月至y年M月"},yMd:{d:"y/M/d – y/M/d",M:"y/M/d – y/M/d",y:"y/M/d – y/M/d"},yMEd:{d:"y/M/dE至y/M/dE",M:"y/M/dE至y/M/dE",y:"y/M/dE至y/M/dE"},yMMM:{M:"y年M月至M月",y:"y年M月至y年M月"},yMMMd:{d:"y年M月d日至d日",M:"y年M月d日至M月d日",y:"y年M月d日至y年M月d日"},yMMMEd:{d:"y年M月d日E至d日E",M:"y年M月d日E至M月d日E",y:"y年M月d日E至y年M月d日E"},yMMMM:{M:"y年M月至M月",y:"y年M月至y年M月"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}时间","regionFormat-type-daylight":"{0}夏令时间","regionFormat-type-standard":"{0}标准时间",fallbackFormat:"{1}（{0}）"}}},"zh-Hant":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"}},"stand-alone":{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"}}},days:{format:{abbreviated:{sun:"週日",mon:"週一",tue:"週二",wed:"週三",thu:"週四",fri:"週五",sat:"週六"},narrow:{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},"short":{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},wide:{sun:"星期日",mon:"星期一",tue:"星期二",wed:"星期三",thu:"星期四",fri:"星期五",sat:"星期六"}},"stand-alone":{abbreviated:{sun:"週日",mon:"週一",tue:"週二",wed:"週三",thu:"週四",fri:"週五",sat:"週六"},narrow:{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},"short":{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},wide:{sun:"星期日",mon:"星期一",tue:"星期二",wed:"星期三",thu:"星期四",fri:"星期五",sat:"星期六"}}},quarters:{format:{abbreviated:{1:"1季",2:"2季",3:"3季",4:"4季"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第1季",2:"第2季",3:"第3季",4:"第4季"}},"stand-alone":{abbreviated:{1:"1季",2:"2季",3:"3季",4:"4季"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第1季",2:"第2季",3:"第3季",4:"第4季"}}},dayPeriods:{format:{abbreviated:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},narrow:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},wide:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"}},"stand-alone":{abbreviated:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},narrow:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},wide:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"}}},eras:{eraNames:{0:"西元前",1:"西元","0-alt-variant":"公元前","1-alt-variant":"公元"},eraAbbr:{0:"西元前",1:"西元","0-alt-variant":"公元前","1-alt-variant":"公元"},eraNarrow:{0:"西元前",1:"西元","0-alt-variant":"公元前","1-alt-variant":"公元"}},dateFormats:{full:"y年M月d日EEEE","long":"y年M月d日",medium:"y年M月d日","short":"y/M/d"},timeFormats:{full:"zzzzah時mm分ss秒","long":"zah時mm分ss秒",medium:"ah:mm:ss","short":"ah:mm"},dateTimeFormats:{full:"{1}{0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d日",Ed:"d日（E）",Ehm:"E a h:mm",EHm:"E HH:mm",Ehms:"E a h:mm:ss",EHms:"E HH:mm:ss",Gy:"G y 年",GyMMM:"G y 年 M 月",GyMMMd:"G y 年 M 月 d 日",GyMMMEd:"G y 年 M 月 d 日E",h:"ah時",H:"H時",hm:"ah:mm",Hm:"HH:mm",hms:"ah:mm:ss",Hms:"HH:mm:ss",M:"M月",Md:"M/d",MEd:"M/d（E）",MMdd:"MM/dd",MMM:"LLL",MMMd:"M月d日",MMMEd:"M月d日E",MMMMdd:"M月dd日",ms:"mm:ss",y:"y年",yM:"y/M",yMd:"y/M/d",yMEd:"y/M/d（E）",yMM:"y-MM",yMMM:"y年M月",yMMMd:"y年M月d日",yMMMEd:"y年M月d日E",yMMMM:"y年M月",yQQQ:"y年QQQ",yQQQQ:"y年QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}至{1}",d:{d:"d日至d日"},h:{a:"ah時至ah時",h:"ah時至h時"},H:{H:"HH–HH"},hm:{a:"ah:mm至ah:mm",h:"ah:mm至h:mm",m:"ah:mm至h:mm"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm至HH:mm"},hmv:{a:"a h:mm 至a h:mm [v]",h:"a h:mm 至 h:mm [v]",m:"a h:mm 至 h:mm [v]"},Hmv:{H:"HH:mm–HH:mm [v]",m:"HH:mm–HH:mm [v]"},hv:{a:"a h 時至a h 時 [v]",h:"a h 時至 h 時 [v]"},Hv:{H:"HH–HH [v]"},M:{M:"M月至M月"},Md:{d:"M/d至M/d",M:"M/d至M/d"},MEd:{d:"M/dE至M/dE",M:"M/dE至M/dE"},MMM:{M:"LLL至LLL"},MMMd:{d:"M月d日至d日",M:"M月d日至M月d日"},MMMEd:{d:"M月d日E至d日E",M:"M月d日E至M月d日E"},MMMM:{M:"LLLL至 LLLL"},y:{y:"y至y"},yM:{M:"y/M至y/M",y:"y/M至y/M"},yMd:{d:"y/M/d至y/M/d",M:"y/M/d至y/M/d",y:"y/M/d至y/M/d"},yMEd:{d:"y/M/dE至y/M/dE",M:"y/M/dE至y/M/dE",y:"y/M/dE至y/M/dE"},yMMM:{M:"y年M月至M月",y:"y年M月至y年M月"},yMMMd:{d:"y年M月d日至d日",M:"y年M月d日至M月d日",y:"y年M月d日至y年M月d日"},yMMMEd:{d:"y年M月d日E至d日E",M:"y年M月d日E至M月d日E",y:"y年M月d日E至y年M月d日E"},yMMMM:{M:"y年M月至M月",y:"y年M月至y年M月"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}時間","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1}（{0}）"}}}})),Ib.locale("en_GB"),Ib
}var c,d,e;if(e=function(a,b){return function(){return function(c){function d(a,b){var c,e,f,g,i,m,n=this;if(!(n instanceof d))return new d(a,b);if(a instanceof d){if(null==b)return z=0,n.s=a.s,n.e=a.e,void(n.c=(a=a.c)?a.slice():a);a+=""}else if(g="number"==(i=typeof a)){if(null==b&&a===~~a){for(n.s=0>1/a?(a=-a,-1):1,e=z=0,f=a;f>=10;f/=10,e++);return n.e=e,void(n.c=[a])}a=0===a&&0>1/a?"-0":a+""}else"string"!=i&&(a+="");if(i=a,null==b&&B.test(i))n.s=45===i.charCodeAt(0)?(i=i.slice(1),-1):1;else{if(10==b)return n=new d(i),k(n,o+n.e+1,p);if(i=C.call(i).replace(/^\+(?!-)/,""),n.s=45===i.charCodeAt(0)?(i=i.replace(/^-(?!-)/,""),-1):1,null!=b?b!=~~b&&u||(l=!(b>=2&&65>b))?(j(b,2),m=B.test(i)):(c="["+y.slice(0,b=0|b)+"]+",i=i.replace(/\.$/,"").replace(/^\./,"0."),(m=new RegExp("^"+c+"(?:\\."+c+")?$",37>b?"i":"").test(i))?(g&&(i.replace(/^0\.0*|\./,"").length>15&&j(a,0),g=!g),i=h(i,10,b,n.s)):"Infinity"!=i&&"NaN"!=i&&(j(a,1,b),a="NaN")):m=B.test(i),!m)return n.c=n.e=null,"Infinity"!=i&&("NaN"!=i&&j(a,3),n.s=null),void(z=0)}for((e=i.indexOf("."))>-1&&(i=i.replace(".","")),(f=i.search(/e/i))>0?(0>e&&(e=f),e+=+i.slice(f+1),i=i.substring(0,f)):0>e&&(e=i.length),f=0;48===i.charCodeAt(f);f++);for(b=i.length;48===i.charCodeAt(--b););if(i=i.slice(f,b+1))if(b=i.length,g&&b>15&&j(a,0),e=e-f-1,e>t)n.c=n.e=null;else if(s>e)n.c=[n.e=0];else{if(n.e=e,n.c=[],f=(e+1)%E,0>e&&(f+=E),b>f){for(f&&n.c.push(+i.slice(0,f)),b-=E;b>f;n.c.push(+i.slice(f,f+=E)));i=i.slice(f),f=E-i.length}else f-=b;for(;f--;i+="0");n.c.push(+i)}else n.c=[n.e=0];z=0}function e(a,b,c){for(var d=1,e=b.length;!b[--e];b.pop());for(e=b[0];e>=10;e/=10,d++);return(c=d+c*E-1)>t?a.c=a.e=null:s>c?a.c=[a.e=0]:(a.e=c,a.c=b),a}function f(a){for(var b,c,d=1,e=a.length,f=a[0]+"";e>d;){for(b=a[d++]+"",c=E-b.length;c--;b="0"+b);f+=b}for(e=f.length;48===f.charCodeAt(--e););return f.slice(0,e+1||1)}function g(a,b,c){for(var d,e,f=[0],g=0,h=a.length;h>g;){for(e=f.length;e--;f[e]*=b);for(f[d=0]+=y.indexOf(a.charAt(g++));d<f.length;d++)f[d]>c-1&&(null==f[d+1]&&(f[d+1]=0),f[d+1]+=f[d]/c|0,f[d]%=c)}return f.reverse()}function h(a,b,c,e){var f,h,i,j,k,l,m,n=a.indexOf("."),q=p;for(37>c&&(a=a.toLowerCase()),n>=0&&(a=a.replace(".",""),m=new d(c),k=m.pow(a.length-n),m.c=g(k.toFixed(),10,b),m.e=m.c.length),l=g(a,c,b),h=i=l.length;0==l[--i];l.pop());if(!l[0])return"0";if(0>n?--h:(k.c=l,k.e=h,k.s=e,k=I(k,m,o,q,b),l=k.c,j=k.r,h=k.e),f=h+o+1,n=l[f],i=b/2,j=j||0>f||null!=l[f+1],j=4>q?(null!=n||j)&&(0==q||q==(k.s<0?3:2)):n>i||n==i&&(4==q||j||6==q&&1&l[f-1]||q==(k.s<0?8:7)),1>f||!l[0])l.length=1,i=0,j?(l[0]=1,h=-o):h=l[0]=0;else{if(l.length=f,j)for(--b;++l[--f]>b;)l[f]=0,f||(++h,l.unshift(1));for(i=l.length;!l[--i];);}for(n=0,a="";i>=n;a+=y.charAt(l[n++]));if(0>h){for(;++h;a="0"+a);a="0."+a}else if(n=a.length,++h>n)for(h-=n;h--;a+="0");else n>h&&(a=a.slice(0,h)+"."+a.slice(h));return a}function i(a,b,c){var e,g,h,i=(a=new d(a)).e;if(null==b?e=0:(k(a,++b,p),e=c?b:b+a.e-i,i=a.e),g=f(a.c),1==c||2==c&&(i>=b||q>=i)){for(;g.length<e;g+="0");g.length>1&&(g=g.charAt(0)+"."+g.slice(1)),g+=(0>i?"e":"e+")+i}else{if(c=g.length,0>i){for(h=e-c;++i;g="0"+g);g="0."+g}else if(++i>c){for(h=e-i,i-=c;i--;g+="0");h>0&&(g+=".")}else h=e-c,c>i?g=g.slice(0,i)+"."+g.slice(i):h>0&&(g+=".");if(h>0)for(;h--;g+="0");}return a.s<0&&a.c[0]?"-"+g:g}function j(a,b,c,d,e,f){if(u){var g,h=["new BigNumber","cmp","div","eq","gt","gte","lt","lte","minus","mod","plus","times","toFraction","divToInt"][z?0>z?-z:z:0>1/z?1:0]+"()",i=l?" out of range":" not a"+(e?" non-zero":"n")+" integer";throw i=([h+" number type has more than 15 significant digits",h+" not a base "+c+" number",h+" base"+i,h+" not a number"][b]||c+"() "+b+(f?" not a boolean or binary digit":i+(d?" or not ["+(l?" negative, positive":" integer, integer")+" ]":"")))+": "+a,l=z=0,g=new Error(i),g.name="BigNumber Error",g}}function k(a,b,c,d){var e,f,g,h,i,j,k,l,m=G;if(l=a.c){a:{for(e=1,h=l[0];h>=10;h/=10,e++);if(f=b-e,0>f)f+=E,g=b,i=l[j=0],k=i/m[e-g-1]%10|0;else if(j=Math.ceil((f+1)/E),j>=l.length){if(!d)break a;for(;l.length<=j;l.push(0));i=k=0,e=1,f%=E,g=f-E+1}else{for(i=h=l[j],e=1;h>=10;h/=10,e++);f%=E,g=f-E+e,k=0>g?0:i/m[e-g-1]%10|0}if(d=d||0>b||null!=l[j+1]||(0>g?i:i%m[e-g-1]),d=4>c?(k||d)&&(0==c||c==(a.s<0?3:2)):k>5||5==k&&(4==c||d||6==c&&(f>0?g>0?i/m[e-g]:0:l[j-1])%10&1||c==(a.s<0?8:7)),1>b||!l[0])return l.length=0,d?(b-=a.e+1,l[0]=m[b%E],a.e=-b||0):l[0]=a.e=0,a;if(0==f?(l.length=j,h=1,j--):(l.length=j+1,h=m[E-f],l[j]=g>0?A(i/m[e-g]%m[g])*h:0),d)for(;;){if(0==j){for(f=1,g=l[0];g>=10;g/=10,f++);for(g=l[0]+=h,h=1;g>=10;g/=10,h++);f!=h&&(a.e++,l[0]==D&&(l[0]=1));break}if(l[j]+=h,l[j]!=D)break;l[j--]=0,h=1}for(f=l.length;0===l[--f];l.pop());}a.e>t?a.c=a.e=null:a.e<s&&(a.c=[a.e=0])}return a}var l,m=1e9,n=1e6,o=20,p=4,q=-7,r=21,s=-m,t=m,u=!0,v=parseInt,w={decimalSeparator:".",groupSeparator:",",groupSize:3,secondaryGroupSize:0,fractionGroupSeparator:" ",fractionGroupSize:0},x=d.prototype,y="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ$_",z=0,A=Math.floor,B=/^-?(\d+(\.\d*)?|\.\d+)(e[+-]?\d+)?$/i,C=String.prototype.trim||function(){return this.replace(/^\s+|\s+$/g,"")},D=1e14,E=14,F=1e7,G=[1,10,100,1e3,1e4,1e5,1e6,1e7,1e8,1e9,1e10,1e11,1e12,1e13],H=new d(1);d.ROUND_UP=0,d.ROUND_DOWN=1,d.ROUND_CEIL=2,d.ROUND_FLOOR=3,d.ROUND_HALF_UP=4,d.ROUND_HALF_DOWN=5,d.ROUND_HALF_EVEN=6,d.ROUND_HALF_CEIL=7,d.ROUND_HALF_FLOOR=8,d.config=function(){var a,b,c=0,d={},e=arguments,f=e[0],g="config",h=function(a,b,c){return!((l=b>a||a>c)||v(a)!=a&&0!==a)},i=f&&"object"==typeof f?function(){return f.hasOwnProperty(b)?null!=(a=f[b]):void 0}:function(){return e.length>c?null!=(a=e[c++]):void 0};if(i(b="DECIMAL_PLACES")&&(h(a,0,m)?o=0|a:j(a,b,g)),d[b]=o,i(b="ROUNDING_MODE")&&(h(a,0,8)?p=0|a:j(a,b,g)),d[b]=p,i(b="EXPONENTIAL_AT")&&(h(a,-m,m)?q=-(r=~~(0>a?-a:+a)):!l&&a&&h(a[0],-m,0)&&h(a[1],0,m)?(q=~~a[0],r=~~a[1]):j(a,b,g,1)),d[b]=[q,r],i(b="RANGE")&&(h(a,-m,m)&&~~a?s=-(t=~~(0>a?-a:+a)):!l&&a&&h(a[0],-m,-1)&&h(a[1],1,m)?(s=~~a[0],t=~~a[1]):j(a,b,g,1,1)),d[b]=[s,t],i(b="ERRORS")&&(a===!!a||1===a||0===a?(l=z=0,v=(u=!!a)?parseInt:parseFloat):j(a,b,g,0,0,1)),d[b]=u,i(b="FORMAT"))if("object"==typeof a)w=a;else if(u)throw d=new Error(g+"() "+b+" not an object: "+a),d.name="BigNumber Error",d;return d[b]=w,d};var I=function(){function a(a,b,c){var d,e,f,g,h=0,i=a.length,j=b%F,k=b/F|0;for(a=a.slice();i--;)f=a[i]%F,g=a[i]/F|0,d=k*f+g*j,e=j*f+d%F*F+h,h=(e/c|0)+(d/F|0)+k*g,a[i]=e%c;return h&&a.unshift(h),a}function b(a,b,c,d){var e,f;if(c!=d)f=c>d?1:-1;else for(e=f=0;c>e;e++)if(a[e]!=b[e]){f=a[e]>b[e]?1:-1;break}return f}function c(a,b,c,d){for(var e=0;c--;)a[c]-=e,e=a[c]<b[c]?1:0,a[c]=e*d+a[c]-b[c];for(;!a[0]&&a.length>1;a.shift());}return function(e,f,g,h,i){var j,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,B,C=e.s==f.s?1:-1,F=e.c,G=f.c;if(!(F&&F[0]&&G&&G[0]))return new d(e.s&&f.s&&(F?!G||F[0]!=G[0]:G)?F&&0==F[0]||!G?0*C:C/0:0/0);for(r=new d(C),s=r.c=[],l=e.e-f.e,C=g+l+1,i||(i=D,x=e.e/E,m=0|x,l=(x>0||x===m?m:m-1)-(z=f.e/E,m=0|z,z>0||z===m?m:m-1),C=C/E|0),m=0;G[m]==(F[m]||0);m++);if(G[m]>(F[m]||0)&&l--,0>C)s.push(1),n=!0;else{for(x=F.length,z=G.length,m=0,C+=2,o=A(i/(G[0]+1)),o>1&&(G=a(G,o,i),F=a(F,o,i),z=G.length,x=F.length),w=z,t=F.slice(0,z),u=t.length;z>u;t[u++]=0);B=G.slice(),B.unshift(0),y=G[0],G[1]>=i/2&&y++;do o=0,j=b(G,t,z,u),0>j?(v=t[0],z!=u&&(v=v*i+(t[1]||0)),o=A(v/y),o>1?(o>=i&&(o=i-1),p=a(G,o,i),q=p.length,u=t.length,j=b(p,t,q,u),1==j&&(o--,c(p,q>z?B:G,q,i))):(0==o&&(j=o=1),p=G.slice()),q=p.length,u>q&&p.unshift(0),c(t,p,u,i),-1==j&&(u=t.length,j=b(G,t,z,u),1>j&&(o++,c(t,u>z?B:G,u,i))),u=t.length):0===j&&(o++,t=[0]),s[m++]=o,j&&t[0]?t[u++]=F[w]||0:(t=[F[w]],u=1);while((w++<x||null!=t[0])&&C--);n=null!=t[0],s[0]||s.shift()}if(i==D){for(m=1,C=s[0];C>=10;C/=10,m++);k(r,g+(r.e=m+l*E-1)+1,h,n)}else r.e=l,r.r=+n;return r}}();x.absoluteValue=x.abs=function(){var a=new d(this);return a.s<0&&(a.s=1),a},x.ceil=function(){return k(new d(this),this.e+1,2)},x.comparedTo=x.cmp=function(a,b){var c,e=this,f=e.c,g=(z=-z,a=new d(a,b)).c,h=e.s,i=a.s,j=e.e,k=a.e;if(!h||!i)return null;if(c=f&&!f[0],b=g&&!g[0],c||b)return c?b?0:-i:h;if(h!=i)return h;if(c=0>h,b=j==k,!f||!g)return b?0:!f^c?1:-1;if(!b)return j>k^c?1:-1;for(h=-1,i=(j=f.length)<(k=g.length)?j:k;++h<i;)if(f[h]!=g[h])return f[h]>g[h]^c?1:-1;return j==k?0:j>k^c?1:-1},x.decimalPlaces=x.dp=function(){var a,b,c=this.c;if(!c)return null;if(a=((b=c.length-1)-A(this.e/E))*E,b=c[b])for(;b%10==0;b/=10,a--);return 0>a&&(a=0),a},x.dividedBy=x.div=function(a,b){return z=2,I(this,new d(a,b),o,p)},x.dividedToIntegerBy=x.divToInt=function(a,b){return z=13,I(this,new d(a,b),0,1)},x.equals=x.eq=function(a,b){return z=3,0===this.cmp(a,b)},x.floor=function(){return k(new d(this),this.e+1,3)},x.greaterThan=x.gt=function(a,b){return z=4,this.cmp(a,b)>0},x.greaterThanOrEqualTo=x.gte=function(a,b){return z=5,1==(b=this.cmp(a,b))||0===b},x.isFinite=function(){return!!this.c},x.isInteger=x.isInt=function(){return!!this.c&&A(this.e/E)>this.c.length-2},x.isNaN=function(){return!this.s},x.isNegative=x.isNeg=function(){return this.s<0},x.isZero=function(){return!!this.c&&0==this.c[0]},x.lessThan=x.lt=function(a,b){return z=6,this.cmp(a,b)<0},x.lessThanOrEqualTo=x.lte=function(a,b){return z=7,-1==(b=this.cmp(a,b))||0===b},x.minus=function(a,b){var c,f,g,h,i=this,j=i.s;if(z=8,a=new d(a,b),b=a.s,!j||!b)return new d(0/0);if(j!=b)return a.s=-b,i.plus(a);var k=i.e/E,l=a.e/E,m=i.c,n=a.c;if(!k||!l){if(!m||!n)return m?(a.s=-b,a):new d(n?i:0/0);if(!m[0]||!n[0])return n[0]?(a.s=-b,a):new d(m[0]?i:3==p?-0:0)}if(c=0|k,k=k>0||k===c?c:c-1,c=0|l,l=l>0||l===c?c:c-1,m=m.slice(),j=k-l){for((h=0>j)?(j=-j,g=m):(l=k,g=n),g.reverse(),b=j;b--;g.push(0));g.reverse()}else for(f=(h=(j=m.length)<(b=n.length))?j:b,j=b=0;f>b;b++)if(m[b]!=n[b]){h=m[b]<n[b];break}if(h&&(g=m,m=n,n=g,a.s=-a.s),b=(f=n.length)-(c=m.length),b>0)for(;b--;m[c++]=0);for(b=D-1;f>j;){if(m[--f]<n[f]){for(c=f;c&&!m[--c];m[c]=b);--m[c],m[f]+=D}m[f]-=n[f]}for(;0==m[0];m.shift(),--l);return m[0]?e(a,m,l):(a.s=3==p?-1:1,a.c=[a.e=0],a)},x.modulo=x.mod=function(a,b){z=9;var c=this,e=c.c,f=(a=new d(a,b)).c,g=c.s,h=a.s;return b=!g||!h||f&&!f[0],b||e&&!e[0]?new d(b?0/0:c):(c.s=a.s=1,b=1==a.cmp(c),c.s=g,a.s=h,b?new d(c):c.minus(I(c,a,0,1).times(a)))},x.negated=x.neg=function(){var a=new d(this);return a.s=-a.s||null,a},x.plus=function(a,b){var c,f=this,g=f.s;if(z=10,a=new d(a,b),b=a.s,!g||!b)return new d(0/0);if(g!=b)return a.s=-b,f.minus(a);var h=f.e/E,i=a.e/E,j=f.c,k=a.c;if(!h||!i){if(!j||!k)return new d(g/0);if(!j[0]||!k[0])return k[0]?a:new d(j[0]?f:0*g)}if(g=0|h,h=h>0||h===g?g:g-1,g=0|i,i=i>0||i===g?g:g-1,j=j.slice(),g=h-i){for(g>0?(i=h,c=k):(g=-g,c=j),c.reverse();g--;c.push(0));c.reverse()}for(g=j.length,b=k.length,0>g-b&&(c=k,k=j,j=c,b=g),g=0;b;)g=(j[--b]=j[b]+k[b]+g)/D|0,j[b]%=D;return g&&(j.unshift(g),++i),e(a,j,i)},x.round=function(a,b){return a=null==a||((l=0>a||a>m)||v(a)!=a)&&!j(a,"decimal places","round")?0:0|a,b=null==b||((l=0>b||b>8)||v(b)!=b&&0!==b)&&!j(b,"mode","round")?p:0|b,k(new d(this),a+this.e+1,b)},x.squareRoot=x.sqrt=function(){var a,b,c,e,g,h=this,i=h.c,j=h.s,l=h.e,m=o+4,n=new d("0.5");if(1!==j||!i||!i[0])return new d(!j||0>j&&(!i||i[0])?0/0:i?h:1/0);if(j=Math.sqrt(+h),0==j||j==1/0?(b=f(i),(b.length+l)%2==0&&(b+="0"),j=Math.sqrt(b),l=A((l+1)/2)-(0>l||l%2),j==1/0?b="1e"+l:(b=j.toExponential(),b=b.slice(0,b.indexOf("e")+1)+l),c=new d(b)):c=new d(j.toString()),c.c[0])for(l=c.e,j=l+m,3>j&&(j=0);;)if(g=c,c=n.times(g.plus(I(h,g,m,1))),f(g.c).slice(0,j)===(b=f(c.c)).slice(0,j)){if(c.e<l&&--j,b=b.slice(j-3,j+1),"9999"!=b&&(e||"4999"!=b)){(!+b||!+b.slice(1)&&"5"==b.charAt(0))&&(k(c,c.e+o+2,1),a=!c.times(c).eq(h));break}if(!e&&(k(g,g.e+o+2,0),g.times(g).eq(h))){c=g;break}m+=4,j+=4,e=1}return k(c,c.e+o+1,p,a)},x.times=function(a,b){var c,f,g,h,i,j,k,l,m,n=this,o=n.c,p=(z=11,a=new d(a,b)).c,q=n.e/E,r=a.e/E,s=n.s;if(a.s=s==(b=a.s)?1:-1,!((q||o&&o[0])&&(r||p&&p[0])))return new d(!s||!b||o&&!o[0]&&!p||p&&!p[0]&&!o?0/0:o&&p?0*a.s:a.s/0);for(f=0|q,f=(q>0||q===f?f:f-1)+(f=0|r,r>0||r===f?f:f-1),s=o.length,b=p.length,b>s&&(i=o,o=p,p=i,r=s,s=b,b=r),r=s+b,i=[];r--;i.push(0));for(q=b;--q>=0;){for(c=0,r=s+q,g=s,l=p[q]%F,m=p[q]/F|0;r>q;)j=o[--g]%F,k=o[g]/F|0,h=m*j+k*l,j=l*j+h%F*F+i[r]+c,c=(j/D|0)+(h/F|0)+m*k,i[r--]=j%D;i[r]=c}return c?++f:i.shift(),e(a,i,f)},x.toExponential=function(a){var b=this;return b.c?i(b,null==a||((l=0>a||a>m)||v(a)!=a&&0!==a)&&!j(a,"decimal places","toExponential")?null:0|a,1):b.toString()},x.toFixed=function(a){var b,c=this,d=q,e=r;return a=null==a||((l=0>a||a>m)||v(a)!=a&&0!==a)&&!j(a,"decimal places","toFixed")?null:c.e+(0|a),q=-(r=1/0),null!=a&&c.c?(b=i(c,a),c.s<0&&c.c&&(c.c[0]?b.indexOf("-")<0&&(b="-"+b):b=b.replace("-",""))):b=c.toString(),q=d,r=e,b},x.toFormat=function(a){var b=this;if(!b.c)return b.toString();var c,d=b.s<0,e=w.groupSeparator,f=+w.groupSize,g=+w.secondaryGroupSize,h=b.toFixed(a).split("."),i=h[0],j=h[1],k=d?i.slice(1):i,l=k.length;if(g&&(c=f,f=g,g=c,l-=c),f>0&&l>0){for(c=l%f||f,i=k.substr(0,c);l>c;c+=f)i+=e+k.substr(c,f);g>0&&(i+=e+k.slice(c)),d&&(i="-"+i)}return j?i+w.decimalSeparator+((g=+w.fractionGroupSize)?j.replace(new RegExp("\\d{"+g+"}\\B","g"),"$&"+w.fractionGroupSeparator):j):i},x.toFraction=function(a){var b,c,e,g,h,i,k,m,n,o=c=new d(H),q=k=new d(H),r=this,s=r.c,v=new d(H);if(!s)return r.toString();for(n=f(s),g=v.e=n.length-r.e-1,v.c[0]=G[(h=g%E)<0?E+h:h],(null==a||(!(z=12,i=new d(a)).s||(l=i.cmp(o)<0||!i.c)||u&&A(i.e/E)<i.c.length-1)&&!j(a,"max denominator","toFraction")||(a=i).cmp(v)>0)&&(a=g>0?v:o),h=t,t=1/0,i=new d(n),k.c[0]=0;m=I(i,v,0,1),e=c.plus(m.times(q)),1!=e.cmp(a);)c=q,q=e,o=k.plus(m.times(e=o)),k=e,v=i.minus(m.times(e=v)),i=e;return e=I(a.minus(c),q,0,1),k=k.plus(e.times(o)),c=c.plus(e.times(q)),k.s=o.s=r.s,g*=2,b=I(o,q,g,p).minus(r).abs().cmp(I(k,c,g,p).minus(r).abs())<1?[o.toString(),q.toString()]:[k.toString(),c.toString()],t=h,b},x.toNumber=function(){var a=this;return+a||(a.s?0*a.s:0/0)},x.toPower=x.pow=function(a){var b=0*a==0?~~a:a,c=new d(this),e=new d(H);if(((l=-n>a||a>n)&&(b=1*a/0)||v(a)!=a&&0!==a&&!(b=0/0))&&!j(a,"exponent","pow")||!b)return new d(Math.pow(+c,b));for(b=0>b?-b:b;1&b&&(e=e.times(c)),b>>=1,b;)c=c.times(c);return 0>a?H.div(e):e},x.toPrecision=function(a){var b=this;return null!=a&&(!(l=1>a||a>m)&&v(a)==a||j(a,"precision","toPrecision"))&&b.c?i(b,0|--a,2):b.toString()},x.toString=function(a){var b,c,d,e=this,g=e.e;if(null===g)c=e.s?"Infinity":"NaN";else{if(a==b&&(q>=g||g>=r))return i(e,b,1);if(c=f(e.c),0>g){for(;++g;c="0"+c);c="0."+c}else if(d=c.length,g>0)if(++g>d)for(g-=d;g--;c+="0");else d>g&&(c=c.slice(0,g)+"."+c.slice(g));else if(b=c.charAt(0),d>1)c=b+"."+c.slice(1);else if("0"==b)return b;if(null!=a)if((l=!(a>=2&&65>a))||a!=~~a&&u)j(a,"base","toS");else if(c=h(c,0|a,10,e.s),"0"==c)return c}return e.s<0?"-"+c:c},x.valueOf=x.toJSON=function(){return this.toString()},"undefined"!=typeof a&&a.exports?a.exports=d:"function"==typeof b&&b.amd?b(function(){return d}):c.BigNumber=d}(this),this.BigNumber}}(),"object"!=typeof a||null===a)throw new TypeError("Invalid global context");"object"==typeof module&&null!==module&&"object"==typeof module.exports&&null!==module.exports?(c=b(require("util-x"),e.call({})),c.utilx.Object.defineProperty(c,"factory",{value:function(a){var d;return d=c.utilx.Boolean.isTrue(a)?b(require("util-x").factory(),e.call({})):b(require("util-x"),e.call({})),c.utilx.Object.defineProperty(d,"factory",{value:c.factory,enumerable:!1,writable:!0,configurable:!0}),d},enumerable:!1,writable:!0,configurable:!0}),c.utilx.Object.defineProperty(module,"exports",{value:c,enumerable:!1,writable:!0,configurable:!0})):"function"==typeof define&&"object"==typeof define.amd&&null!==define.amd?(require.config({paths:{"util-x":"//rawgit.com/Xotic750/util-x/master/lib/util-x"}}),define(["util-x"],function(a){return c=b(a,e.call({})),c.utilx.Object.defineProperty(c,"factory",{value:function(d){var f;return f=c.utilx.Boolean.isTrue(d)?b(a.factory(),e.call({})):b(a,e.call({})),c.utilx.Object.defineProperty(f,"factory",{value:c.factory,enumerable:!1,writable:!0,configurable:!0}),f},enumerable:!1,writable:!0,configurable:!0}),c})):(c=b(a.utilx,e.call({})),c.utilx.Object.defineProperty(c,"factory",{value:function(d){var f;return f=c.utilx.Boolean.isTrue(d)?b(a.utilx.factory(),e.call({})):b(a.utilx,e.call({})),c.utilx.Object.defineProperty(f,"factory",{value:c.factory,enumerable:!1,writable:!0,configurable:!0}),f},enumerable:!1,writable:!0,configurable:!0}),c.utilx.Object.defineProperty(a,"AstroDate",{value:c,enumerable:!1,writable:!0,configurable:!0}))}(this);